package org.eclipse.lsat.activity.teditor.parser.antlr.internal;

import org.eclipse.xtext.*;
import org.eclipse.xtext.parser.*;
import org.eclipse.xtext.parser.impl.*;
import org.eclipse.emf.ecore.util.EcoreUtil;
import org.eclipse.emf.ecore.EObject;
import org.eclipse.emf.common.util.Enumerator;
import org.eclipse.xtext.parser.antlr.AbstractInternalAntlrParser;
import org.eclipse.xtext.parser.antlr.XtextTokenStream;
import org.eclipse.xtext.parser.antlr.XtextTokenStream.HiddenTokens;
import org.eclipse.xtext.parser.antlr.AntlrDatatypeRuleToken;
import org.eclipse.lsat.activity.teditor.services.ActivityGrammarAccess;



import org.antlr.runtime.*;
import java.util.Stack;
import java.util.List;
import java.util.ArrayList;
import java.util.Map;
import java.util.HashMap;
/**
 * Copyright (c) 2021 Contributors to the Eclipse Foundation
 *
 * This program and the accompanying materials are made
 * available under the terms of the Eclipse Public License 2.0
 * which is available at https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Do not edit: This file is generated by Xtext
 */
@SuppressWarnings("all")
public class InternalActivityParser extends AbstractInternalAntlrParser {
    public static final String[] tokenNames = new String[] {
        "<invalid>", "<EOR>", "<DOWN>", "<UP>", "RULE_STRING", "RULE_ID", "RULE_INT", "RULE_ML_COMMENT", "RULE_SL_COMMENT", "RULE_WS", "RULE_ANY_OTHER", "'import'", "'activity'", "'{'", "'prerequisites'", "'}'", "'actions'", "'action flow'", "'.'", "'at'", "':'", "'passive'", "'claim'", "'release'", "'raise'", "'require'", "'move'", "'passing'", "'to'", "'continuing'", "'for'", "'with speed profile'", "'['", "'~'", "']'", "'->'", "'|'", "'event'", "'('", "','", "')'", "'ASAP'", "'ALAP'"
    };
    public static final int RULE_STRING=4;
    public static final int RULE_SL_COMMENT=8;
    public static final int T__19=19;
    public static final int T__15=15;
    public static final int T__37=37;
    public static final int T__16=16;
    public static final int T__38=38;
    public static final int T__17=17;
    public static final int T__39=39;
    public static final int T__18=18;
    public static final int T__11=11;
    public static final int T__33=33;
    public static final int T__12=12;
    public static final int T__34=34;
    public static final int T__13=13;
    public static final int T__35=35;
    public static final int T__14=14;
    public static final int T__36=36;
    public static final int EOF=-1;
    public static final int T__30=30;
    public static final int T__31=31;
    public static final int T__32=32;
    public static final int RULE_ID=5;
    public static final int RULE_WS=9;
    public static final int RULE_ANY_OTHER=10;
    public static final int T__26=26;
    public static final int T__27=27;
    public static final int T__28=28;
    public static final int RULE_INT=6;
    public static final int T__29=29;
    public static final int T__22=22;
    public static final int RULE_ML_COMMENT=7;
    public static final int T__23=23;
    public static final int T__24=24;
    public static final int T__25=25;
    public static final int T__40=40;
    public static final int T__41=41;
    public static final int T__20=20;
    public static final int T__42=42;
    public static final int T__21=21;

    // delegates
    // delegators


        public InternalActivityParser(TokenStream input) {
            this(input, new RecognizerSharedState());
        }
        public InternalActivityParser(TokenStream input, RecognizerSharedState state) {
            super(input, state);
             
        }
        

    public String[] getTokenNames() { return InternalActivityParser.tokenNames; }
    public String getGrammarFileName() { return "InternalActivity.g"; }



     	private ActivityGrammarAccess grammarAccess;

        public InternalActivityParser(TokenStream input, ActivityGrammarAccess grammarAccess) {
            this(input);
            this.grammarAccess = grammarAccess;
            registerRules(grammarAccess.getGrammar());
        }

        @Override
        protected String getFirstRuleName() {
        	return "ActivitySet";
       	}

       	@Override
       	protected ActivityGrammarAccess getGrammarAccess() {
       		return grammarAccess;
       	}




    // $ANTLR start "entryRuleActivitySet"
    // InternalActivity.g:73:1: entryRuleActivitySet returns [EObject current=null] : iv_ruleActivitySet= ruleActivitySet EOF ;
    public final EObject entryRuleActivitySet() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleActivitySet = null;


        try {
            // InternalActivity.g:73:52: (iv_ruleActivitySet= ruleActivitySet EOF )
            // InternalActivity.g:74:2: iv_ruleActivitySet= ruleActivitySet EOF
            {
            if ( state.backtracking==0 ) {
               newCompositeNode(grammarAccess.getActivitySetRule()); 
            }
            pushFollow(FOLLOW_1);
            iv_ruleActivitySet=ruleActivitySet();

            state._fsp--;
            if (state.failed) return current;
            if ( state.backtracking==0 ) {
               current =iv_ruleActivitySet; 
            }
            match(input,EOF,FOLLOW_2); if (state.failed) return current;

            }

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleActivitySet"


    // $ANTLR start "ruleActivitySet"
    // InternalActivity.g:80:1: ruleActivitySet returns [EObject current=null] : ( () ( (lv_imports_1_0= ruleImport ) )* ( ( (lv_activities_2_0= ruleActivity ) ) | ( (lv_events_3_0= ruleEvent ) ) )* ) ;
    public final EObject ruleActivitySet() throws RecognitionException {
        EObject current = null;

        EObject lv_imports_1_0 = null;

        EObject lv_activities_2_0 = null;

        EObject lv_events_3_0 = null;



        	enterRule();

        try {
            // InternalActivity.g:86:2: ( ( () ( (lv_imports_1_0= ruleImport ) )* ( ( (lv_activities_2_0= ruleActivity ) ) | ( (lv_events_3_0= ruleEvent ) ) )* ) )
            // InternalActivity.g:87:2: ( () ( (lv_imports_1_0= ruleImport ) )* ( ( (lv_activities_2_0= ruleActivity ) ) | ( (lv_events_3_0= ruleEvent ) ) )* )
            {
            // InternalActivity.g:87:2: ( () ( (lv_imports_1_0= ruleImport ) )* ( ( (lv_activities_2_0= ruleActivity ) ) | ( (lv_events_3_0= ruleEvent ) ) )* )
            // InternalActivity.g:88:3: () ( (lv_imports_1_0= ruleImport ) )* ( ( (lv_activities_2_0= ruleActivity ) ) | ( (lv_events_3_0= ruleEvent ) ) )*
            {
            // InternalActivity.g:88:3: ()
            // InternalActivity.g:89:4: 
            {
            if ( state.backtracking==0 ) {

              				current = forceCreateModelElement(
              					grammarAccess.getActivitySetAccess().getActivitySetAction_0(),
              					current);
              			
            }

            }

            // InternalActivity.g:95:3: ( (lv_imports_1_0= ruleImport ) )*
            loop1:
            do {
                int alt1=2;
                int LA1_0 = input.LA(1);

                if ( (LA1_0==11) ) {
                    alt1=1;
                }


                switch (alt1) {
            	case 1 :
            	    // InternalActivity.g:96:4: (lv_imports_1_0= ruleImport )
            	    {
            	    // InternalActivity.g:96:4: (lv_imports_1_0= ruleImport )
            	    // InternalActivity.g:97:5: lv_imports_1_0= ruleImport
            	    {
            	    if ( state.backtracking==0 ) {

            	      					newCompositeNode(grammarAccess.getActivitySetAccess().getImportsImportParserRuleCall_1_0());
            	      				
            	    }
            	    pushFollow(FOLLOW_3);
            	    lv_imports_1_0=ruleImport();

            	    state._fsp--;
            	    if (state.failed) return current;
            	    if ( state.backtracking==0 ) {

            	      					if (current==null) {
            	      						current = createModelElementForParent(grammarAccess.getActivitySetRule());
            	      					}
            	      					add(
            	      						current,
            	      						"imports",
            	      						lv_imports_1_0,
            	      						"org.eclipse.lsat.activity.teditor.Activity.Import");
            	      					afterParserOrEnumRuleCall();
            	      				
            	    }

            	    }


            	    }
            	    break;

            	default :
            	    break loop1;
                }
            } while (true);

            // InternalActivity.g:114:3: ( ( (lv_activities_2_0= ruleActivity ) ) | ( (lv_events_3_0= ruleEvent ) ) )*
            loop2:
            do {
                int alt2=3;
                int LA2_0 = input.LA(1);

                if ( (LA2_0==12) ) {
                    alt2=1;
                }
                else if ( (LA2_0==37) ) {
                    alt2=2;
                }


                switch (alt2) {
            	case 1 :
            	    // InternalActivity.g:115:4: ( (lv_activities_2_0= ruleActivity ) )
            	    {
            	    // InternalActivity.g:115:4: ( (lv_activities_2_0= ruleActivity ) )
            	    // InternalActivity.g:116:5: (lv_activities_2_0= ruleActivity )
            	    {
            	    // InternalActivity.g:116:5: (lv_activities_2_0= ruleActivity )
            	    // InternalActivity.g:117:6: lv_activities_2_0= ruleActivity
            	    {
            	    if ( state.backtracking==0 ) {

            	      						newCompositeNode(grammarAccess.getActivitySetAccess().getActivitiesActivityParserRuleCall_2_0_0());
            	      					
            	    }
            	    pushFollow(FOLLOW_4);
            	    lv_activities_2_0=ruleActivity();

            	    state._fsp--;
            	    if (state.failed) return current;
            	    if ( state.backtracking==0 ) {

            	      						if (current==null) {
            	      							current = createModelElementForParent(grammarAccess.getActivitySetRule());
            	      						}
            	      						add(
            	      							current,
            	      							"activities",
            	      							lv_activities_2_0,
            	      							"org.eclipse.lsat.activity.teditor.Activity.Activity");
            	      						afterParserOrEnumRuleCall();
            	      					
            	    }

            	    }


            	    }


            	    }
            	    break;
            	case 2 :
            	    // InternalActivity.g:135:4: ( (lv_events_3_0= ruleEvent ) )
            	    {
            	    // InternalActivity.g:135:4: ( (lv_events_3_0= ruleEvent ) )
            	    // InternalActivity.g:136:5: (lv_events_3_0= ruleEvent )
            	    {
            	    // InternalActivity.g:136:5: (lv_events_3_0= ruleEvent )
            	    // InternalActivity.g:137:6: lv_events_3_0= ruleEvent
            	    {
            	    if ( state.backtracking==0 ) {

            	      						newCompositeNode(grammarAccess.getActivitySetAccess().getEventsEventParserRuleCall_2_1_0());
            	      					
            	    }
            	    pushFollow(FOLLOW_4);
            	    lv_events_3_0=ruleEvent();

            	    state._fsp--;
            	    if (state.failed) return current;
            	    if ( state.backtracking==0 ) {

            	      						if (current==null) {
            	      							current = createModelElementForParent(grammarAccess.getActivitySetRule());
            	      						}
            	      						add(
            	      							current,
            	      							"events",
            	      							lv_events_3_0,
            	      							"org.eclipse.lsat.activity.teditor.Activity.Event");
            	      						afterParserOrEnumRuleCall();
            	      					
            	    }

            	    }


            	    }


            	    }
            	    break;

            	default :
            	    break loop2;
                }
            } while (true);


            }


            }

            if ( state.backtracking==0 ) {

              	leaveRule();

            }
        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleActivitySet"


    // $ANTLR start "entryRuleImport"
    // InternalActivity.g:159:1: entryRuleImport returns [EObject current=null] : iv_ruleImport= ruleImport EOF ;
    public final EObject entryRuleImport() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleImport = null;


        try {
            // InternalActivity.g:159:47: (iv_ruleImport= ruleImport EOF )
            // InternalActivity.g:160:2: iv_ruleImport= ruleImport EOF
            {
            if ( state.backtracking==0 ) {
               newCompositeNode(grammarAccess.getImportRule()); 
            }
            pushFollow(FOLLOW_1);
            iv_ruleImport=ruleImport();

            state._fsp--;
            if (state.failed) return current;
            if ( state.backtracking==0 ) {
               current =iv_ruleImport; 
            }
            match(input,EOF,FOLLOW_2); if (state.failed) return current;

            }

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleImport"


    // $ANTLR start "ruleImport"
    // InternalActivity.g:166:1: ruleImport returns [EObject current=null] : (otherlv_0= 'import' ( (lv_importURI_1_0= RULE_STRING ) ) ) ;
    public final EObject ruleImport() throws RecognitionException {
        EObject current = null;

        Token otherlv_0=null;
        Token lv_importURI_1_0=null;


        	enterRule();

        try {
            // InternalActivity.g:172:2: ( (otherlv_0= 'import' ( (lv_importURI_1_0= RULE_STRING ) ) ) )
            // InternalActivity.g:173:2: (otherlv_0= 'import' ( (lv_importURI_1_0= RULE_STRING ) ) )
            {
            // InternalActivity.g:173:2: (otherlv_0= 'import' ( (lv_importURI_1_0= RULE_STRING ) ) )
            // InternalActivity.g:174:3: otherlv_0= 'import' ( (lv_importURI_1_0= RULE_STRING ) )
            {
            otherlv_0=(Token)match(input,11,FOLLOW_5); if (state.failed) return current;
            if ( state.backtracking==0 ) {

              			newLeafNode(otherlv_0, grammarAccess.getImportAccess().getImportKeyword_0());
              		
            }
            // InternalActivity.g:178:3: ( (lv_importURI_1_0= RULE_STRING ) )
            // InternalActivity.g:179:4: (lv_importURI_1_0= RULE_STRING )
            {
            // InternalActivity.g:179:4: (lv_importURI_1_0= RULE_STRING )
            // InternalActivity.g:180:5: lv_importURI_1_0= RULE_STRING
            {
            lv_importURI_1_0=(Token)match(input,RULE_STRING,FOLLOW_2); if (state.failed) return current;
            if ( state.backtracking==0 ) {

              					newLeafNode(lv_importURI_1_0, grammarAccess.getImportAccess().getImportURISTRINGTerminalRuleCall_1_0());
              				
            }
            if ( state.backtracking==0 ) {

              					if (current==null) {
              						current = createModelElement(grammarAccess.getImportRule());
              					}
              					setWithLastConsumed(
              						current,
              						"importURI",
              						lv_importURI_1_0,
              						"org.eclipse.xtext.common.Terminals.STRING");
              				
            }

            }


            }


            }


            }

            if ( state.backtracking==0 ) {

              	leaveRule();

            }
        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleImport"


    // $ANTLR start "entryRuleActivity"
    // InternalActivity.g:200:1: entryRuleActivity returns [EObject current=null] : iv_ruleActivity= ruleActivity EOF ;
    public final EObject entryRuleActivity() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleActivity = null;


        try {
            // InternalActivity.g:200:49: (iv_ruleActivity= ruleActivity EOF )
            // InternalActivity.g:201:2: iv_ruleActivity= ruleActivity EOF
            {
            if ( state.backtracking==0 ) {
               newCompositeNode(grammarAccess.getActivityRule()); 
            }
            pushFollow(FOLLOW_1);
            iv_ruleActivity=ruleActivity();

            state._fsp--;
            if (state.failed) return current;
            if ( state.backtracking==0 ) {
               current =iv_ruleActivity; 
            }
            match(input,EOF,FOLLOW_2); if (state.failed) return current;

            }

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleActivity"


    // $ANTLR start "ruleActivity"
    // InternalActivity.g:207:1: ruleActivity returns [EObject current=null] : (otherlv_0= 'activity' ( (lv_name_1_0= ruleIID ) ) otherlv_2= '{' (otherlv_3= 'prerequisites' otherlv_4= '{' ( (lv_prerequisites_5_0= ruleLocationPrerequisite ) )* otherlv_6= '}' )? otherlv_7= 'actions' otherlv_8= '{' ( (lv_nodes_9_0= ruleNode ) )* otherlv_10= '}' otherlv_11= 'action flow' otherlv_12= '{' ( (lv_edges_13_0= ruleEdges ) )* otherlv_14= '}' otherlv_15= '}' ) ;
    public final EObject ruleActivity() throws RecognitionException {
        EObject current = null;

        Token otherlv_0=null;
        Token otherlv_2=null;
        Token otherlv_3=null;
        Token otherlv_4=null;
        Token otherlv_6=null;
        Token otherlv_7=null;
        Token otherlv_8=null;
        Token otherlv_10=null;
        Token otherlv_11=null;
        Token otherlv_12=null;
        Token otherlv_14=null;
        Token otherlv_15=null;
        AntlrDatatypeRuleToken lv_name_1_0 = null;

        EObject lv_prerequisites_5_0 = null;

        EObject lv_nodes_9_0 = null;

        EObject lv_edges_13_0 = null;



        	enterRule();

        try {
            // InternalActivity.g:213:2: ( (otherlv_0= 'activity' ( (lv_name_1_0= ruleIID ) ) otherlv_2= '{' (otherlv_3= 'prerequisites' otherlv_4= '{' ( (lv_prerequisites_5_0= ruleLocationPrerequisite ) )* otherlv_6= '}' )? otherlv_7= 'actions' otherlv_8= '{' ( (lv_nodes_9_0= ruleNode ) )* otherlv_10= '}' otherlv_11= 'action flow' otherlv_12= '{' ( (lv_edges_13_0= ruleEdges ) )* otherlv_14= '}' otherlv_15= '}' ) )
            // InternalActivity.g:214:2: (otherlv_0= 'activity' ( (lv_name_1_0= ruleIID ) ) otherlv_2= '{' (otherlv_3= 'prerequisites' otherlv_4= '{' ( (lv_prerequisites_5_0= ruleLocationPrerequisite ) )* otherlv_6= '}' )? otherlv_7= 'actions' otherlv_8= '{' ( (lv_nodes_9_0= ruleNode ) )* otherlv_10= '}' otherlv_11= 'action flow' otherlv_12= '{' ( (lv_edges_13_0= ruleEdges ) )* otherlv_14= '}' otherlv_15= '}' )
            {
            // InternalActivity.g:214:2: (otherlv_0= 'activity' ( (lv_name_1_0= ruleIID ) ) otherlv_2= '{' (otherlv_3= 'prerequisites' otherlv_4= '{' ( (lv_prerequisites_5_0= ruleLocationPrerequisite ) )* otherlv_6= '}' )? otherlv_7= 'actions' otherlv_8= '{' ( (lv_nodes_9_0= ruleNode ) )* otherlv_10= '}' otherlv_11= 'action flow' otherlv_12= '{' ( (lv_edges_13_0= ruleEdges ) )* otherlv_14= '}' otherlv_15= '}' )
            // InternalActivity.g:215:3: otherlv_0= 'activity' ( (lv_name_1_0= ruleIID ) ) otherlv_2= '{' (otherlv_3= 'prerequisites' otherlv_4= '{' ( (lv_prerequisites_5_0= ruleLocationPrerequisite ) )* otherlv_6= '}' )? otherlv_7= 'actions' otherlv_8= '{' ( (lv_nodes_9_0= ruleNode ) )* otherlv_10= '}' otherlv_11= 'action flow' otherlv_12= '{' ( (lv_edges_13_0= ruleEdges ) )* otherlv_14= '}' otherlv_15= '}'
            {
            otherlv_0=(Token)match(input,12,FOLLOW_6); if (state.failed) return current;
            if ( state.backtracking==0 ) {

              			newLeafNode(otherlv_0, grammarAccess.getActivityAccess().getActivityKeyword_0());
              		
            }
            // InternalActivity.g:219:3: ( (lv_name_1_0= ruleIID ) )
            // InternalActivity.g:220:4: (lv_name_1_0= ruleIID )
            {
            // InternalActivity.g:220:4: (lv_name_1_0= ruleIID )
            // InternalActivity.g:221:5: lv_name_1_0= ruleIID
            {
            if ( state.backtracking==0 ) {

              					newCompositeNode(grammarAccess.getActivityAccess().getNameIIDParserRuleCall_1_0());
              				
            }
            pushFollow(FOLLOW_7);
            lv_name_1_0=ruleIID();

            state._fsp--;
            if (state.failed) return current;
            if ( state.backtracking==0 ) {

              					if (current==null) {
              						current = createModelElementForParent(grammarAccess.getActivityRule());
              					}
              					set(
              						current,
              						"name",
              						lv_name_1_0,
              						"org.eclipse.lsat.activity.teditor.Activity.IID");
              					afterParserOrEnumRuleCall();
              				
            }

            }


            }

            otherlv_2=(Token)match(input,13,FOLLOW_8); if (state.failed) return current;
            if ( state.backtracking==0 ) {

              			newLeafNode(otherlv_2, grammarAccess.getActivityAccess().getLeftCurlyBracketKeyword_2());
              		
            }
            // InternalActivity.g:242:3: (otherlv_3= 'prerequisites' otherlv_4= '{' ( (lv_prerequisites_5_0= ruleLocationPrerequisite ) )* otherlv_6= '}' )?
            int alt4=2;
            int LA4_0 = input.LA(1);

            if ( (LA4_0==14) ) {
                alt4=1;
            }
            switch (alt4) {
                case 1 :
                    // InternalActivity.g:243:4: otherlv_3= 'prerequisites' otherlv_4= '{' ( (lv_prerequisites_5_0= ruleLocationPrerequisite ) )* otherlv_6= '}'
                    {
                    otherlv_3=(Token)match(input,14,FOLLOW_7); if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      				newLeafNode(otherlv_3, grammarAccess.getActivityAccess().getPrerequisitesKeyword_3_0());
                      			
                    }
                    otherlv_4=(Token)match(input,13,FOLLOW_9); if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      				newLeafNode(otherlv_4, grammarAccess.getActivityAccess().getLeftCurlyBracketKeyword_3_1());
                      			
                    }
                    // InternalActivity.g:251:4: ( (lv_prerequisites_5_0= ruleLocationPrerequisite ) )*
                    loop3:
                    do {
                        int alt3=2;
                        int LA3_0 = input.LA(1);

                        if ( ((LA3_0>=RULE_ID && LA3_0<=RULE_INT)) ) {
                            alt3=1;
                        }


                        switch (alt3) {
                    	case 1 :
                    	    // InternalActivity.g:252:5: (lv_prerequisites_5_0= ruleLocationPrerequisite )
                    	    {
                    	    // InternalActivity.g:252:5: (lv_prerequisites_5_0= ruleLocationPrerequisite )
                    	    // InternalActivity.g:253:6: lv_prerequisites_5_0= ruleLocationPrerequisite
                    	    {
                    	    if ( state.backtracking==0 ) {

                    	      						newCompositeNode(grammarAccess.getActivityAccess().getPrerequisitesLocationPrerequisiteParserRuleCall_3_2_0());
                    	      					
                    	    }
                    	    pushFollow(FOLLOW_9);
                    	    lv_prerequisites_5_0=ruleLocationPrerequisite();

                    	    state._fsp--;
                    	    if (state.failed) return current;
                    	    if ( state.backtracking==0 ) {

                    	      						if (current==null) {
                    	      							current = createModelElementForParent(grammarAccess.getActivityRule());
                    	      						}
                    	      						add(
                    	      							current,
                    	      							"prerequisites",
                    	      							lv_prerequisites_5_0,
                    	      							"org.eclipse.lsat.activity.teditor.Activity.LocationPrerequisite");
                    	      						afterParserOrEnumRuleCall();
                    	      					
                    	    }

                    	    }


                    	    }
                    	    break;

                    	default :
                    	    break loop3;
                        }
                    } while (true);

                    otherlv_6=(Token)match(input,15,FOLLOW_10); if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      				newLeafNode(otherlv_6, grammarAccess.getActivityAccess().getRightCurlyBracketKeyword_3_3());
                      			
                    }

                    }
                    break;

            }

            otherlv_7=(Token)match(input,16,FOLLOW_7); if (state.failed) return current;
            if ( state.backtracking==0 ) {

              			newLeafNode(otherlv_7, grammarAccess.getActivityAccess().getActionsKeyword_4());
              		
            }
            otherlv_8=(Token)match(input,13,FOLLOW_9); if (state.failed) return current;
            if ( state.backtracking==0 ) {

              			newLeafNode(otherlv_8, grammarAccess.getActivityAccess().getLeftCurlyBracketKeyword_5());
              		
            }
            // InternalActivity.g:283:3: ( (lv_nodes_9_0= ruleNode ) )*
            loop5:
            do {
                int alt5=2;
                int LA5_0 = input.LA(1);

                if ( ((LA5_0>=RULE_ID && LA5_0<=RULE_INT)) ) {
                    alt5=1;
                }


                switch (alt5) {
            	case 1 :
            	    // InternalActivity.g:284:4: (lv_nodes_9_0= ruleNode )
            	    {
            	    // InternalActivity.g:284:4: (lv_nodes_9_0= ruleNode )
            	    // InternalActivity.g:285:5: lv_nodes_9_0= ruleNode
            	    {
            	    if ( state.backtracking==0 ) {

            	      					newCompositeNode(grammarAccess.getActivityAccess().getNodesNodeParserRuleCall_6_0());
            	      				
            	    }
            	    pushFollow(FOLLOW_9);
            	    lv_nodes_9_0=ruleNode();

            	    state._fsp--;
            	    if (state.failed) return current;
            	    if ( state.backtracking==0 ) {

            	      					if (current==null) {
            	      						current = createModelElementForParent(grammarAccess.getActivityRule());
            	      					}
            	      					add(
            	      						current,
            	      						"nodes",
            	      						lv_nodes_9_0,
            	      						"org.eclipse.lsat.activity.teditor.Activity.Node");
            	      					afterParserOrEnumRuleCall();
            	      				
            	    }

            	    }


            	    }
            	    break;

            	default :
            	    break loop5;
                }
            } while (true);

            otherlv_10=(Token)match(input,15,FOLLOW_11); if (state.failed) return current;
            if ( state.backtracking==0 ) {

              			newLeafNode(otherlv_10, grammarAccess.getActivityAccess().getRightCurlyBracketKeyword_7());
              		
            }
            otherlv_11=(Token)match(input,17,FOLLOW_7); if (state.failed) return current;
            if ( state.backtracking==0 ) {

              			newLeafNode(otherlv_11, grammarAccess.getActivityAccess().getActionFlowKeyword_8());
              		
            }
            otherlv_12=(Token)match(input,13,FOLLOW_12); if (state.failed) return current;
            if ( state.backtracking==0 ) {

              			newLeafNode(otherlv_12, grammarAccess.getActivityAccess().getLeftCurlyBracketKeyword_9());
              		
            }
            // InternalActivity.g:314:3: ( (lv_edges_13_0= ruleEdges ) )*
            loop6:
            do {
                int alt6=2;
                int LA6_0 = input.LA(1);

                if ( ((LA6_0>=RULE_ID && LA6_0<=RULE_INT)||LA6_0==36) ) {
                    alt6=1;
                }


                switch (alt6) {
            	case 1 :
            	    // InternalActivity.g:315:4: (lv_edges_13_0= ruleEdges )
            	    {
            	    // InternalActivity.g:315:4: (lv_edges_13_0= ruleEdges )
            	    // InternalActivity.g:316:5: lv_edges_13_0= ruleEdges
            	    {
            	    if ( state.backtracking==0 ) {

            	      					newCompositeNode(grammarAccess.getActivityAccess().getEdgesEdgesParserRuleCall_10_0());
            	      				
            	    }
            	    pushFollow(FOLLOW_12);
            	    lv_edges_13_0=ruleEdges();

            	    state._fsp--;
            	    if (state.failed) return current;
            	    if ( state.backtracking==0 ) {

            	      					if (current==null) {
            	      						current = createModelElementForParent(grammarAccess.getActivityRule());
            	      					}
            	      					add(
            	      						current,
            	      						"edges",
            	      						lv_edges_13_0,
            	      						"org.eclipse.lsat.activity.teditor.Activity.Edges");
            	      					afterParserOrEnumRuleCall();
            	      				
            	    }

            	    }


            	    }
            	    break;

            	default :
            	    break loop6;
                }
            } while (true);

            otherlv_14=(Token)match(input,15,FOLLOW_13); if (state.failed) return current;
            if ( state.backtracking==0 ) {

              			newLeafNode(otherlv_14, grammarAccess.getActivityAccess().getRightCurlyBracketKeyword_11());
              		
            }
            otherlv_15=(Token)match(input,15,FOLLOW_2); if (state.failed) return current;
            if ( state.backtracking==0 ) {

              			newLeafNode(otherlv_15, grammarAccess.getActivityAccess().getRightCurlyBracketKeyword_12());
              		
            }

            }


            }

            if ( state.backtracking==0 ) {

              	leaveRule();

            }
        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleActivity"


    // $ANTLR start "entryRuleResourceQualifiedName"
    // InternalActivity.g:345:1: entryRuleResourceQualifiedName returns [String current=null] : iv_ruleResourceQualifiedName= ruleResourceQualifiedName EOF ;
    public final String entryRuleResourceQualifiedName() throws RecognitionException {
        String current = null;

        AntlrDatatypeRuleToken iv_ruleResourceQualifiedName = null;


        try {
            // InternalActivity.g:345:61: (iv_ruleResourceQualifiedName= ruleResourceQualifiedName EOF )
            // InternalActivity.g:346:2: iv_ruleResourceQualifiedName= ruleResourceQualifiedName EOF
            {
            if ( state.backtracking==0 ) {
               newCompositeNode(grammarAccess.getResourceQualifiedNameRule()); 
            }
            pushFollow(FOLLOW_1);
            iv_ruleResourceQualifiedName=ruleResourceQualifiedName();

            state._fsp--;
            if (state.failed) return current;
            if ( state.backtracking==0 ) {
               current =iv_ruleResourceQualifiedName.getText(); 
            }
            match(input,EOF,FOLLOW_2); if (state.failed) return current;

            }

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleResourceQualifiedName"


    // $ANTLR start "ruleResourceQualifiedName"
    // InternalActivity.g:352:1: ruleResourceQualifiedName returns [AntlrDatatypeRuleToken current=new AntlrDatatypeRuleToken()] : (this_IID_0= ruleIID (kw= '.' this_IID_2= ruleIID )? ) ;
    public final AntlrDatatypeRuleToken ruleResourceQualifiedName() throws RecognitionException {
        AntlrDatatypeRuleToken current = new AntlrDatatypeRuleToken();

        Token kw=null;
        AntlrDatatypeRuleToken this_IID_0 = null;

        AntlrDatatypeRuleToken this_IID_2 = null;



        	enterRule();

        try {
            // InternalActivity.g:358:2: ( (this_IID_0= ruleIID (kw= '.' this_IID_2= ruleIID )? ) )
            // InternalActivity.g:359:2: (this_IID_0= ruleIID (kw= '.' this_IID_2= ruleIID )? )
            {
            // InternalActivity.g:359:2: (this_IID_0= ruleIID (kw= '.' this_IID_2= ruleIID )? )
            // InternalActivity.g:360:3: this_IID_0= ruleIID (kw= '.' this_IID_2= ruleIID )?
            {
            if ( state.backtracking==0 ) {

              			newCompositeNode(grammarAccess.getResourceQualifiedNameAccess().getIIDParserRuleCall_0());
              		
            }
            pushFollow(FOLLOW_14);
            this_IID_0=ruleIID();

            state._fsp--;
            if (state.failed) return current;
            if ( state.backtracking==0 ) {

              			current.merge(this_IID_0);
              		
            }
            if ( state.backtracking==0 ) {

              			afterParserOrEnumRuleCall();
              		
            }
            // InternalActivity.g:370:3: (kw= '.' this_IID_2= ruleIID )?
            int alt7=2;
            int LA7_0 = input.LA(1);

            if ( (LA7_0==18) ) {
                int LA7_1 = input.LA(2);

                if ( (LA7_1==RULE_INT) ) {
                    int LA7_3 = input.LA(3);

                    if ( (LA7_3==EOF||(LA7_3>=RULE_ID && LA7_3<=RULE_INT)||LA7_3==15||LA7_3==32) ) {
                        alt7=1;
                    }
                    else if ( (LA7_3==18) ) {
                        int LA7_6 = input.LA(4);

                        if ( (LA7_6==RULE_INT) ) {
                            int LA7_7 = input.LA(5);

                            if ( ((LA7_7>=18 && LA7_7<=19)||(LA7_7>=27 && LA7_7<=30)) ) {
                                alt7=1;
                            }
                        }
                        else if ( (LA7_6==RULE_ID) ) {
                            int LA7_8 = input.LA(5);

                            if ( ((LA7_8>=18 && LA7_8<=19)||(LA7_8>=27 && LA7_8<=30)) ) {
                                alt7=1;
                            }
                        }
                    }
                }
                else if ( (LA7_1==RULE_ID) ) {
                    int LA7_4 = input.LA(3);

                    if ( (LA7_4==18) ) {
                        int LA7_6 = input.LA(4);

                        if ( (LA7_6==RULE_INT) ) {
                            int LA7_7 = input.LA(5);

                            if ( ((LA7_7>=18 && LA7_7<=19)||(LA7_7>=27 && LA7_7<=30)) ) {
                                alt7=1;
                            }
                        }
                        else if ( (LA7_6==RULE_ID) ) {
                            int LA7_8 = input.LA(5);

                            if ( ((LA7_8>=18 && LA7_8<=19)||(LA7_8>=27 && LA7_8<=30)) ) {
                                alt7=1;
                            }
                        }
                    }
                    else if ( (LA7_4==EOF||(LA7_4>=RULE_ID && LA7_4<=RULE_INT)||LA7_4==15||LA7_4==32) ) {
                        alt7=1;
                    }
                }
            }
            switch (alt7) {
                case 1 :
                    // InternalActivity.g:371:4: kw= '.' this_IID_2= ruleIID
                    {
                    kw=(Token)match(input,18,FOLLOW_6); if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      				current.merge(kw);
                      				newLeafNode(kw, grammarAccess.getResourceQualifiedNameAccess().getFullStopKeyword_1_0());
                      			
                    }
                    if ( state.backtracking==0 ) {

                      				newCompositeNode(grammarAccess.getResourceQualifiedNameAccess().getIIDParserRuleCall_1_1());
                      			
                    }
                    pushFollow(FOLLOW_2);
                    this_IID_2=ruleIID();

                    state._fsp--;
                    if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      				current.merge(this_IID_2);
                      			
                    }
                    if ( state.backtracking==0 ) {

                      				afterParserOrEnumRuleCall();
                      			
                    }

                    }
                    break;

            }


            }


            }

            if ( state.backtracking==0 ) {

              	leaveRule();

            }
        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleResourceQualifiedName"


    // $ANTLR start "entryRuleLocationPrerequisite"
    // InternalActivity.g:391:1: entryRuleLocationPrerequisite returns [EObject current=null] : iv_ruleLocationPrerequisite= ruleLocationPrerequisite EOF ;
    public final EObject entryRuleLocationPrerequisite() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleLocationPrerequisite = null;


        try {
            // InternalActivity.g:391:61: (iv_ruleLocationPrerequisite= ruleLocationPrerequisite EOF )
            // InternalActivity.g:392:2: iv_ruleLocationPrerequisite= ruleLocationPrerequisite EOF
            {
            if ( state.backtracking==0 ) {
               newCompositeNode(grammarAccess.getLocationPrerequisiteRule()); 
            }
            pushFollow(FOLLOW_1);
            iv_ruleLocationPrerequisite=ruleLocationPrerequisite();

            state._fsp--;
            if (state.failed) return current;
            if ( state.backtracking==0 ) {
               current =iv_ruleLocationPrerequisite; 
            }
            match(input,EOF,FOLLOW_2); if (state.failed) return current;

            }

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleLocationPrerequisite"


    // $ANTLR start "ruleLocationPrerequisite"
    // InternalActivity.g:398:1: ruleLocationPrerequisite returns [EObject current=null] : ( ( ( ruleResourceQualifiedName ) ) otherlv_1= '.' ( ( ruleIID ) ) otherlv_3= 'at' ( ( ruleIID ) ) ) ;
    public final EObject ruleLocationPrerequisite() throws RecognitionException {
        EObject current = null;

        Token otherlv_1=null;
        Token otherlv_3=null;


        	enterRule();

        try {
            // InternalActivity.g:404:2: ( ( ( ( ruleResourceQualifiedName ) ) otherlv_1= '.' ( ( ruleIID ) ) otherlv_3= 'at' ( ( ruleIID ) ) ) )
            // InternalActivity.g:405:2: ( ( ( ruleResourceQualifiedName ) ) otherlv_1= '.' ( ( ruleIID ) ) otherlv_3= 'at' ( ( ruleIID ) ) )
            {
            // InternalActivity.g:405:2: ( ( ( ruleResourceQualifiedName ) ) otherlv_1= '.' ( ( ruleIID ) ) otherlv_3= 'at' ( ( ruleIID ) ) )
            // InternalActivity.g:406:3: ( ( ruleResourceQualifiedName ) ) otherlv_1= '.' ( ( ruleIID ) ) otherlv_3= 'at' ( ( ruleIID ) )
            {
            // InternalActivity.g:406:3: ( ( ruleResourceQualifiedName ) )
            // InternalActivity.g:407:4: ( ruleResourceQualifiedName )
            {
            // InternalActivity.g:407:4: ( ruleResourceQualifiedName )
            // InternalActivity.g:408:5: ruleResourceQualifiedName
            {
            if ( state.backtracking==0 ) {

              					if (current==null) {
              						current = createModelElement(grammarAccess.getLocationPrerequisiteRule());
              					}
              				
            }
            if ( state.backtracking==0 ) {

              					newCompositeNode(grammarAccess.getLocationPrerequisiteAccess().getResourceIResourceCrossReference_0_0());
              				
            }
            pushFollow(FOLLOW_15);
            ruleResourceQualifiedName();

            state._fsp--;
            if (state.failed) return current;
            if ( state.backtracking==0 ) {

              					afterParserOrEnumRuleCall();
              				
            }

            }


            }

            otherlv_1=(Token)match(input,18,FOLLOW_6); if (state.failed) return current;
            if ( state.backtracking==0 ) {

              			newLeafNode(otherlv_1, grammarAccess.getLocationPrerequisiteAccess().getFullStopKeyword_1());
              		
            }
            // InternalActivity.g:426:3: ( ( ruleIID ) )
            // InternalActivity.g:427:4: ( ruleIID )
            {
            // InternalActivity.g:427:4: ( ruleIID )
            // InternalActivity.g:428:5: ruleIID
            {
            if ( state.backtracking==0 ) {

              					if (current==null) {
              						current = createModelElement(grammarAccess.getLocationPrerequisiteRule());
              					}
              				
            }
            if ( state.backtracking==0 ) {

              					newCompositeNode(grammarAccess.getLocationPrerequisiteAccess().getPeripheralPeripheralCrossReference_2_0());
              				
            }
            pushFollow(FOLLOW_16);
            ruleIID();

            state._fsp--;
            if (state.failed) return current;
            if ( state.backtracking==0 ) {

              					afterParserOrEnumRuleCall();
              				
            }

            }


            }

            otherlv_3=(Token)match(input,19,FOLLOW_6); if (state.failed) return current;
            if ( state.backtracking==0 ) {

              			newLeafNode(otherlv_3, grammarAccess.getLocationPrerequisiteAccess().getAtKeyword_3());
              		
            }
            // InternalActivity.g:446:3: ( ( ruleIID ) )
            // InternalActivity.g:447:4: ( ruleIID )
            {
            // InternalActivity.g:447:4: ( ruleIID )
            // InternalActivity.g:448:5: ruleIID
            {
            if ( state.backtracking==0 ) {

              					if (current==null) {
              						current = createModelElement(grammarAccess.getLocationPrerequisiteRule());
              					}
              				
            }
            if ( state.backtracking==0 ) {

              					newCompositeNode(grammarAccess.getLocationPrerequisiteAccess().getPositionSymbolicPositionCrossReference_4_0());
              				
            }
            pushFollow(FOLLOW_2);
            ruleIID();

            state._fsp--;
            if (state.failed) return current;
            if ( state.backtracking==0 ) {

              					afterParserOrEnumRuleCall();
              				
            }

            }


            }


            }


            }

            if ( state.backtracking==0 ) {

              	leaveRule();

            }
        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleLocationPrerequisite"


    // $ANTLR start "entryRuleNode"
    // InternalActivity.g:466:1: entryRuleNode returns [EObject current=null] : iv_ruleNode= ruleNode EOF ;
    public final EObject entryRuleNode() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleNode = null;


        try {
            // InternalActivity.g:466:45: (iv_ruleNode= ruleNode EOF )
            // InternalActivity.g:467:2: iv_ruleNode= ruleNode EOF
            {
            if ( state.backtracking==0 ) {
               newCompositeNode(grammarAccess.getNodeRule()); 
            }
            pushFollow(FOLLOW_1);
            iv_ruleNode=ruleNode();

            state._fsp--;
            if (state.failed) return current;
            if ( state.backtracking==0 ) {
               current =iv_ruleNode; 
            }
            match(input,EOF,FOLLOW_2); if (state.failed) return current;

            }

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleNode"


    // $ANTLR start "ruleNode"
    // InternalActivity.g:473:1: ruleNode returns [EObject current=null] : (this_Claim_0= ruleClaim | this_Release_1= ruleRelease | this_SimpleAction_2= ruleSimpleAction | this_Move_3= ruleMove | this_RequireEvent_4= ruleRequireEvent | this_RaiseEvent_5= ruleRaiseEvent ) ;
    public final EObject ruleNode() throws RecognitionException {
        EObject current = null;

        EObject this_Claim_0 = null;

        EObject this_Release_1 = null;

        EObject this_SimpleAction_2 = null;

        EObject this_Move_3 = null;

        EObject this_RequireEvent_4 = null;

        EObject this_RaiseEvent_5 = null;



        	enterRule();

        try {
            // InternalActivity.g:479:2: ( (this_Claim_0= ruleClaim | this_Release_1= ruleRelease | this_SimpleAction_2= ruleSimpleAction | this_Move_3= ruleMove | this_RequireEvent_4= ruleRequireEvent | this_RaiseEvent_5= ruleRaiseEvent ) )
            // InternalActivity.g:480:2: (this_Claim_0= ruleClaim | this_Release_1= ruleRelease | this_SimpleAction_2= ruleSimpleAction | this_Move_3= ruleMove | this_RequireEvent_4= ruleRequireEvent | this_RaiseEvent_5= ruleRaiseEvent )
            {
            // InternalActivity.g:480:2: (this_Claim_0= ruleClaim | this_Release_1= ruleRelease | this_SimpleAction_2= ruleSimpleAction | this_Move_3= ruleMove | this_RequireEvent_4= ruleRequireEvent | this_RaiseEvent_5= ruleRaiseEvent )
            int alt8=6;
            alt8 = dfa8.predict(input);
            switch (alt8) {
                case 1 :
                    // InternalActivity.g:481:3: this_Claim_0= ruleClaim
                    {
                    if ( state.backtracking==0 ) {

                      			newCompositeNode(grammarAccess.getNodeAccess().getClaimParserRuleCall_0());
                      		
                    }
                    pushFollow(FOLLOW_2);
                    this_Claim_0=ruleClaim();

                    state._fsp--;
                    if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      			current = this_Claim_0;
                      			afterParserOrEnumRuleCall();
                      		
                    }

                    }
                    break;
                case 2 :
                    // InternalActivity.g:490:3: this_Release_1= ruleRelease
                    {
                    if ( state.backtracking==0 ) {

                      			newCompositeNode(grammarAccess.getNodeAccess().getReleaseParserRuleCall_1());
                      		
                    }
                    pushFollow(FOLLOW_2);
                    this_Release_1=ruleRelease();

                    state._fsp--;
                    if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      			current = this_Release_1;
                      			afterParserOrEnumRuleCall();
                      		
                    }

                    }
                    break;
                case 3 :
                    // InternalActivity.g:499:3: this_SimpleAction_2= ruleSimpleAction
                    {
                    if ( state.backtracking==0 ) {

                      			newCompositeNode(grammarAccess.getNodeAccess().getSimpleActionParserRuleCall_2());
                      		
                    }
                    pushFollow(FOLLOW_2);
                    this_SimpleAction_2=ruleSimpleAction();

                    state._fsp--;
                    if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      			current = this_SimpleAction_2;
                      			afterParserOrEnumRuleCall();
                      		
                    }

                    }
                    break;
                case 4 :
                    // InternalActivity.g:508:3: this_Move_3= ruleMove
                    {
                    if ( state.backtracking==0 ) {

                      			newCompositeNode(grammarAccess.getNodeAccess().getMoveParserRuleCall_3());
                      		
                    }
                    pushFollow(FOLLOW_2);
                    this_Move_3=ruleMove();

                    state._fsp--;
                    if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      			current = this_Move_3;
                      			afterParserOrEnumRuleCall();
                      		
                    }

                    }
                    break;
                case 5 :
                    // InternalActivity.g:517:3: this_RequireEvent_4= ruleRequireEvent
                    {
                    if ( state.backtracking==0 ) {

                      			newCompositeNode(grammarAccess.getNodeAccess().getRequireEventParserRuleCall_4());
                      		
                    }
                    pushFollow(FOLLOW_2);
                    this_RequireEvent_4=ruleRequireEvent();

                    state._fsp--;
                    if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      			current = this_RequireEvent_4;
                      			afterParserOrEnumRuleCall();
                      		
                    }

                    }
                    break;
                case 6 :
                    // InternalActivity.g:526:3: this_RaiseEvent_5= ruleRaiseEvent
                    {
                    if ( state.backtracking==0 ) {

                      			newCompositeNode(grammarAccess.getNodeAccess().getRaiseEventParserRuleCall_5());
                      		
                    }
                    pushFollow(FOLLOW_2);
                    this_RaiseEvent_5=ruleRaiseEvent();

                    state._fsp--;
                    if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      			current = this_RaiseEvent_5;
                      			afterParserOrEnumRuleCall();
                      		
                    }

                    }
                    break;

            }


            }

            if ( state.backtracking==0 ) {

              	leaveRule();

            }
        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleNode"


    // $ANTLR start "entryRuleClaim"
    // InternalActivity.g:538:1: entryRuleClaim returns [EObject current=null] : iv_ruleClaim= ruleClaim EOF ;
    public final EObject entryRuleClaim() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleClaim = null;


        try {
            // InternalActivity.g:538:46: (iv_ruleClaim= ruleClaim EOF )
            // InternalActivity.g:539:2: iv_ruleClaim= ruleClaim EOF
            {
            if ( state.backtracking==0 ) {
               newCompositeNode(grammarAccess.getClaimRule()); 
            }
            pushFollow(FOLLOW_1);
            iv_ruleClaim=ruleClaim();

            state._fsp--;
            if (state.failed) return current;
            if ( state.backtracking==0 ) {
               current =iv_ruleClaim; 
            }
            match(input,EOF,FOLLOW_2); if (state.failed) return current;

            }

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleClaim"


    // $ANTLR start "ruleClaim"
    // InternalActivity.g:545:1: ruleClaim returns [EObject current=null] : ( () ( (lv_name_1_0= ruleIID ) ) otherlv_2= ':' ( ( (lv_entry_3_0= ruleTracePoint ) ) | ( ( (lv_outerEntry_4_0= ruleTracePoint ) ) ( (lv_entry_5_0= ruleTracePoint ) ) ) )? ( (lv_passive_6_0= 'passive' ) )? otherlv_7= 'claim' ( ( ruleResourceQualifiedName ) ) ( ( (lv_exit_9_0= ruleTracePoint ) ) | ( ( (lv_exit_10_0= ruleTracePoint ) ) ( (lv_outerExit_11_0= ruleTracePoint ) ) ) )? ) ;
    public final EObject ruleClaim() throws RecognitionException {
        EObject current = null;

        Token otherlv_2=null;
        Token lv_passive_6_0=null;
        Token otherlv_7=null;
        AntlrDatatypeRuleToken lv_name_1_0 = null;

        EObject lv_entry_3_0 = null;

        EObject lv_outerEntry_4_0 = null;

        EObject lv_entry_5_0 = null;

        EObject lv_exit_9_0 = null;

        EObject lv_exit_10_0 = null;

        EObject lv_outerExit_11_0 = null;



        	enterRule();

        try {
            // InternalActivity.g:551:2: ( ( () ( (lv_name_1_0= ruleIID ) ) otherlv_2= ':' ( ( (lv_entry_3_0= ruleTracePoint ) ) | ( ( (lv_outerEntry_4_0= ruleTracePoint ) ) ( (lv_entry_5_0= ruleTracePoint ) ) ) )? ( (lv_passive_6_0= 'passive' ) )? otherlv_7= 'claim' ( ( ruleResourceQualifiedName ) ) ( ( (lv_exit_9_0= ruleTracePoint ) ) | ( ( (lv_exit_10_0= ruleTracePoint ) ) ( (lv_outerExit_11_0= ruleTracePoint ) ) ) )? ) )
            // InternalActivity.g:552:2: ( () ( (lv_name_1_0= ruleIID ) ) otherlv_2= ':' ( ( (lv_entry_3_0= ruleTracePoint ) ) | ( ( (lv_outerEntry_4_0= ruleTracePoint ) ) ( (lv_entry_5_0= ruleTracePoint ) ) ) )? ( (lv_passive_6_0= 'passive' ) )? otherlv_7= 'claim' ( ( ruleResourceQualifiedName ) ) ( ( (lv_exit_9_0= ruleTracePoint ) ) | ( ( (lv_exit_10_0= ruleTracePoint ) ) ( (lv_outerExit_11_0= ruleTracePoint ) ) ) )? )
            {
            // InternalActivity.g:552:2: ( () ( (lv_name_1_0= ruleIID ) ) otherlv_2= ':' ( ( (lv_entry_3_0= ruleTracePoint ) ) | ( ( (lv_outerEntry_4_0= ruleTracePoint ) ) ( (lv_entry_5_0= ruleTracePoint ) ) ) )? ( (lv_passive_6_0= 'passive' ) )? otherlv_7= 'claim' ( ( ruleResourceQualifiedName ) ) ( ( (lv_exit_9_0= ruleTracePoint ) ) | ( ( (lv_exit_10_0= ruleTracePoint ) ) ( (lv_outerExit_11_0= ruleTracePoint ) ) ) )? )
            // InternalActivity.g:553:3: () ( (lv_name_1_0= ruleIID ) ) otherlv_2= ':' ( ( (lv_entry_3_0= ruleTracePoint ) ) | ( ( (lv_outerEntry_4_0= ruleTracePoint ) ) ( (lv_entry_5_0= ruleTracePoint ) ) ) )? ( (lv_passive_6_0= 'passive' ) )? otherlv_7= 'claim' ( ( ruleResourceQualifiedName ) ) ( ( (lv_exit_9_0= ruleTracePoint ) ) | ( ( (lv_exit_10_0= ruleTracePoint ) ) ( (lv_outerExit_11_0= ruleTracePoint ) ) ) )?
            {
            // InternalActivity.g:553:3: ()
            // InternalActivity.g:554:4: 
            {
            if ( state.backtracking==0 ) {

              				current = forceCreateModelElement(
              					grammarAccess.getClaimAccess().getClaimAction_0(),
              					current);
              			
            }

            }

            // InternalActivity.g:560:3: ( (lv_name_1_0= ruleIID ) )
            // InternalActivity.g:561:4: (lv_name_1_0= ruleIID )
            {
            // InternalActivity.g:561:4: (lv_name_1_0= ruleIID )
            // InternalActivity.g:562:5: lv_name_1_0= ruleIID
            {
            if ( state.backtracking==0 ) {

              					newCompositeNode(grammarAccess.getClaimAccess().getNameIIDParserRuleCall_1_0());
              				
            }
            pushFollow(FOLLOW_17);
            lv_name_1_0=ruleIID();

            state._fsp--;
            if (state.failed) return current;
            if ( state.backtracking==0 ) {

              					if (current==null) {
              						current = createModelElementForParent(grammarAccess.getClaimRule());
              					}
              					set(
              						current,
              						"name",
              						lv_name_1_0,
              						"org.eclipse.lsat.activity.teditor.Activity.IID");
              					afterParserOrEnumRuleCall();
              				
            }

            }


            }

            otherlv_2=(Token)match(input,20,FOLLOW_18); if (state.failed) return current;
            if ( state.backtracking==0 ) {

              			newLeafNode(otherlv_2, grammarAccess.getClaimAccess().getColonKeyword_2());
              		
            }
            // InternalActivity.g:583:3: ( ( (lv_entry_3_0= ruleTracePoint ) ) | ( ( (lv_outerEntry_4_0= ruleTracePoint ) ) ( (lv_entry_5_0= ruleTracePoint ) ) ) )?
            int alt9=3;
            int LA9_0 = input.LA(1);

            if ( (LA9_0==32) ) {
                switch ( input.LA(2) ) {
                    case 33:
                        {
                        int LA9_3 = input.LA(3);

                        if ( (LA9_3==RULE_STRING) ) {
                            int LA9_4 = input.LA(4);

                            if ( (LA9_4==34) ) {
                                int LA9_6 = input.LA(5);

                                if ( (LA9_6==32) ) {
                                    alt9=2;
                                }
                                else if ( ((LA9_6>=21 && LA9_6<=22)) ) {
                                    alt9=1;
                                }
                            }
                        }
                        else if ( (LA9_3==RULE_ID) ) {
                            int LA9_5 = input.LA(4);

                            if ( (LA9_5==34) ) {
                                int LA9_6 = input.LA(5);

                                if ( (LA9_6==32) ) {
                                    alt9=2;
                                }
                                else if ( ((LA9_6>=21 && LA9_6<=22)) ) {
                                    alt9=1;
                                }
                            }
                        }
                        }
                        break;
                    case RULE_STRING:
                        {
                        int LA9_4 = input.LA(3);

                        if ( (LA9_4==34) ) {
                            int LA9_6 = input.LA(4);

                            if ( (LA9_6==32) ) {
                                alt9=2;
                            }
                            else if ( ((LA9_6>=21 && LA9_6<=22)) ) {
                                alt9=1;
                            }
                        }
                        }
                        break;
                    case RULE_ID:
                        {
                        int LA9_5 = input.LA(3);

                        if ( (LA9_5==34) ) {
                            int LA9_6 = input.LA(4);

                            if ( (LA9_6==32) ) {
                                alt9=2;
                            }
                            else if ( ((LA9_6>=21 && LA9_6<=22)) ) {
                                alt9=1;
                            }
                        }
                        }
                        break;
                }

            }
            switch (alt9) {
                case 1 :
                    // InternalActivity.g:584:4: ( (lv_entry_3_0= ruleTracePoint ) )
                    {
                    // InternalActivity.g:584:4: ( (lv_entry_3_0= ruleTracePoint ) )
                    // InternalActivity.g:585:5: (lv_entry_3_0= ruleTracePoint )
                    {
                    // InternalActivity.g:585:5: (lv_entry_3_0= ruleTracePoint )
                    // InternalActivity.g:586:6: lv_entry_3_0= ruleTracePoint
                    {
                    if ( state.backtracking==0 ) {

                      						newCompositeNode(grammarAccess.getClaimAccess().getEntryTracePointParserRuleCall_3_0_0());
                      					
                    }
                    pushFollow(FOLLOW_19);
                    lv_entry_3_0=ruleTracePoint();

                    state._fsp--;
                    if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      						if (current==null) {
                      							current = createModelElementForParent(grammarAccess.getClaimRule());
                      						}
                      						set(
                      							current,
                      							"entry",
                      							lv_entry_3_0,
                      							"org.eclipse.lsat.activity.teditor.Activity.TracePoint");
                      						afterParserOrEnumRuleCall();
                      					
                    }

                    }


                    }


                    }
                    break;
                case 2 :
                    // InternalActivity.g:604:4: ( ( (lv_outerEntry_4_0= ruleTracePoint ) ) ( (lv_entry_5_0= ruleTracePoint ) ) )
                    {
                    // InternalActivity.g:604:4: ( ( (lv_outerEntry_4_0= ruleTracePoint ) ) ( (lv_entry_5_0= ruleTracePoint ) ) )
                    // InternalActivity.g:605:5: ( (lv_outerEntry_4_0= ruleTracePoint ) ) ( (lv_entry_5_0= ruleTracePoint ) )
                    {
                    // InternalActivity.g:605:5: ( (lv_outerEntry_4_0= ruleTracePoint ) )
                    // InternalActivity.g:606:6: (lv_outerEntry_4_0= ruleTracePoint )
                    {
                    // InternalActivity.g:606:6: (lv_outerEntry_4_0= ruleTracePoint )
                    // InternalActivity.g:607:7: lv_outerEntry_4_0= ruleTracePoint
                    {
                    if ( state.backtracking==0 ) {

                      							newCompositeNode(grammarAccess.getClaimAccess().getOuterEntryTracePointParserRuleCall_3_1_0_0());
                      						
                    }
                    pushFollow(FOLLOW_20);
                    lv_outerEntry_4_0=ruleTracePoint();

                    state._fsp--;
                    if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      							if (current==null) {
                      								current = createModelElementForParent(grammarAccess.getClaimRule());
                      							}
                      							set(
                      								current,
                      								"outerEntry",
                      								lv_outerEntry_4_0,
                      								"org.eclipse.lsat.activity.teditor.Activity.TracePoint");
                      							afterParserOrEnumRuleCall();
                      						
                    }

                    }


                    }

                    // InternalActivity.g:624:5: ( (lv_entry_5_0= ruleTracePoint ) )
                    // InternalActivity.g:625:6: (lv_entry_5_0= ruleTracePoint )
                    {
                    // InternalActivity.g:625:6: (lv_entry_5_0= ruleTracePoint )
                    // InternalActivity.g:626:7: lv_entry_5_0= ruleTracePoint
                    {
                    if ( state.backtracking==0 ) {

                      							newCompositeNode(grammarAccess.getClaimAccess().getEntryTracePointParserRuleCall_3_1_1_0());
                      						
                    }
                    pushFollow(FOLLOW_19);
                    lv_entry_5_0=ruleTracePoint();

                    state._fsp--;
                    if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      							if (current==null) {
                      								current = createModelElementForParent(grammarAccess.getClaimRule());
                      							}
                      							set(
                      								current,
                      								"entry",
                      								lv_entry_5_0,
                      								"org.eclipse.lsat.activity.teditor.Activity.TracePoint");
                      							afterParserOrEnumRuleCall();
                      						
                    }

                    }


                    }


                    }


                    }
                    break;

            }

            // InternalActivity.g:645:3: ( (lv_passive_6_0= 'passive' ) )?
            int alt10=2;
            int LA10_0 = input.LA(1);

            if ( (LA10_0==21) ) {
                alt10=1;
            }
            switch (alt10) {
                case 1 :
                    // InternalActivity.g:646:4: (lv_passive_6_0= 'passive' )
                    {
                    // InternalActivity.g:646:4: (lv_passive_6_0= 'passive' )
                    // InternalActivity.g:647:5: lv_passive_6_0= 'passive'
                    {
                    lv_passive_6_0=(Token)match(input,21,FOLLOW_21); if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      					newLeafNode(lv_passive_6_0, grammarAccess.getClaimAccess().getPassivePassiveKeyword_4_0());
                      				
                    }
                    if ( state.backtracking==0 ) {

                      					if (current==null) {
                      						current = createModelElement(grammarAccess.getClaimRule());
                      					}
                      					setWithLastConsumed(current, "passive", lv_passive_6_0 != null, "passive");
                      				
                    }

                    }


                    }
                    break;

            }

            otherlv_7=(Token)match(input,22,FOLLOW_6); if (state.failed) return current;
            if ( state.backtracking==0 ) {

              			newLeafNode(otherlv_7, grammarAccess.getClaimAccess().getClaimKeyword_5());
              		
            }
            // InternalActivity.g:663:3: ( ( ruleResourceQualifiedName ) )
            // InternalActivity.g:664:4: ( ruleResourceQualifiedName )
            {
            // InternalActivity.g:664:4: ( ruleResourceQualifiedName )
            // InternalActivity.g:665:5: ruleResourceQualifiedName
            {
            if ( state.backtracking==0 ) {

              					if (current==null) {
              						current = createModelElement(grammarAccess.getClaimRule());
              					}
              				
            }
            if ( state.backtracking==0 ) {

              					newCompositeNode(grammarAccess.getClaimAccess().getResourceIResourceCrossReference_6_0());
              				
            }
            pushFollow(FOLLOW_22);
            ruleResourceQualifiedName();

            state._fsp--;
            if (state.failed) return current;
            if ( state.backtracking==0 ) {

              					afterParserOrEnumRuleCall();
              				
            }

            }


            }

            // InternalActivity.g:679:3: ( ( (lv_exit_9_0= ruleTracePoint ) ) | ( ( (lv_exit_10_0= ruleTracePoint ) ) ( (lv_outerExit_11_0= ruleTracePoint ) ) ) )?
            int alt11=3;
            int LA11_0 = input.LA(1);

            if ( (LA11_0==32) ) {
                switch ( input.LA(2) ) {
                    case 33:
                        {
                        int LA11_3 = input.LA(3);

                        if ( (LA11_3==RULE_STRING) ) {
                            int LA11_4 = input.LA(4);

                            if ( (LA11_4==34) ) {
                                int LA11_6 = input.LA(5);

                                if ( (LA11_6==32) ) {
                                    alt11=2;
                                }
                                else if ( (LA11_6==EOF||(LA11_6>=RULE_ID && LA11_6<=RULE_INT)||LA11_6==15) ) {
                                    alt11=1;
                                }
                            }
                        }
                        else if ( (LA11_3==RULE_ID) ) {
                            int LA11_5 = input.LA(4);

                            if ( (LA11_5==34) ) {
                                int LA11_6 = input.LA(5);

                                if ( (LA11_6==32) ) {
                                    alt11=2;
                                }
                                else if ( (LA11_6==EOF||(LA11_6>=RULE_ID && LA11_6<=RULE_INT)||LA11_6==15) ) {
                                    alt11=1;
                                }
                            }
                        }
                        }
                        break;
                    case RULE_STRING:
                        {
                        int LA11_4 = input.LA(3);

                        if ( (LA11_4==34) ) {
                            int LA11_6 = input.LA(4);

                            if ( (LA11_6==32) ) {
                                alt11=2;
                            }
                            else if ( (LA11_6==EOF||(LA11_6>=RULE_ID && LA11_6<=RULE_INT)||LA11_6==15) ) {
                                alt11=1;
                            }
                        }
                        }
                        break;
                    case RULE_ID:
                        {
                        int LA11_5 = input.LA(3);

                        if ( (LA11_5==34) ) {
                            int LA11_6 = input.LA(4);

                            if ( (LA11_6==32) ) {
                                alt11=2;
                            }
                            else if ( (LA11_6==EOF||(LA11_6>=RULE_ID && LA11_6<=RULE_INT)||LA11_6==15) ) {
                                alt11=1;
                            }
                        }
                        }
                        break;
                }

            }
            switch (alt11) {
                case 1 :
                    // InternalActivity.g:680:4: ( (lv_exit_9_0= ruleTracePoint ) )
                    {
                    // InternalActivity.g:680:4: ( (lv_exit_9_0= ruleTracePoint ) )
                    // InternalActivity.g:681:5: (lv_exit_9_0= ruleTracePoint )
                    {
                    // InternalActivity.g:681:5: (lv_exit_9_0= ruleTracePoint )
                    // InternalActivity.g:682:6: lv_exit_9_0= ruleTracePoint
                    {
                    if ( state.backtracking==0 ) {

                      						newCompositeNode(grammarAccess.getClaimAccess().getExitTracePointParserRuleCall_7_0_0());
                      					
                    }
                    pushFollow(FOLLOW_2);
                    lv_exit_9_0=ruleTracePoint();

                    state._fsp--;
                    if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      						if (current==null) {
                      							current = createModelElementForParent(grammarAccess.getClaimRule());
                      						}
                      						set(
                      							current,
                      							"exit",
                      							lv_exit_9_0,
                      							"org.eclipse.lsat.activity.teditor.Activity.TracePoint");
                      						afterParserOrEnumRuleCall();
                      					
                    }

                    }


                    }


                    }
                    break;
                case 2 :
                    // InternalActivity.g:700:4: ( ( (lv_exit_10_0= ruleTracePoint ) ) ( (lv_outerExit_11_0= ruleTracePoint ) ) )
                    {
                    // InternalActivity.g:700:4: ( ( (lv_exit_10_0= ruleTracePoint ) ) ( (lv_outerExit_11_0= ruleTracePoint ) ) )
                    // InternalActivity.g:701:5: ( (lv_exit_10_0= ruleTracePoint ) ) ( (lv_outerExit_11_0= ruleTracePoint ) )
                    {
                    // InternalActivity.g:701:5: ( (lv_exit_10_0= ruleTracePoint ) )
                    // InternalActivity.g:702:6: (lv_exit_10_0= ruleTracePoint )
                    {
                    // InternalActivity.g:702:6: (lv_exit_10_0= ruleTracePoint )
                    // InternalActivity.g:703:7: lv_exit_10_0= ruleTracePoint
                    {
                    if ( state.backtracking==0 ) {

                      							newCompositeNode(grammarAccess.getClaimAccess().getExitTracePointParserRuleCall_7_1_0_0());
                      						
                    }
                    pushFollow(FOLLOW_20);
                    lv_exit_10_0=ruleTracePoint();

                    state._fsp--;
                    if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      							if (current==null) {
                      								current = createModelElementForParent(grammarAccess.getClaimRule());
                      							}
                      							set(
                      								current,
                      								"exit",
                      								lv_exit_10_0,
                      								"org.eclipse.lsat.activity.teditor.Activity.TracePoint");
                      							afterParserOrEnumRuleCall();
                      						
                    }

                    }


                    }

                    // InternalActivity.g:720:5: ( (lv_outerExit_11_0= ruleTracePoint ) )
                    // InternalActivity.g:721:6: (lv_outerExit_11_0= ruleTracePoint )
                    {
                    // InternalActivity.g:721:6: (lv_outerExit_11_0= ruleTracePoint )
                    // InternalActivity.g:722:7: lv_outerExit_11_0= ruleTracePoint
                    {
                    if ( state.backtracking==0 ) {

                      							newCompositeNode(grammarAccess.getClaimAccess().getOuterExitTracePointParserRuleCall_7_1_1_0());
                      						
                    }
                    pushFollow(FOLLOW_2);
                    lv_outerExit_11_0=ruleTracePoint();

                    state._fsp--;
                    if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      							if (current==null) {
                      								current = createModelElementForParent(grammarAccess.getClaimRule());
                      							}
                      							set(
                      								current,
                      								"outerExit",
                      								lv_outerExit_11_0,
                      								"org.eclipse.lsat.activity.teditor.Activity.TracePoint");
                      							afterParserOrEnumRuleCall();
                      						
                    }

                    }


                    }


                    }


                    }
                    break;

            }


            }


            }

            if ( state.backtracking==0 ) {

              	leaveRule();

            }
        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleClaim"


    // $ANTLR start "entryRuleRelease"
    // InternalActivity.g:745:1: entryRuleRelease returns [EObject current=null] : iv_ruleRelease= ruleRelease EOF ;
    public final EObject entryRuleRelease() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleRelease = null;


        try {
            // InternalActivity.g:745:48: (iv_ruleRelease= ruleRelease EOF )
            // InternalActivity.g:746:2: iv_ruleRelease= ruleRelease EOF
            {
            if ( state.backtracking==0 ) {
               newCompositeNode(grammarAccess.getReleaseRule()); 
            }
            pushFollow(FOLLOW_1);
            iv_ruleRelease=ruleRelease();

            state._fsp--;
            if (state.failed) return current;
            if ( state.backtracking==0 ) {
               current =iv_ruleRelease; 
            }
            match(input,EOF,FOLLOW_2); if (state.failed) return current;

            }

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleRelease"


    // $ANTLR start "ruleRelease"
    // InternalActivity.g:752:1: ruleRelease returns [EObject current=null] : ( () ( (lv_name_1_0= ruleIID ) ) otherlv_2= ':' ( ( (lv_entry_3_0= ruleTracePoint ) ) | ( ( (lv_outerEntry_4_0= ruleTracePoint ) ) ( (lv_entry_5_0= ruleTracePoint ) ) ) )? otherlv_6= 'release' ( ( ruleResourceQualifiedName ) ) ( ( (lv_exit_8_0= ruleTracePoint ) ) | ( ( (lv_exit_9_0= ruleTracePoint ) ) ( (lv_outerExit_10_0= ruleTracePoint ) ) ) )? ) ;
    public final EObject ruleRelease() throws RecognitionException {
        EObject current = null;

        Token otherlv_2=null;
        Token otherlv_6=null;
        AntlrDatatypeRuleToken lv_name_1_0 = null;

        EObject lv_entry_3_0 = null;

        EObject lv_outerEntry_4_0 = null;

        EObject lv_entry_5_0 = null;

        EObject lv_exit_8_0 = null;

        EObject lv_exit_9_0 = null;

        EObject lv_outerExit_10_0 = null;



        	enterRule();

        try {
            // InternalActivity.g:758:2: ( ( () ( (lv_name_1_0= ruleIID ) ) otherlv_2= ':' ( ( (lv_entry_3_0= ruleTracePoint ) ) | ( ( (lv_outerEntry_4_0= ruleTracePoint ) ) ( (lv_entry_5_0= ruleTracePoint ) ) ) )? otherlv_6= 'release' ( ( ruleResourceQualifiedName ) ) ( ( (lv_exit_8_0= ruleTracePoint ) ) | ( ( (lv_exit_9_0= ruleTracePoint ) ) ( (lv_outerExit_10_0= ruleTracePoint ) ) ) )? ) )
            // InternalActivity.g:759:2: ( () ( (lv_name_1_0= ruleIID ) ) otherlv_2= ':' ( ( (lv_entry_3_0= ruleTracePoint ) ) | ( ( (lv_outerEntry_4_0= ruleTracePoint ) ) ( (lv_entry_5_0= ruleTracePoint ) ) ) )? otherlv_6= 'release' ( ( ruleResourceQualifiedName ) ) ( ( (lv_exit_8_0= ruleTracePoint ) ) | ( ( (lv_exit_9_0= ruleTracePoint ) ) ( (lv_outerExit_10_0= ruleTracePoint ) ) ) )? )
            {
            // InternalActivity.g:759:2: ( () ( (lv_name_1_0= ruleIID ) ) otherlv_2= ':' ( ( (lv_entry_3_0= ruleTracePoint ) ) | ( ( (lv_outerEntry_4_0= ruleTracePoint ) ) ( (lv_entry_5_0= ruleTracePoint ) ) ) )? otherlv_6= 'release' ( ( ruleResourceQualifiedName ) ) ( ( (lv_exit_8_0= ruleTracePoint ) ) | ( ( (lv_exit_9_0= ruleTracePoint ) ) ( (lv_outerExit_10_0= ruleTracePoint ) ) ) )? )
            // InternalActivity.g:760:3: () ( (lv_name_1_0= ruleIID ) ) otherlv_2= ':' ( ( (lv_entry_3_0= ruleTracePoint ) ) | ( ( (lv_outerEntry_4_0= ruleTracePoint ) ) ( (lv_entry_5_0= ruleTracePoint ) ) ) )? otherlv_6= 'release' ( ( ruleResourceQualifiedName ) ) ( ( (lv_exit_8_0= ruleTracePoint ) ) | ( ( (lv_exit_9_0= ruleTracePoint ) ) ( (lv_outerExit_10_0= ruleTracePoint ) ) ) )?
            {
            // InternalActivity.g:760:3: ()
            // InternalActivity.g:761:4: 
            {
            if ( state.backtracking==0 ) {

              				current = forceCreateModelElement(
              					grammarAccess.getReleaseAccess().getReleaseAction_0(),
              					current);
              			
            }

            }

            // InternalActivity.g:767:3: ( (lv_name_1_0= ruleIID ) )
            // InternalActivity.g:768:4: (lv_name_1_0= ruleIID )
            {
            // InternalActivity.g:768:4: (lv_name_1_0= ruleIID )
            // InternalActivity.g:769:5: lv_name_1_0= ruleIID
            {
            if ( state.backtracking==0 ) {

              					newCompositeNode(grammarAccess.getReleaseAccess().getNameIIDParserRuleCall_1_0());
              				
            }
            pushFollow(FOLLOW_17);
            lv_name_1_0=ruleIID();

            state._fsp--;
            if (state.failed) return current;
            if ( state.backtracking==0 ) {

              					if (current==null) {
              						current = createModelElementForParent(grammarAccess.getReleaseRule());
              					}
              					set(
              						current,
              						"name",
              						lv_name_1_0,
              						"org.eclipse.lsat.activity.teditor.Activity.IID");
              					afterParserOrEnumRuleCall();
              				
            }

            }


            }

            otherlv_2=(Token)match(input,20,FOLLOW_23); if (state.failed) return current;
            if ( state.backtracking==0 ) {

              			newLeafNode(otherlv_2, grammarAccess.getReleaseAccess().getColonKeyword_2());
              		
            }
            // InternalActivity.g:790:3: ( ( (lv_entry_3_0= ruleTracePoint ) ) | ( ( (lv_outerEntry_4_0= ruleTracePoint ) ) ( (lv_entry_5_0= ruleTracePoint ) ) ) )?
            int alt12=3;
            int LA12_0 = input.LA(1);

            if ( (LA12_0==32) ) {
                switch ( input.LA(2) ) {
                    case 33:
                        {
                        int LA12_3 = input.LA(3);

                        if ( (LA12_3==RULE_STRING) ) {
                            int LA12_4 = input.LA(4);

                            if ( (LA12_4==34) ) {
                                int LA12_6 = input.LA(5);

                                if ( (LA12_6==32) ) {
                                    alt12=2;
                                }
                                else if ( (LA12_6==23) ) {
                                    alt12=1;
                                }
                            }
                        }
                        else if ( (LA12_3==RULE_ID) ) {
                            int LA12_5 = input.LA(4);

                            if ( (LA12_5==34) ) {
                                int LA12_6 = input.LA(5);

                                if ( (LA12_6==32) ) {
                                    alt12=2;
                                }
                                else if ( (LA12_6==23) ) {
                                    alt12=1;
                                }
                            }
                        }
                        }
                        break;
                    case RULE_STRING:
                        {
                        int LA12_4 = input.LA(3);

                        if ( (LA12_4==34) ) {
                            int LA12_6 = input.LA(4);

                            if ( (LA12_6==32) ) {
                                alt12=2;
                            }
                            else if ( (LA12_6==23) ) {
                                alt12=1;
                            }
                        }
                        }
                        break;
                    case RULE_ID:
                        {
                        int LA12_5 = input.LA(3);

                        if ( (LA12_5==34) ) {
                            int LA12_6 = input.LA(4);

                            if ( (LA12_6==32) ) {
                                alt12=2;
                            }
                            else if ( (LA12_6==23) ) {
                                alt12=1;
                            }
                        }
                        }
                        break;
                }

            }
            switch (alt12) {
                case 1 :
                    // InternalActivity.g:791:4: ( (lv_entry_3_0= ruleTracePoint ) )
                    {
                    // InternalActivity.g:791:4: ( (lv_entry_3_0= ruleTracePoint ) )
                    // InternalActivity.g:792:5: (lv_entry_3_0= ruleTracePoint )
                    {
                    // InternalActivity.g:792:5: (lv_entry_3_0= ruleTracePoint )
                    // InternalActivity.g:793:6: lv_entry_3_0= ruleTracePoint
                    {
                    if ( state.backtracking==0 ) {

                      						newCompositeNode(grammarAccess.getReleaseAccess().getEntryTracePointParserRuleCall_3_0_0());
                      					
                    }
                    pushFollow(FOLLOW_24);
                    lv_entry_3_0=ruleTracePoint();

                    state._fsp--;
                    if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      						if (current==null) {
                      							current = createModelElementForParent(grammarAccess.getReleaseRule());
                      						}
                      						set(
                      							current,
                      							"entry",
                      							lv_entry_3_0,
                      							"org.eclipse.lsat.activity.teditor.Activity.TracePoint");
                      						afterParserOrEnumRuleCall();
                      					
                    }

                    }


                    }


                    }
                    break;
                case 2 :
                    // InternalActivity.g:811:4: ( ( (lv_outerEntry_4_0= ruleTracePoint ) ) ( (lv_entry_5_0= ruleTracePoint ) ) )
                    {
                    // InternalActivity.g:811:4: ( ( (lv_outerEntry_4_0= ruleTracePoint ) ) ( (lv_entry_5_0= ruleTracePoint ) ) )
                    // InternalActivity.g:812:5: ( (lv_outerEntry_4_0= ruleTracePoint ) ) ( (lv_entry_5_0= ruleTracePoint ) )
                    {
                    // InternalActivity.g:812:5: ( (lv_outerEntry_4_0= ruleTracePoint ) )
                    // InternalActivity.g:813:6: (lv_outerEntry_4_0= ruleTracePoint )
                    {
                    // InternalActivity.g:813:6: (lv_outerEntry_4_0= ruleTracePoint )
                    // InternalActivity.g:814:7: lv_outerEntry_4_0= ruleTracePoint
                    {
                    if ( state.backtracking==0 ) {

                      							newCompositeNode(grammarAccess.getReleaseAccess().getOuterEntryTracePointParserRuleCall_3_1_0_0());
                      						
                    }
                    pushFollow(FOLLOW_20);
                    lv_outerEntry_4_0=ruleTracePoint();

                    state._fsp--;
                    if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      							if (current==null) {
                      								current = createModelElementForParent(grammarAccess.getReleaseRule());
                      							}
                      							set(
                      								current,
                      								"outerEntry",
                      								lv_outerEntry_4_0,
                      								"org.eclipse.lsat.activity.teditor.Activity.TracePoint");
                      							afterParserOrEnumRuleCall();
                      						
                    }

                    }


                    }

                    // InternalActivity.g:831:5: ( (lv_entry_5_0= ruleTracePoint ) )
                    // InternalActivity.g:832:6: (lv_entry_5_0= ruleTracePoint )
                    {
                    // InternalActivity.g:832:6: (lv_entry_5_0= ruleTracePoint )
                    // InternalActivity.g:833:7: lv_entry_5_0= ruleTracePoint
                    {
                    if ( state.backtracking==0 ) {

                      							newCompositeNode(grammarAccess.getReleaseAccess().getEntryTracePointParserRuleCall_3_1_1_0());
                      						
                    }
                    pushFollow(FOLLOW_24);
                    lv_entry_5_0=ruleTracePoint();

                    state._fsp--;
                    if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      							if (current==null) {
                      								current = createModelElementForParent(grammarAccess.getReleaseRule());
                      							}
                      							set(
                      								current,
                      								"entry",
                      								lv_entry_5_0,
                      								"org.eclipse.lsat.activity.teditor.Activity.TracePoint");
                      							afterParserOrEnumRuleCall();
                      						
                    }

                    }


                    }


                    }


                    }
                    break;

            }

            otherlv_6=(Token)match(input,23,FOLLOW_6); if (state.failed) return current;
            if ( state.backtracking==0 ) {

              			newLeafNode(otherlv_6, grammarAccess.getReleaseAccess().getReleaseKeyword_4());
              		
            }
            // InternalActivity.g:856:3: ( ( ruleResourceQualifiedName ) )
            // InternalActivity.g:857:4: ( ruleResourceQualifiedName )
            {
            // InternalActivity.g:857:4: ( ruleResourceQualifiedName )
            // InternalActivity.g:858:5: ruleResourceQualifiedName
            {
            if ( state.backtracking==0 ) {

              					if (current==null) {
              						current = createModelElement(grammarAccess.getReleaseRule());
              					}
              				
            }
            if ( state.backtracking==0 ) {

              					newCompositeNode(grammarAccess.getReleaseAccess().getResourceIResourceCrossReference_5_0());
              				
            }
            pushFollow(FOLLOW_22);
            ruleResourceQualifiedName();

            state._fsp--;
            if (state.failed) return current;
            if ( state.backtracking==0 ) {

              					afterParserOrEnumRuleCall();
              				
            }

            }


            }

            // InternalActivity.g:872:3: ( ( (lv_exit_8_0= ruleTracePoint ) ) | ( ( (lv_exit_9_0= ruleTracePoint ) ) ( (lv_outerExit_10_0= ruleTracePoint ) ) ) )?
            int alt13=3;
            int LA13_0 = input.LA(1);

            if ( (LA13_0==32) ) {
                switch ( input.LA(2) ) {
                    case 33:
                        {
                        int LA13_3 = input.LA(3);

                        if ( (LA13_3==RULE_STRING) ) {
                            int LA13_4 = input.LA(4);

                            if ( (LA13_4==34) ) {
                                int LA13_6 = input.LA(5);

                                if ( (LA13_6==32) ) {
                                    alt13=2;
                                }
                                else if ( (LA13_6==EOF||(LA13_6>=RULE_ID && LA13_6<=RULE_INT)||LA13_6==15) ) {
                                    alt13=1;
                                }
                            }
                        }
                        else if ( (LA13_3==RULE_ID) ) {
                            int LA13_5 = input.LA(4);

                            if ( (LA13_5==34) ) {
                                int LA13_6 = input.LA(5);

                                if ( (LA13_6==32) ) {
                                    alt13=2;
                                }
                                else if ( (LA13_6==EOF||(LA13_6>=RULE_ID && LA13_6<=RULE_INT)||LA13_6==15) ) {
                                    alt13=1;
                                }
                            }
                        }
                        }
                        break;
                    case RULE_STRING:
                        {
                        int LA13_4 = input.LA(3);

                        if ( (LA13_4==34) ) {
                            int LA13_6 = input.LA(4);

                            if ( (LA13_6==32) ) {
                                alt13=2;
                            }
                            else if ( (LA13_6==EOF||(LA13_6>=RULE_ID && LA13_6<=RULE_INT)||LA13_6==15) ) {
                                alt13=1;
                            }
                        }
                        }
                        break;
                    case RULE_ID:
                        {
                        int LA13_5 = input.LA(3);

                        if ( (LA13_5==34) ) {
                            int LA13_6 = input.LA(4);

                            if ( (LA13_6==32) ) {
                                alt13=2;
                            }
                            else if ( (LA13_6==EOF||(LA13_6>=RULE_ID && LA13_6<=RULE_INT)||LA13_6==15) ) {
                                alt13=1;
                            }
                        }
                        }
                        break;
                }

            }
            switch (alt13) {
                case 1 :
                    // InternalActivity.g:873:4: ( (lv_exit_8_0= ruleTracePoint ) )
                    {
                    // InternalActivity.g:873:4: ( (lv_exit_8_0= ruleTracePoint ) )
                    // InternalActivity.g:874:5: (lv_exit_8_0= ruleTracePoint )
                    {
                    // InternalActivity.g:874:5: (lv_exit_8_0= ruleTracePoint )
                    // InternalActivity.g:875:6: lv_exit_8_0= ruleTracePoint
                    {
                    if ( state.backtracking==0 ) {

                      						newCompositeNode(grammarAccess.getReleaseAccess().getExitTracePointParserRuleCall_6_0_0());
                      					
                    }
                    pushFollow(FOLLOW_2);
                    lv_exit_8_0=ruleTracePoint();

                    state._fsp--;
                    if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      						if (current==null) {
                      							current = createModelElementForParent(grammarAccess.getReleaseRule());
                      						}
                      						set(
                      							current,
                      							"exit",
                      							lv_exit_8_0,
                      							"org.eclipse.lsat.activity.teditor.Activity.TracePoint");
                      						afterParserOrEnumRuleCall();
                      					
                    }

                    }


                    }


                    }
                    break;
                case 2 :
                    // InternalActivity.g:893:4: ( ( (lv_exit_9_0= ruleTracePoint ) ) ( (lv_outerExit_10_0= ruleTracePoint ) ) )
                    {
                    // InternalActivity.g:893:4: ( ( (lv_exit_9_0= ruleTracePoint ) ) ( (lv_outerExit_10_0= ruleTracePoint ) ) )
                    // InternalActivity.g:894:5: ( (lv_exit_9_0= ruleTracePoint ) ) ( (lv_outerExit_10_0= ruleTracePoint ) )
                    {
                    // InternalActivity.g:894:5: ( (lv_exit_9_0= ruleTracePoint ) )
                    // InternalActivity.g:895:6: (lv_exit_9_0= ruleTracePoint )
                    {
                    // InternalActivity.g:895:6: (lv_exit_9_0= ruleTracePoint )
                    // InternalActivity.g:896:7: lv_exit_9_0= ruleTracePoint
                    {
                    if ( state.backtracking==0 ) {

                      							newCompositeNode(grammarAccess.getReleaseAccess().getExitTracePointParserRuleCall_6_1_0_0());
                      						
                    }
                    pushFollow(FOLLOW_20);
                    lv_exit_9_0=ruleTracePoint();

                    state._fsp--;
                    if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      							if (current==null) {
                      								current = createModelElementForParent(grammarAccess.getReleaseRule());
                      							}
                      							set(
                      								current,
                      								"exit",
                      								lv_exit_9_0,
                      								"org.eclipse.lsat.activity.teditor.Activity.TracePoint");
                      							afterParserOrEnumRuleCall();
                      						
                    }

                    }


                    }

                    // InternalActivity.g:913:5: ( (lv_outerExit_10_0= ruleTracePoint ) )
                    // InternalActivity.g:914:6: (lv_outerExit_10_0= ruleTracePoint )
                    {
                    // InternalActivity.g:914:6: (lv_outerExit_10_0= ruleTracePoint )
                    // InternalActivity.g:915:7: lv_outerExit_10_0= ruleTracePoint
                    {
                    if ( state.backtracking==0 ) {

                      							newCompositeNode(grammarAccess.getReleaseAccess().getOuterExitTracePointParserRuleCall_6_1_1_0());
                      						
                    }
                    pushFollow(FOLLOW_2);
                    lv_outerExit_10_0=ruleTracePoint();

                    state._fsp--;
                    if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      							if (current==null) {
                      								current = createModelElementForParent(grammarAccess.getReleaseRule());
                      							}
                      							set(
                      								current,
                      								"outerExit",
                      								lv_outerExit_10_0,
                      								"org.eclipse.lsat.activity.teditor.Activity.TracePoint");
                      							afterParserOrEnumRuleCall();
                      						
                    }

                    }


                    }


                    }


                    }
                    break;

            }


            }


            }

            if ( state.backtracking==0 ) {

              	leaveRule();

            }
        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleRelease"


    // $ANTLR start "entryRuleRaiseEvent"
    // InternalActivity.g:938:1: entryRuleRaiseEvent returns [EObject current=null] : iv_ruleRaiseEvent= ruleRaiseEvent EOF ;
    public final EObject entryRuleRaiseEvent() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleRaiseEvent = null;


        try {
            // InternalActivity.g:938:51: (iv_ruleRaiseEvent= ruleRaiseEvent EOF )
            // InternalActivity.g:939:2: iv_ruleRaiseEvent= ruleRaiseEvent EOF
            {
            if ( state.backtracking==0 ) {
               newCompositeNode(grammarAccess.getRaiseEventRule()); 
            }
            pushFollow(FOLLOW_1);
            iv_ruleRaiseEvent=ruleRaiseEvent();

            state._fsp--;
            if (state.failed) return current;
            if ( state.backtracking==0 ) {
               current =iv_ruleRaiseEvent; 
            }
            match(input,EOF,FOLLOW_2); if (state.failed) return current;

            }

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleRaiseEvent"


    // $ANTLR start "ruleRaiseEvent"
    // InternalActivity.g:945:1: ruleRaiseEvent returns [EObject current=null] : ( () ( (lv_name_1_0= ruleIID ) ) otherlv_2= ':' otherlv_3= 'raise' ( ( ruleResourceQualifiedName ) ) ) ;
    public final EObject ruleRaiseEvent() throws RecognitionException {
        EObject current = null;

        Token otherlv_2=null;
        Token otherlv_3=null;
        AntlrDatatypeRuleToken lv_name_1_0 = null;



        	enterRule();

        try {
            // InternalActivity.g:951:2: ( ( () ( (lv_name_1_0= ruleIID ) ) otherlv_2= ':' otherlv_3= 'raise' ( ( ruleResourceQualifiedName ) ) ) )
            // InternalActivity.g:952:2: ( () ( (lv_name_1_0= ruleIID ) ) otherlv_2= ':' otherlv_3= 'raise' ( ( ruleResourceQualifiedName ) ) )
            {
            // InternalActivity.g:952:2: ( () ( (lv_name_1_0= ruleIID ) ) otherlv_2= ':' otherlv_3= 'raise' ( ( ruleResourceQualifiedName ) ) )
            // InternalActivity.g:953:3: () ( (lv_name_1_0= ruleIID ) ) otherlv_2= ':' otherlv_3= 'raise' ( ( ruleResourceQualifiedName ) )
            {
            // InternalActivity.g:953:3: ()
            // InternalActivity.g:954:4: 
            {
            if ( state.backtracking==0 ) {

              				current = forceCreateModelElement(
              					grammarAccess.getRaiseEventAccess().getRaiseEventAction_0(),
              					current);
              			
            }

            }

            // InternalActivity.g:960:3: ( (lv_name_1_0= ruleIID ) )
            // InternalActivity.g:961:4: (lv_name_1_0= ruleIID )
            {
            // InternalActivity.g:961:4: (lv_name_1_0= ruleIID )
            // InternalActivity.g:962:5: lv_name_1_0= ruleIID
            {
            if ( state.backtracking==0 ) {

              					newCompositeNode(grammarAccess.getRaiseEventAccess().getNameIIDParserRuleCall_1_0());
              				
            }
            pushFollow(FOLLOW_17);
            lv_name_1_0=ruleIID();

            state._fsp--;
            if (state.failed) return current;
            if ( state.backtracking==0 ) {

              					if (current==null) {
              						current = createModelElementForParent(grammarAccess.getRaiseEventRule());
              					}
              					set(
              						current,
              						"name",
              						lv_name_1_0,
              						"org.eclipse.lsat.activity.teditor.Activity.IID");
              					afterParserOrEnumRuleCall();
              				
            }

            }


            }

            otherlv_2=(Token)match(input,20,FOLLOW_25); if (state.failed) return current;
            if ( state.backtracking==0 ) {

              			newLeafNode(otherlv_2, grammarAccess.getRaiseEventAccess().getColonKeyword_2());
              		
            }
            otherlv_3=(Token)match(input,24,FOLLOW_6); if (state.failed) return current;
            if ( state.backtracking==0 ) {

              			newLeafNode(otherlv_3, grammarAccess.getRaiseEventAccess().getRaiseKeyword_3());
              		
            }
            // InternalActivity.g:987:3: ( ( ruleResourceQualifiedName ) )
            // InternalActivity.g:988:4: ( ruleResourceQualifiedName )
            {
            // InternalActivity.g:988:4: ( ruleResourceQualifiedName )
            // InternalActivity.g:989:5: ruleResourceQualifiedName
            {
            if ( state.backtracking==0 ) {

              					if (current==null) {
              						current = createModelElement(grammarAccess.getRaiseEventRule());
              					}
              				
            }
            if ( state.backtracking==0 ) {

              					newCompositeNode(grammarAccess.getRaiseEventAccess().getResourceIResourceCrossReference_4_0());
              				
            }
            pushFollow(FOLLOW_2);
            ruleResourceQualifiedName();

            state._fsp--;
            if (state.failed) return current;
            if ( state.backtracking==0 ) {

              					afterParserOrEnumRuleCall();
              				
            }

            }


            }


            }


            }

            if ( state.backtracking==0 ) {

              	leaveRule();

            }
        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleRaiseEvent"


    // $ANTLR start "entryRuleRequireEvent"
    // InternalActivity.g:1007:1: entryRuleRequireEvent returns [EObject current=null] : iv_ruleRequireEvent= ruleRequireEvent EOF ;
    public final EObject entryRuleRequireEvent() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleRequireEvent = null;


        try {
            // InternalActivity.g:1007:53: (iv_ruleRequireEvent= ruleRequireEvent EOF )
            // InternalActivity.g:1008:2: iv_ruleRequireEvent= ruleRequireEvent EOF
            {
            if ( state.backtracking==0 ) {
               newCompositeNode(grammarAccess.getRequireEventRule()); 
            }
            pushFollow(FOLLOW_1);
            iv_ruleRequireEvent=ruleRequireEvent();

            state._fsp--;
            if (state.failed) return current;
            if ( state.backtracking==0 ) {
               current =iv_ruleRequireEvent; 
            }
            match(input,EOF,FOLLOW_2); if (state.failed) return current;

            }

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleRequireEvent"


    // $ANTLR start "ruleRequireEvent"
    // InternalActivity.g:1014:1: ruleRequireEvent returns [EObject current=null] : ( () ( (lv_name_1_0= ruleIID ) ) otherlv_2= ':' otherlv_3= 'require' ( ( ruleResourceQualifiedName ) ) ) ;
    public final EObject ruleRequireEvent() throws RecognitionException {
        EObject current = null;

        Token otherlv_2=null;
        Token otherlv_3=null;
        AntlrDatatypeRuleToken lv_name_1_0 = null;



        	enterRule();

        try {
            // InternalActivity.g:1020:2: ( ( () ( (lv_name_1_0= ruleIID ) ) otherlv_2= ':' otherlv_3= 'require' ( ( ruleResourceQualifiedName ) ) ) )
            // InternalActivity.g:1021:2: ( () ( (lv_name_1_0= ruleIID ) ) otherlv_2= ':' otherlv_3= 'require' ( ( ruleResourceQualifiedName ) ) )
            {
            // InternalActivity.g:1021:2: ( () ( (lv_name_1_0= ruleIID ) ) otherlv_2= ':' otherlv_3= 'require' ( ( ruleResourceQualifiedName ) ) )
            // InternalActivity.g:1022:3: () ( (lv_name_1_0= ruleIID ) ) otherlv_2= ':' otherlv_3= 'require' ( ( ruleResourceQualifiedName ) )
            {
            // InternalActivity.g:1022:3: ()
            // InternalActivity.g:1023:4: 
            {
            if ( state.backtracking==0 ) {

              				current = forceCreateModelElement(
              					grammarAccess.getRequireEventAccess().getRequireEventAction_0(),
              					current);
              			
            }

            }

            // InternalActivity.g:1029:3: ( (lv_name_1_0= ruleIID ) )
            // InternalActivity.g:1030:4: (lv_name_1_0= ruleIID )
            {
            // InternalActivity.g:1030:4: (lv_name_1_0= ruleIID )
            // InternalActivity.g:1031:5: lv_name_1_0= ruleIID
            {
            if ( state.backtracking==0 ) {

              					newCompositeNode(grammarAccess.getRequireEventAccess().getNameIIDParserRuleCall_1_0());
              				
            }
            pushFollow(FOLLOW_17);
            lv_name_1_0=ruleIID();

            state._fsp--;
            if (state.failed) return current;
            if ( state.backtracking==0 ) {

              					if (current==null) {
              						current = createModelElementForParent(grammarAccess.getRequireEventRule());
              					}
              					set(
              						current,
              						"name",
              						lv_name_1_0,
              						"org.eclipse.lsat.activity.teditor.Activity.IID");
              					afterParserOrEnumRuleCall();
              				
            }

            }


            }

            otherlv_2=(Token)match(input,20,FOLLOW_26); if (state.failed) return current;
            if ( state.backtracking==0 ) {

              			newLeafNode(otherlv_2, grammarAccess.getRequireEventAccess().getColonKeyword_2());
              		
            }
            otherlv_3=(Token)match(input,25,FOLLOW_6); if (state.failed) return current;
            if ( state.backtracking==0 ) {

              			newLeafNode(otherlv_3, grammarAccess.getRequireEventAccess().getRequireKeyword_3());
              		
            }
            // InternalActivity.g:1056:3: ( ( ruleResourceQualifiedName ) )
            // InternalActivity.g:1057:4: ( ruleResourceQualifiedName )
            {
            // InternalActivity.g:1057:4: ( ruleResourceQualifiedName )
            // InternalActivity.g:1058:5: ruleResourceQualifiedName
            {
            if ( state.backtracking==0 ) {

              					if (current==null) {
              						current = createModelElement(grammarAccess.getRequireEventRule());
              					}
              				
            }
            if ( state.backtracking==0 ) {

              					newCompositeNode(grammarAccess.getRequireEventAccess().getResourceIResourceCrossReference_4_0());
              				
            }
            pushFollow(FOLLOW_2);
            ruleResourceQualifiedName();

            state._fsp--;
            if (state.failed) return current;
            if ( state.backtracking==0 ) {

              					afterParserOrEnumRuleCall();
              				
            }

            }


            }


            }


            }

            if ( state.backtracking==0 ) {

              	leaveRule();

            }
        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleRequireEvent"


    // $ANTLR start "entryRuleMove"
    // InternalActivity.g:1076:1: entryRuleMove returns [EObject current=null] : iv_ruleMove= ruleMove EOF ;
    public final EObject entryRuleMove() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleMove = null;


        try {
            // InternalActivity.g:1076:45: (iv_ruleMove= ruleMove EOF )
            // InternalActivity.g:1077:2: iv_ruleMove= ruleMove EOF
            {
            if ( state.backtracking==0 ) {
               newCompositeNode(grammarAccess.getMoveRule()); 
            }
            pushFollow(FOLLOW_1);
            iv_ruleMove=ruleMove();

            state._fsp--;
            if (state.failed) return current;
            if ( state.backtracking==0 ) {
               current =iv_ruleMove; 
            }
            match(input,EOF,FOLLOW_2); if (state.failed) return current;

            }

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleMove"


    // $ANTLR start "ruleMove"
    // InternalActivity.g:1083:1: ruleMove returns [EObject current=null] : ( () ( (lv_name_1_0= ruleIID ) ) otherlv_2= ':' ( ( (lv_entry_3_0= ruleTracePoint ) ) | ( ( (lv_outerEntry_4_0= ruleTracePoint ) ) ( (lv_entry_5_0= ruleTracePoint ) ) ) )? otherlv_6= 'move' ( ( ruleResourceQualifiedName ) ) otherlv_8= '.' ( ( ruleIID ) ) ( ( ( ( (lv_passing_10_0= 'passing' ) ) | otherlv_11= 'to' ) ( ( ruleIID ) ) ) | ( ( ( (lv_continuing_13_0= 'continuing' ) ) | otherlv_14= 'for' ) ( ( ruleIID ) ) ) ) (otherlv_16= 'with speed profile' ( ( ruleIID ) ) ) ( (lv_schedulingType_18_0= ruleScheduling ) )? ( ( (lv_exit_19_0= ruleTracePoint ) ) | ( ( (lv_exit_20_0= ruleTracePoint ) ) ( (lv_outerExit_21_0= ruleTracePoint ) ) ) )? ) ;
    public final EObject ruleMove() throws RecognitionException {
        EObject current = null;

        Token otherlv_2=null;
        Token otherlv_6=null;
        Token otherlv_8=null;
        Token lv_passing_10_0=null;
        Token otherlv_11=null;
        Token lv_continuing_13_0=null;
        Token otherlv_14=null;
        Token otherlv_16=null;
        AntlrDatatypeRuleToken lv_name_1_0 = null;

        EObject lv_entry_3_0 = null;

        EObject lv_outerEntry_4_0 = null;

        EObject lv_entry_5_0 = null;

        Enumerator lv_schedulingType_18_0 = null;

        EObject lv_exit_19_0 = null;

        EObject lv_exit_20_0 = null;

        EObject lv_outerExit_21_0 = null;



        	enterRule();

        try {
            // InternalActivity.g:1089:2: ( ( () ( (lv_name_1_0= ruleIID ) ) otherlv_2= ':' ( ( (lv_entry_3_0= ruleTracePoint ) ) | ( ( (lv_outerEntry_4_0= ruleTracePoint ) ) ( (lv_entry_5_0= ruleTracePoint ) ) ) )? otherlv_6= 'move' ( ( ruleResourceQualifiedName ) ) otherlv_8= '.' ( ( ruleIID ) ) ( ( ( ( (lv_passing_10_0= 'passing' ) ) | otherlv_11= 'to' ) ( ( ruleIID ) ) ) | ( ( ( (lv_continuing_13_0= 'continuing' ) ) | otherlv_14= 'for' ) ( ( ruleIID ) ) ) ) (otherlv_16= 'with speed profile' ( ( ruleIID ) ) ) ( (lv_schedulingType_18_0= ruleScheduling ) )? ( ( (lv_exit_19_0= ruleTracePoint ) ) | ( ( (lv_exit_20_0= ruleTracePoint ) ) ( (lv_outerExit_21_0= ruleTracePoint ) ) ) )? ) )
            // InternalActivity.g:1090:2: ( () ( (lv_name_1_0= ruleIID ) ) otherlv_2= ':' ( ( (lv_entry_3_0= ruleTracePoint ) ) | ( ( (lv_outerEntry_4_0= ruleTracePoint ) ) ( (lv_entry_5_0= ruleTracePoint ) ) ) )? otherlv_6= 'move' ( ( ruleResourceQualifiedName ) ) otherlv_8= '.' ( ( ruleIID ) ) ( ( ( ( (lv_passing_10_0= 'passing' ) ) | otherlv_11= 'to' ) ( ( ruleIID ) ) ) | ( ( ( (lv_continuing_13_0= 'continuing' ) ) | otherlv_14= 'for' ) ( ( ruleIID ) ) ) ) (otherlv_16= 'with speed profile' ( ( ruleIID ) ) ) ( (lv_schedulingType_18_0= ruleScheduling ) )? ( ( (lv_exit_19_0= ruleTracePoint ) ) | ( ( (lv_exit_20_0= ruleTracePoint ) ) ( (lv_outerExit_21_0= ruleTracePoint ) ) ) )? )
            {
            // InternalActivity.g:1090:2: ( () ( (lv_name_1_0= ruleIID ) ) otherlv_2= ':' ( ( (lv_entry_3_0= ruleTracePoint ) ) | ( ( (lv_outerEntry_4_0= ruleTracePoint ) ) ( (lv_entry_5_0= ruleTracePoint ) ) ) )? otherlv_6= 'move' ( ( ruleResourceQualifiedName ) ) otherlv_8= '.' ( ( ruleIID ) ) ( ( ( ( (lv_passing_10_0= 'passing' ) ) | otherlv_11= 'to' ) ( ( ruleIID ) ) ) | ( ( ( (lv_continuing_13_0= 'continuing' ) ) | otherlv_14= 'for' ) ( ( ruleIID ) ) ) ) (otherlv_16= 'with speed profile' ( ( ruleIID ) ) ) ( (lv_schedulingType_18_0= ruleScheduling ) )? ( ( (lv_exit_19_0= ruleTracePoint ) ) | ( ( (lv_exit_20_0= ruleTracePoint ) ) ( (lv_outerExit_21_0= ruleTracePoint ) ) ) )? )
            // InternalActivity.g:1091:3: () ( (lv_name_1_0= ruleIID ) ) otherlv_2= ':' ( ( (lv_entry_3_0= ruleTracePoint ) ) | ( ( (lv_outerEntry_4_0= ruleTracePoint ) ) ( (lv_entry_5_0= ruleTracePoint ) ) ) )? otherlv_6= 'move' ( ( ruleResourceQualifiedName ) ) otherlv_8= '.' ( ( ruleIID ) ) ( ( ( ( (lv_passing_10_0= 'passing' ) ) | otherlv_11= 'to' ) ( ( ruleIID ) ) ) | ( ( ( (lv_continuing_13_0= 'continuing' ) ) | otherlv_14= 'for' ) ( ( ruleIID ) ) ) ) (otherlv_16= 'with speed profile' ( ( ruleIID ) ) ) ( (lv_schedulingType_18_0= ruleScheduling ) )? ( ( (lv_exit_19_0= ruleTracePoint ) ) | ( ( (lv_exit_20_0= ruleTracePoint ) ) ( (lv_outerExit_21_0= ruleTracePoint ) ) ) )?
            {
            // InternalActivity.g:1091:3: ()
            // InternalActivity.g:1092:4: 
            {
            if ( state.backtracking==0 ) {

              				current = forceCreateModelElement(
              					grammarAccess.getMoveAccess().getMoveAction_0(),
              					current);
              			
            }

            }

            // InternalActivity.g:1098:3: ( (lv_name_1_0= ruleIID ) )
            // InternalActivity.g:1099:4: (lv_name_1_0= ruleIID )
            {
            // InternalActivity.g:1099:4: (lv_name_1_0= ruleIID )
            // InternalActivity.g:1100:5: lv_name_1_0= ruleIID
            {
            if ( state.backtracking==0 ) {

              					newCompositeNode(grammarAccess.getMoveAccess().getNameIIDParserRuleCall_1_0());
              				
            }
            pushFollow(FOLLOW_17);
            lv_name_1_0=ruleIID();

            state._fsp--;
            if (state.failed) return current;
            if ( state.backtracking==0 ) {

              					if (current==null) {
              						current = createModelElementForParent(grammarAccess.getMoveRule());
              					}
              					set(
              						current,
              						"name",
              						lv_name_1_0,
              						"org.eclipse.lsat.activity.teditor.Activity.IID");
              					afterParserOrEnumRuleCall();
              				
            }

            }


            }

            otherlv_2=(Token)match(input,20,FOLLOW_27); if (state.failed) return current;
            if ( state.backtracking==0 ) {

              			newLeafNode(otherlv_2, grammarAccess.getMoveAccess().getColonKeyword_2());
              		
            }
            // InternalActivity.g:1121:3: ( ( (lv_entry_3_0= ruleTracePoint ) ) | ( ( (lv_outerEntry_4_0= ruleTracePoint ) ) ( (lv_entry_5_0= ruleTracePoint ) ) ) )?
            int alt14=3;
            int LA14_0 = input.LA(1);

            if ( (LA14_0==32) ) {
                switch ( input.LA(2) ) {
                    case 33:
                        {
                        int LA14_3 = input.LA(3);

                        if ( (LA14_3==RULE_STRING) ) {
                            int LA14_4 = input.LA(4);

                            if ( (LA14_4==34) ) {
                                int LA14_6 = input.LA(5);

                                if ( (LA14_6==32) ) {
                                    alt14=2;
                                }
                                else if ( (LA14_6==26) ) {
                                    alt14=1;
                                }
                            }
                        }
                        else if ( (LA14_3==RULE_ID) ) {
                            int LA14_5 = input.LA(4);

                            if ( (LA14_5==34) ) {
                                int LA14_6 = input.LA(5);

                                if ( (LA14_6==32) ) {
                                    alt14=2;
                                }
                                else if ( (LA14_6==26) ) {
                                    alt14=1;
                                }
                            }
                        }
                        }
                        break;
                    case RULE_STRING:
                        {
                        int LA14_4 = input.LA(3);

                        if ( (LA14_4==34) ) {
                            int LA14_6 = input.LA(4);

                            if ( (LA14_6==32) ) {
                                alt14=2;
                            }
                            else if ( (LA14_6==26) ) {
                                alt14=1;
                            }
                        }
                        }
                        break;
                    case RULE_ID:
                        {
                        int LA14_5 = input.LA(3);

                        if ( (LA14_5==34) ) {
                            int LA14_6 = input.LA(4);

                            if ( (LA14_6==32) ) {
                                alt14=2;
                            }
                            else if ( (LA14_6==26) ) {
                                alt14=1;
                            }
                        }
                        }
                        break;
                }

            }
            switch (alt14) {
                case 1 :
                    // InternalActivity.g:1122:4: ( (lv_entry_3_0= ruleTracePoint ) )
                    {
                    // InternalActivity.g:1122:4: ( (lv_entry_3_0= ruleTracePoint ) )
                    // InternalActivity.g:1123:5: (lv_entry_3_0= ruleTracePoint )
                    {
                    // InternalActivity.g:1123:5: (lv_entry_3_0= ruleTracePoint )
                    // InternalActivity.g:1124:6: lv_entry_3_0= ruleTracePoint
                    {
                    if ( state.backtracking==0 ) {

                      						newCompositeNode(grammarAccess.getMoveAccess().getEntryTracePointParserRuleCall_3_0_0());
                      					
                    }
                    pushFollow(FOLLOW_28);
                    lv_entry_3_0=ruleTracePoint();

                    state._fsp--;
                    if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      						if (current==null) {
                      							current = createModelElementForParent(grammarAccess.getMoveRule());
                      						}
                      						set(
                      							current,
                      							"entry",
                      							lv_entry_3_0,
                      							"org.eclipse.lsat.activity.teditor.Activity.TracePoint");
                      						afterParserOrEnumRuleCall();
                      					
                    }

                    }


                    }


                    }
                    break;
                case 2 :
                    // InternalActivity.g:1142:4: ( ( (lv_outerEntry_4_0= ruleTracePoint ) ) ( (lv_entry_5_0= ruleTracePoint ) ) )
                    {
                    // InternalActivity.g:1142:4: ( ( (lv_outerEntry_4_0= ruleTracePoint ) ) ( (lv_entry_5_0= ruleTracePoint ) ) )
                    // InternalActivity.g:1143:5: ( (lv_outerEntry_4_0= ruleTracePoint ) ) ( (lv_entry_5_0= ruleTracePoint ) )
                    {
                    // InternalActivity.g:1143:5: ( (lv_outerEntry_4_0= ruleTracePoint ) )
                    // InternalActivity.g:1144:6: (lv_outerEntry_4_0= ruleTracePoint )
                    {
                    // InternalActivity.g:1144:6: (lv_outerEntry_4_0= ruleTracePoint )
                    // InternalActivity.g:1145:7: lv_outerEntry_4_0= ruleTracePoint
                    {
                    if ( state.backtracking==0 ) {

                      							newCompositeNode(grammarAccess.getMoveAccess().getOuterEntryTracePointParserRuleCall_3_1_0_0());
                      						
                    }
                    pushFollow(FOLLOW_20);
                    lv_outerEntry_4_0=ruleTracePoint();

                    state._fsp--;
                    if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      							if (current==null) {
                      								current = createModelElementForParent(grammarAccess.getMoveRule());
                      							}
                      							set(
                      								current,
                      								"outerEntry",
                      								lv_outerEntry_4_0,
                      								"org.eclipse.lsat.activity.teditor.Activity.TracePoint");
                      							afterParserOrEnumRuleCall();
                      						
                    }

                    }


                    }

                    // InternalActivity.g:1162:5: ( (lv_entry_5_0= ruleTracePoint ) )
                    // InternalActivity.g:1163:6: (lv_entry_5_0= ruleTracePoint )
                    {
                    // InternalActivity.g:1163:6: (lv_entry_5_0= ruleTracePoint )
                    // InternalActivity.g:1164:7: lv_entry_5_0= ruleTracePoint
                    {
                    if ( state.backtracking==0 ) {

                      							newCompositeNode(grammarAccess.getMoveAccess().getEntryTracePointParserRuleCall_3_1_1_0());
                      						
                    }
                    pushFollow(FOLLOW_28);
                    lv_entry_5_0=ruleTracePoint();

                    state._fsp--;
                    if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      							if (current==null) {
                      								current = createModelElementForParent(grammarAccess.getMoveRule());
                      							}
                      							set(
                      								current,
                      								"entry",
                      								lv_entry_5_0,
                      								"org.eclipse.lsat.activity.teditor.Activity.TracePoint");
                      							afterParserOrEnumRuleCall();
                      						
                    }

                    }


                    }


                    }


                    }
                    break;

            }

            otherlv_6=(Token)match(input,26,FOLLOW_6); if (state.failed) return current;
            if ( state.backtracking==0 ) {

              			newLeafNode(otherlv_6, grammarAccess.getMoveAccess().getMoveKeyword_4());
              		
            }
            // InternalActivity.g:1187:3: ( ( ruleResourceQualifiedName ) )
            // InternalActivity.g:1188:4: ( ruleResourceQualifiedName )
            {
            // InternalActivity.g:1188:4: ( ruleResourceQualifiedName )
            // InternalActivity.g:1189:5: ruleResourceQualifiedName
            {
            if ( state.backtracking==0 ) {

              					if (current==null) {
              						current = createModelElement(grammarAccess.getMoveRule());
              					}
              				
            }
            if ( state.backtracking==0 ) {

              					newCompositeNode(grammarAccess.getMoveAccess().getResourceIResourceCrossReference_5_0());
              				
            }
            pushFollow(FOLLOW_15);
            ruleResourceQualifiedName();

            state._fsp--;
            if (state.failed) return current;
            if ( state.backtracking==0 ) {

              					afterParserOrEnumRuleCall();
              				
            }

            }


            }

            otherlv_8=(Token)match(input,18,FOLLOW_6); if (state.failed) return current;
            if ( state.backtracking==0 ) {

              			newLeafNode(otherlv_8, grammarAccess.getMoveAccess().getFullStopKeyword_6());
              		
            }
            // InternalActivity.g:1207:3: ( ( ruleIID ) )
            // InternalActivity.g:1208:4: ( ruleIID )
            {
            // InternalActivity.g:1208:4: ( ruleIID )
            // InternalActivity.g:1209:5: ruleIID
            {
            if ( state.backtracking==0 ) {

              					if (current==null) {
              						current = createModelElement(grammarAccess.getMoveRule());
              					}
              				
            }
            if ( state.backtracking==0 ) {

              					newCompositeNode(grammarAccess.getMoveAccess().getPeripheralPeripheralCrossReference_7_0());
              				
            }
            pushFollow(FOLLOW_29);
            ruleIID();

            state._fsp--;
            if (state.failed) return current;
            if ( state.backtracking==0 ) {

              					afterParserOrEnumRuleCall();
              				
            }

            }


            }

            // InternalActivity.g:1223:3: ( ( ( ( (lv_passing_10_0= 'passing' ) ) | otherlv_11= 'to' ) ( ( ruleIID ) ) ) | ( ( ( (lv_continuing_13_0= 'continuing' ) ) | otherlv_14= 'for' ) ( ( ruleIID ) ) ) )
            int alt17=2;
            int LA17_0 = input.LA(1);

            if ( ((LA17_0>=27 && LA17_0<=28)) ) {
                alt17=1;
            }
            else if ( ((LA17_0>=29 && LA17_0<=30)) ) {
                alt17=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return current;}
                NoViableAltException nvae =
                    new NoViableAltException("", 17, 0, input);

                throw nvae;
            }
            switch (alt17) {
                case 1 :
                    // InternalActivity.g:1224:4: ( ( ( (lv_passing_10_0= 'passing' ) ) | otherlv_11= 'to' ) ( ( ruleIID ) ) )
                    {
                    // InternalActivity.g:1224:4: ( ( ( (lv_passing_10_0= 'passing' ) ) | otherlv_11= 'to' ) ( ( ruleIID ) ) )
                    // InternalActivity.g:1225:5: ( ( (lv_passing_10_0= 'passing' ) ) | otherlv_11= 'to' ) ( ( ruleIID ) )
                    {
                    // InternalActivity.g:1225:5: ( ( (lv_passing_10_0= 'passing' ) ) | otherlv_11= 'to' )
                    int alt15=2;
                    int LA15_0 = input.LA(1);

                    if ( (LA15_0==27) ) {
                        alt15=1;
                    }
                    else if ( (LA15_0==28) ) {
                        alt15=2;
                    }
                    else {
                        if (state.backtracking>0) {state.failed=true; return current;}
                        NoViableAltException nvae =
                            new NoViableAltException("", 15, 0, input);

                        throw nvae;
                    }
                    switch (alt15) {
                        case 1 :
                            // InternalActivity.g:1226:6: ( (lv_passing_10_0= 'passing' ) )
                            {
                            // InternalActivity.g:1226:6: ( (lv_passing_10_0= 'passing' ) )
                            // InternalActivity.g:1227:7: (lv_passing_10_0= 'passing' )
                            {
                            // InternalActivity.g:1227:7: (lv_passing_10_0= 'passing' )
                            // InternalActivity.g:1228:8: lv_passing_10_0= 'passing'
                            {
                            lv_passing_10_0=(Token)match(input,27,FOLLOW_6); if (state.failed) return current;
                            if ( state.backtracking==0 ) {

                              								newLeafNode(lv_passing_10_0, grammarAccess.getMoveAccess().getPassingPassingKeyword_8_0_0_0_0());
                              							
                            }
                            if ( state.backtracking==0 ) {

                              								if (current==null) {
                              									current = createModelElement(grammarAccess.getMoveRule());
                              								}
                              								setWithLastConsumed(current, "passing", lv_passing_10_0 != null, "passing");
                              							
                            }

                            }


                            }


                            }
                            break;
                        case 2 :
                            // InternalActivity.g:1241:6: otherlv_11= 'to'
                            {
                            otherlv_11=(Token)match(input,28,FOLLOW_6); if (state.failed) return current;
                            if ( state.backtracking==0 ) {

                              						newLeafNode(otherlv_11, grammarAccess.getMoveAccess().getToKeyword_8_0_0_1());
                              					
                            }

                            }
                            break;

                    }

                    // InternalActivity.g:1246:5: ( ( ruleIID ) )
                    // InternalActivity.g:1247:6: ( ruleIID )
                    {
                    // InternalActivity.g:1247:6: ( ruleIID )
                    // InternalActivity.g:1248:7: ruleIID
                    {
                    if ( state.backtracking==0 ) {

                      							if (current==null) {
                      								current = createModelElement(grammarAccess.getMoveRule());
                      							}
                      						
                    }
                    if ( state.backtracking==0 ) {

                      							newCompositeNode(grammarAccess.getMoveAccess().getTargetPositionSymbolicPositionCrossReference_8_0_1_0());
                      						
                    }
                    pushFollow(FOLLOW_30);
                    ruleIID();

                    state._fsp--;
                    if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      							afterParserOrEnumRuleCall();
                      						
                    }

                    }


                    }


                    }


                    }
                    break;
                case 2 :
                    // InternalActivity.g:1264:4: ( ( ( (lv_continuing_13_0= 'continuing' ) ) | otherlv_14= 'for' ) ( ( ruleIID ) ) )
                    {
                    // InternalActivity.g:1264:4: ( ( ( (lv_continuing_13_0= 'continuing' ) ) | otherlv_14= 'for' ) ( ( ruleIID ) ) )
                    // InternalActivity.g:1265:5: ( ( (lv_continuing_13_0= 'continuing' ) ) | otherlv_14= 'for' ) ( ( ruleIID ) )
                    {
                    // InternalActivity.g:1265:5: ( ( (lv_continuing_13_0= 'continuing' ) ) | otherlv_14= 'for' )
                    int alt16=2;
                    int LA16_0 = input.LA(1);

                    if ( (LA16_0==29) ) {
                        alt16=1;
                    }
                    else if ( (LA16_0==30) ) {
                        alt16=2;
                    }
                    else {
                        if (state.backtracking>0) {state.failed=true; return current;}
                        NoViableAltException nvae =
                            new NoViableAltException("", 16, 0, input);

                        throw nvae;
                    }
                    switch (alt16) {
                        case 1 :
                            // InternalActivity.g:1266:6: ( (lv_continuing_13_0= 'continuing' ) )
                            {
                            // InternalActivity.g:1266:6: ( (lv_continuing_13_0= 'continuing' ) )
                            // InternalActivity.g:1267:7: (lv_continuing_13_0= 'continuing' )
                            {
                            // InternalActivity.g:1267:7: (lv_continuing_13_0= 'continuing' )
                            // InternalActivity.g:1268:8: lv_continuing_13_0= 'continuing'
                            {
                            lv_continuing_13_0=(Token)match(input,29,FOLLOW_6); if (state.failed) return current;
                            if ( state.backtracking==0 ) {

                              								newLeafNode(lv_continuing_13_0, grammarAccess.getMoveAccess().getContinuingContinuingKeyword_8_1_0_0_0());
                              							
                            }
                            if ( state.backtracking==0 ) {

                              								if (current==null) {
                              									current = createModelElement(grammarAccess.getMoveRule());
                              								}
                              								setWithLastConsumed(current, "continuing", lv_continuing_13_0 != null, "continuing");
                              							
                            }

                            }


                            }


                            }
                            break;
                        case 2 :
                            // InternalActivity.g:1281:6: otherlv_14= 'for'
                            {
                            otherlv_14=(Token)match(input,30,FOLLOW_6); if (state.failed) return current;
                            if ( state.backtracking==0 ) {

                              						newLeafNode(otherlv_14, grammarAccess.getMoveAccess().getForKeyword_8_1_0_1());
                              					
                            }

                            }
                            break;

                    }

                    // InternalActivity.g:1286:5: ( ( ruleIID ) )
                    // InternalActivity.g:1287:6: ( ruleIID )
                    {
                    // InternalActivity.g:1287:6: ( ruleIID )
                    // InternalActivity.g:1288:7: ruleIID
                    {
                    if ( state.backtracking==0 ) {

                      							if (current==null) {
                      								current = createModelElement(grammarAccess.getMoveRule());
                      							}
                      						
                    }
                    if ( state.backtracking==0 ) {

                      							newCompositeNode(grammarAccess.getMoveAccess().getDistanceDistanceCrossReference_8_1_1_0());
                      						
                    }
                    pushFollow(FOLLOW_30);
                    ruleIID();

                    state._fsp--;
                    if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      							afterParserOrEnumRuleCall();
                      						
                    }

                    }


                    }


                    }


                    }
                    break;

            }

            // InternalActivity.g:1304:3: (otherlv_16= 'with speed profile' ( ( ruleIID ) ) )
            // InternalActivity.g:1305:4: otherlv_16= 'with speed profile' ( ( ruleIID ) )
            {
            otherlv_16=(Token)match(input,31,FOLLOW_6); if (state.failed) return current;
            if ( state.backtracking==0 ) {

              				newLeafNode(otherlv_16, grammarAccess.getMoveAccess().getWithSpeedProfileKeyword_9_0());
              			
            }
            // InternalActivity.g:1309:4: ( ( ruleIID ) )
            // InternalActivity.g:1310:5: ( ruleIID )
            {
            // InternalActivity.g:1310:5: ( ruleIID )
            // InternalActivity.g:1311:6: ruleIID
            {
            if ( state.backtracking==0 ) {

              						if (current==null) {
              							current = createModelElement(grammarAccess.getMoveRule());
              						}
              					
            }
            if ( state.backtracking==0 ) {

              						newCompositeNode(grammarAccess.getMoveAccess().getProfileProfileCrossReference_9_1_0());
              					
            }
            pushFollow(FOLLOW_31);
            ruleIID();

            state._fsp--;
            if (state.failed) return current;
            if ( state.backtracking==0 ) {

              						afterParserOrEnumRuleCall();
              					
            }

            }


            }


            }

            // InternalActivity.g:1326:3: ( (lv_schedulingType_18_0= ruleScheduling ) )?
            int alt18=2;
            int LA18_0 = input.LA(1);

            if ( ((LA18_0>=41 && LA18_0<=42)) ) {
                alt18=1;
            }
            switch (alt18) {
                case 1 :
                    // InternalActivity.g:1327:4: (lv_schedulingType_18_0= ruleScheduling )
                    {
                    // InternalActivity.g:1327:4: (lv_schedulingType_18_0= ruleScheduling )
                    // InternalActivity.g:1328:5: lv_schedulingType_18_0= ruleScheduling
                    {
                    if ( state.backtracking==0 ) {

                      					newCompositeNode(grammarAccess.getMoveAccess().getSchedulingTypeSchedulingEnumRuleCall_10_0());
                      				
                    }
                    pushFollow(FOLLOW_22);
                    lv_schedulingType_18_0=ruleScheduling();

                    state._fsp--;
                    if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      					if (current==null) {
                      						current = createModelElementForParent(grammarAccess.getMoveRule());
                      					}
                      					set(
                      						current,
                      						"schedulingType",
                      						lv_schedulingType_18_0,
                      						"org.eclipse.lsat.activity.teditor.Activity.Scheduling");
                      					afterParserOrEnumRuleCall();
                      				
                    }

                    }


                    }
                    break;

            }

            // InternalActivity.g:1345:3: ( ( (lv_exit_19_0= ruleTracePoint ) ) | ( ( (lv_exit_20_0= ruleTracePoint ) ) ( (lv_outerExit_21_0= ruleTracePoint ) ) ) )?
            int alt19=3;
            int LA19_0 = input.LA(1);

            if ( (LA19_0==32) ) {
                switch ( input.LA(2) ) {
                    case 33:
                        {
                        int LA19_3 = input.LA(3);

                        if ( (LA19_3==RULE_STRING) ) {
                            int LA19_4 = input.LA(4);

                            if ( (LA19_4==34) ) {
                                int LA19_6 = input.LA(5);

                                if ( (LA19_6==32) ) {
                                    alt19=2;
                                }
                                else if ( (LA19_6==EOF||(LA19_6>=RULE_ID && LA19_6<=RULE_INT)||LA19_6==15) ) {
                                    alt19=1;
                                }
                            }
                        }
                        else if ( (LA19_3==RULE_ID) ) {
                            int LA19_5 = input.LA(4);

                            if ( (LA19_5==34) ) {
                                int LA19_6 = input.LA(5);

                                if ( (LA19_6==32) ) {
                                    alt19=2;
                                }
                                else if ( (LA19_6==EOF||(LA19_6>=RULE_ID && LA19_6<=RULE_INT)||LA19_6==15) ) {
                                    alt19=1;
                                }
                            }
                        }
                        }
                        break;
                    case RULE_STRING:
                        {
                        int LA19_4 = input.LA(3);

                        if ( (LA19_4==34) ) {
                            int LA19_6 = input.LA(4);

                            if ( (LA19_6==32) ) {
                                alt19=2;
                            }
                            else if ( (LA19_6==EOF||(LA19_6>=RULE_ID && LA19_6<=RULE_INT)||LA19_6==15) ) {
                                alt19=1;
                            }
                        }
                        }
                        break;
                    case RULE_ID:
                        {
                        int LA19_5 = input.LA(3);

                        if ( (LA19_5==34) ) {
                            int LA19_6 = input.LA(4);

                            if ( (LA19_6==32) ) {
                                alt19=2;
                            }
                            else if ( (LA19_6==EOF||(LA19_6>=RULE_ID && LA19_6<=RULE_INT)||LA19_6==15) ) {
                                alt19=1;
                            }
                        }
                        }
                        break;
                }

            }
            switch (alt19) {
                case 1 :
                    // InternalActivity.g:1346:4: ( (lv_exit_19_0= ruleTracePoint ) )
                    {
                    // InternalActivity.g:1346:4: ( (lv_exit_19_0= ruleTracePoint ) )
                    // InternalActivity.g:1347:5: (lv_exit_19_0= ruleTracePoint )
                    {
                    // InternalActivity.g:1347:5: (lv_exit_19_0= ruleTracePoint )
                    // InternalActivity.g:1348:6: lv_exit_19_0= ruleTracePoint
                    {
                    if ( state.backtracking==0 ) {

                      						newCompositeNode(grammarAccess.getMoveAccess().getExitTracePointParserRuleCall_11_0_0());
                      					
                    }
                    pushFollow(FOLLOW_2);
                    lv_exit_19_0=ruleTracePoint();

                    state._fsp--;
                    if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      						if (current==null) {
                      							current = createModelElementForParent(grammarAccess.getMoveRule());
                      						}
                      						set(
                      							current,
                      							"exit",
                      							lv_exit_19_0,
                      							"org.eclipse.lsat.activity.teditor.Activity.TracePoint");
                      						afterParserOrEnumRuleCall();
                      					
                    }

                    }


                    }


                    }
                    break;
                case 2 :
                    // InternalActivity.g:1366:4: ( ( (lv_exit_20_0= ruleTracePoint ) ) ( (lv_outerExit_21_0= ruleTracePoint ) ) )
                    {
                    // InternalActivity.g:1366:4: ( ( (lv_exit_20_0= ruleTracePoint ) ) ( (lv_outerExit_21_0= ruleTracePoint ) ) )
                    // InternalActivity.g:1367:5: ( (lv_exit_20_0= ruleTracePoint ) ) ( (lv_outerExit_21_0= ruleTracePoint ) )
                    {
                    // InternalActivity.g:1367:5: ( (lv_exit_20_0= ruleTracePoint ) )
                    // InternalActivity.g:1368:6: (lv_exit_20_0= ruleTracePoint )
                    {
                    // InternalActivity.g:1368:6: (lv_exit_20_0= ruleTracePoint )
                    // InternalActivity.g:1369:7: lv_exit_20_0= ruleTracePoint
                    {
                    if ( state.backtracking==0 ) {

                      							newCompositeNode(grammarAccess.getMoveAccess().getExitTracePointParserRuleCall_11_1_0_0());
                      						
                    }
                    pushFollow(FOLLOW_20);
                    lv_exit_20_0=ruleTracePoint();

                    state._fsp--;
                    if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      							if (current==null) {
                      								current = createModelElementForParent(grammarAccess.getMoveRule());
                      							}
                      							set(
                      								current,
                      								"exit",
                      								lv_exit_20_0,
                      								"org.eclipse.lsat.activity.teditor.Activity.TracePoint");
                      							afterParserOrEnumRuleCall();
                      						
                    }

                    }


                    }

                    // InternalActivity.g:1386:5: ( (lv_outerExit_21_0= ruleTracePoint ) )
                    // InternalActivity.g:1387:6: (lv_outerExit_21_0= ruleTracePoint )
                    {
                    // InternalActivity.g:1387:6: (lv_outerExit_21_0= ruleTracePoint )
                    // InternalActivity.g:1388:7: lv_outerExit_21_0= ruleTracePoint
                    {
                    if ( state.backtracking==0 ) {

                      							newCompositeNode(grammarAccess.getMoveAccess().getOuterExitTracePointParserRuleCall_11_1_1_0());
                      						
                    }
                    pushFollow(FOLLOW_2);
                    lv_outerExit_21_0=ruleTracePoint();

                    state._fsp--;
                    if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      							if (current==null) {
                      								current = createModelElementForParent(grammarAccess.getMoveRule());
                      							}
                      							set(
                      								current,
                      								"outerExit",
                      								lv_outerExit_21_0,
                      								"org.eclipse.lsat.activity.teditor.Activity.TracePoint");
                      							afterParserOrEnumRuleCall();
                      						
                    }

                    }


                    }


                    }


                    }
                    break;

            }


            }


            }

            if ( state.backtracking==0 ) {

              	leaveRule();

            }
        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleMove"


    // $ANTLR start "entryRuleSimpleAction"
    // InternalActivity.g:1411:1: entryRuleSimpleAction returns [EObject current=null] : iv_ruleSimpleAction= ruleSimpleAction EOF ;
    public final EObject entryRuleSimpleAction() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleSimpleAction = null;


        try {
            // InternalActivity.g:1411:53: (iv_ruleSimpleAction= ruleSimpleAction EOF )
            // InternalActivity.g:1412:2: iv_ruleSimpleAction= ruleSimpleAction EOF
            {
            if ( state.backtracking==0 ) {
               newCompositeNode(grammarAccess.getSimpleActionRule()); 
            }
            pushFollow(FOLLOW_1);
            iv_ruleSimpleAction=ruleSimpleAction();

            state._fsp--;
            if (state.failed) return current;
            if ( state.backtracking==0 ) {
               current =iv_ruleSimpleAction; 
            }
            match(input,EOF,FOLLOW_2); if (state.failed) return current;

            }

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleSimpleAction"


    // $ANTLR start "ruleSimpleAction"
    // InternalActivity.g:1418:1: ruleSimpleAction returns [EObject current=null] : ( () ( (lv_name_1_0= ruleIID ) ) otherlv_2= ':' ( ( (lv_entry_3_0= ruleTracePoint ) ) | ( ( (lv_outerEntry_4_0= ruleTracePoint ) ) ( (lv_entry_5_0= ruleTracePoint ) ) ) )? ( ( ruleResourceQualifiedName ) ) ( ( ( '.' )=>otherlv_7= '.' ) ( ( ruleIID ) ) otherlv_9= '.' ( ( ruleIID ) ) ) ( (lv_schedulingType_11_0= ruleScheduling ) )? ( ( (lv_exit_12_0= ruleTracePoint ) ) | ( ( (lv_exit_13_0= ruleTracePoint ) ) ( (lv_outerExit_14_0= ruleTracePoint ) ) ) )? ) ;
    public final EObject ruleSimpleAction() throws RecognitionException {
        EObject current = null;

        Token otherlv_2=null;
        Token otherlv_7=null;
        Token otherlv_9=null;
        AntlrDatatypeRuleToken lv_name_1_0 = null;

        EObject lv_entry_3_0 = null;

        EObject lv_outerEntry_4_0 = null;

        EObject lv_entry_5_0 = null;

        Enumerator lv_schedulingType_11_0 = null;

        EObject lv_exit_12_0 = null;

        EObject lv_exit_13_0 = null;

        EObject lv_outerExit_14_0 = null;



        	enterRule();

        try {
            // InternalActivity.g:1424:2: ( ( () ( (lv_name_1_0= ruleIID ) ) otherlv_2= ':' ( ( (lv_entry_3_0= ruleTracePoint ) ) | ( ( (lv_outerEntry_4_0= ruleTracePoint ) ) ( (lv_entry_5_0= ruleTracePoint ) ) ) )? ( ( ruleResourceQualifiedName ) ) ( ( ( '.' )=>otherlv_7= '.' ) ( ( ruleIID ) ) otherlv_9= '.' ( ( ruleIID ) ) ) ( (lv_schedulingType_11_0= ruleScheduling ) )? ( ( (lv_exit_12_0= ruleTracePoint ) ) | ( ( (lv_exit_13_0= ruleTracePoint ) ) ( (lv_outerExit_14_0= ruleTracePoint ) ) ) )? ) )
            // InternalActivity.g:1425:2: ( () ( (lv_name_1_0= ruleIID ) ) otherlv_2= ':' ( ( (lv_entry_3_0= ruleTracePoint ) ) | ( ( (lv_outerEntry_4_0= ruleTracePoint ) ) ( (lv_entry_5_0= ruleTracePoint ) ) ) )? ( ( ruleResourceQualifiedName ) ) ( ( ( '.' )=>otherlv_7= '.' ) ( ( ruleIID ) ) otherlv_9= '.' ( ( ruleIID ) ) ) ( (lv_schedulingType_11_0= ruleScheduling ) )? ( ( (lv_exit_12_0= ruleTracePoint ) ) | ( ( (lv_exit_13_0= ruleTracePoint ) ) ( (lv_outerExit_14_0= ruleTracePoint ) ) ) )? )
            {
            // InternalActivity.g:1425:2: ( () ( (lv_name_1_0= ruleIID ) ) otherlv_2= ':' ( ( (lv_entry_3_0= ruleTracePoint ) ) | ( ( (lv_outerEntry_4_0= ruleTracePoint ) ) ( (lv_entry_5_0= ruleTracePoint ) ) ) )? ( ( ruleResourceQualifiedName ) ) ( ( ( '.' )=>otherlv_7= '.' ) ( ( ruleIID ) ) otherlv_9= '.' ( ( ruleIID ) ) ) ( (lv_schedulingType_11_0= ruleScheduling ) )? ( ( (lv_exit_12_0= ruleTracePoint ) ) | ( ( (lv_exit_13_0= ruleTracePoint ) ) ( (lv_outerExit_14_0= ruleTracePoint ) ) ) )? )
            // InternalActivity.g:1426:3: () ( (lv_name_1_0= ruleIID ) ) otherlv_2= ':' ( ( (lv_entry_3_0= ruleTracePoint ) ) | ( ( (lv_outerEntry_4_0= ruleTracePoint ) ) ( (lv_entry_5_0= ruleTracePoint ) ) ) )? ( ( ruleResourceQualifiedName ) ) ( ( ( '.' )=>otherlv_7= '.' ) ( ( ruleIID ) ) otherlv_9= '.' ( ( ruleIID ) ) ) ( (lv_schedulingType_11_0= ruleScheduling ) )? ( ( (lv_exit_12_0= ruleTracePoint ) ) | ( ( (lv_exit_13_0= ruleTracePoint ) ) ( (lv_outerExit_14_0= ruleTracePoint ) ) ) )?
            {
            // InternalActivity.g:1426:3: ()
            // InternalActivity.g:1427:4: 
            {
            if ( state.backtracking==0 ) {

              				current = forceCreateModelElement(
              					grammarAccess.getSimpleActionAccess().getSimpleActionAction_0(),
              					current);
              			
            }

            }

            // InternalActivity.g:1433:3: ( (lv_name_1_0= ruleIID ) )
            // InternalActivity.g:1434:4: (lv_name_1_0= ruleIID )
            {
            // InternalActivity.g:1434:4: (lv_name_1_0= ruleIID )
            // InternalActivity.g:1435:5: lv_name_1_0= ruleIID
            {
            if ( state.backtracking==0 ) {

              					newCompositeNode(grammarAccess.getSimpleActionAccess().getNameIIDParserRuleCall_1_0());
              				
            }
            pushFollow(FOLLOW_17);
            lv_name_1_0=ruleIID();

            state._fsp--;
            if (state.failed) return current;
            if ( state.backtracking==0 ) {

              					if (current==null) {
              						current = createModelElementForParent(grammarAccess.getSimpleActionRule());
              					}
              					set(
              						current,
              						"name",
              						lv_name_1_0,
              						"org.eclipse.lsat.activity.teditor.Activity.IID");
              					afterParserOrEnumRuleCall();
              				
            }

            }


            }

            otherlv_2=(Token)match(input,20,FOLLOW_32); if (state.failed) return current;
            if ( state.backtracking==0 ) {

              			newLeafNode(otherlv_2, grammarAccess.getSimpleActionAccess().getColonKeyword_2());
              		
            }
            // InternalActivity.g:1456:3: ( ( (lv_entry_3_0= ruleTracePoint ) ) | ( ( (lv_outerEntry_4_0= ruleTracePoint ) ) ( (lv_entry_5_0= ruleTracePoint ) ) ) )?
            int alt20=3;
            int LA20_0 = input.LA(1);

            if ( (LA20_0==32) ) {
                switch ( input.LA(2) ) {
                    case 33:
                        {
                        int LA20_3 = input.LA(3);

                        if ( (LA20_3==RULE_STRING) ) {
                            int LA20_4 = input.LA(4);

                            if ( (LA20_4==34) ) {
                                int LA20_6 = input.LA(5);

                                if ( (LA20_6==32) ) {
                                    alt20=2;
                                }
                                else if ( ((LA20_6>=RULE_ID && LA20_6<=RULE_INT)) ) {
                                    alt20=1;
                                }
                            }
                        }
                        else if ( (LA20_3==RULE_ID) ) {
                            int LA20_5 = input.LA(4);

                            if ( (LA20_5==34) ) {
                                int LA20_6 = input.LA(5);

                                if ( (LA20_6==32) ) {
                                    alt20=2;
                                }
                                else if ( ((LA20_6>=RULE_ID && LA20_6<=RULE_INT)) ) {
                                    alt20=1;
                                }
                            }
                        }
                        }
                        break;
                    case RULE_STRING:
                        {
                        int LA20_4 = input.LA(3);

                        if ( (LA20_4==34) ) {
                            int LA20_6 = input.LA(4);

                            if ( (LA20_6==32) ) {
                                alt20=2;
                            }
                            else if ( ((LA20_6>=RULE_ID && LA20_6<=RULE_INT)) ) {
                                alt20=1;
                            }
                        }
                        }
                        break;
                    case RULE_ID:
                        {
                        int LA20_5 = input.LA(3);

                        if ( (LA20_5==34) ) {
                            int LA20_6 = input.LA(4);

                            if ( (LA20_6==32) ) {
                                alt20=2;
                            }
                            else if ( ((LA20_6>=RULE_ID && LA20_6<=RULE_INT)) ) {
                                alt20=1;
                            }
                        }
                        }
                        break;
                }

            }
            switch (alt20) {
                case 1 :
                    // InternalActivity.g:1457:4: ( (lv_entry_3_0= ruleTracePoint ) )
                    {
                    // InternalActivity.g:1457:4: ( (lv_entry_3_0= ruleTracePoint ) )
                    // InternalActivity.g:1458:5: (lv_entry_3_0= ruleTracePoint )
                    {
                    // InternalActivity.g:1458:5: (lv_entry_3_0= ruleTracePoint )
                    // InternalActivity.g:1459:6: lv_entry_3_0= ruleTracePoint
                    {
                    if ( state.backtracking==0 ) {

                      						newCompositeNode(grammarAccess.getSimpleActionAccess().getEntryTracePointParserRuleCall_3_0_0());
                      					
                    }
                    pushFollow(FOLLOW_6);
                    lv_entry_3_0=ruleTracePoint();

                    state._fsp--;
                    if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      						if (current==null) {
                      							current = createModelElementForParent(grammarAccess.getSimpleActionRule());
                      						}
                      						set(
                      							current,
                      							"entry",
                      							lv_entry_3_0,
                      							"org.eclipse.lsat.activity.teditor.Activity.TracePoint");
                      						afterParserOrEnumRuleCall();
                      					
                    }

                    }


                    }


                    }
                    break;
                case 2 :
                    // InternalActivity.g:1477:4: ( ( (lv_outerEntry_4_0= ruleTracePoint ) ) ( (lv_entry_5_0= ruleTracePoint ) ) )
                    {
                    // InternalActivity.g:1477:4: ( ( (lv_outerEntry_4_0= ruleTracePoint ) ) ( (lv_entry_5_0= ruleTracePoint ) ) )
                    // InternalActivity.g:1478:5: ( (lv_outerEntry_4_0= ruleTracePoint ) ) ( (lv_entry_5_0= ruleTracePoint ) )
                    {
                    // InternalActivity.g:1478:5: ( (lv_outerEntry_4_0= ruleTracePoint ) )
                    // InternalActivity.g:1479:6: (lv_outerEntry_4_0= ruleTracePoint )
                    {
                    // InternalActivity.g:1479:6: (lv_outerEntry_4_0= ruleTracePoint )
                    // InternalActivity.g:1480:7: lv_outerEntry_4_0= ruleTracePoint
                    {
                    if ( state.backtracking==0 ) {

                      							newCompositeNode(grammarAccess.getSimpleActionAccess().getOuterEntryTracePointParserRuleCall_3_1_0_0());
                      						
                    }
                    pushFollow(FOLLOW_20);
                    lv_outerEntry_4_0=ruleTracePoint();

                    state._fsp--;
                    if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      							if (current==null) {
                      								current = createModelElementForParent(grammarAccess.getSimpleActionRule());
                      							}
                      							set(
                      								current,
                      								"outerEntry",
                      								lv_outerEntry_4_0,
                      								"org.eclipse.lsat.activity.teditor.Activity.TracePoint");
                      							afterParserOrEnumRuleCall();
                      						
                    }

                    }


                    }

                    // InternalActivity.g:1497:5: ( (lv_entry_5_0= ruleTracePoint ) )
                    // InternalActivity.g:1498:6: (lv_entry_5_0= ruleTracePoint )
                    {
                    // InternalActivity.g:1498:6: (lv_entry_5_0= ruleTracePoint )
                    // InternalActivity.g:1499:7: lv_entry_5_0= ruleTracePoint
                    {
                    if ( state.backtracking==0 ) {

                      							newCompositeNode(grammarAccess.getSimpleActionAccess().getEntryTracePointParserRuleCall_3_1_1_0());
                      						
                    }
                    pushFollow(FOLLOW_6);
                    lv_entry_5_0=ruleTracePoint();

                    state._fsp--;
                    if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      							if (current==null) {
                      								current = createModelElementForParent(grammarAccess.getSimpleActionRule());
                      							}
                      							set(
                      								current,
                      								"entry",
                      								lv_entry_5_0,
                      								"org.eclipse.lsat.activity.teditor.Activity.TracePoint");
                      							afterParserOrEnumRuleCall();
                      						
                    }

                    }


                    }


                    }


                    }
                    break;

            }

            // InternalActivity.g:1518:3: ( ( ruleResourceQualifiedName ) )
            // InternalActivity.g:1519:4: ( ruleResourceQualifiedName )
            {
            // InternalActivity.g:1519:4: ( ruleResourceQualifiedName )
            // InternalActivity.g:1520:5: ruleResourceQualifiedName
            {
            if ( state.backtracking==0 ) {

              					if (current==null) {
              						current = createModelElement(grammarAccess.getSimpleActionRule());
              					}
              				
            }
            if ( state.backtracking==0 ) {

              					newCompositeNode(grammarAccess.getSimpleActionAccess().getResourceIResourceCrossReference_4_0());
              				
            }
            pushFollow(FOLLOW_15);
            ruleResourceQualifiedName();

            state._fsp--;
            if (state.failed) return current;
            if ( state.backtracking==0 ) {

              					afterParserOrEnumRuleCall();
              				
            }

            }


            }

            // InternalActivity.g:1534:3: ( ( ( '.' )=>otherlv_7= '.' ) ( ( ruleIID ) ) otherlv_9= '.' ( ( ruleIID ) ) )
            // InternalActivity.g:1535:4: ( ( '.' )=>otherlv_7= '.' ) ( ( ruleIID ) ) otherlv_9= '.' ( ( ruleIID ) )
            {
            // InternalActivity.g:1535:4: ( ( '.' )=>otherlv_7= '.' )
            // InternalActivity.g:1536:5: ( '.' )=>otherlv_7= '.'
            {
            otherlv_7=(Token)match(input,18,FOLLOW_6); if (state.failed) return current;
            if ( state.backtracking==0 ) {

              					newLeafNode(otherlv_7, grammarAccess.getSimpleActionAccess().getFullStopKeyword_5_0());
              				
            }

            }

            // InternalActivity.g:1542:4: ( ( ruleIID ) )
            // InternalActivity.g:1543:5: ( ruleIID )
            {
            // InternalActivity.g:1543:5: ( ruleIID )
            // InternalActivity.g:1544:6: ruleIID
            {
            if ( state.backtracking==0 ) {

              						if (current==null) {
              							current = createModelElement(grammarAccess.getSimpleActionRule());
              						}
              					
            }
            if ( state.backtracking==0 ) {

              						newCompositeNode(grammarAccess.getSimpleActionAccess().getPeripheralPeripheralCrossReference_5_1_0());
              					
            }
            pushFollow(FOLLOW_15);
            ruleIID();

            state._fsp--;
            if (state.failed) return current;
            if ( state.backtracking==0 ) {

              						afterParserOrEnumRuleCall();
              					
            }

            }


            }

            otherlv_9=(Token)match(input,18,FOLLOW_6); if (state.failed) return current;
            if ( state.backtracking==0 ) {

              				newLeafNode(otherlv_9, grammarAccess.getSimpleActionAccess().getFullStopKeyword_5_2());
              			
            }
            // InternalActivity.g:1562:4: ( ( ruleIID ) )
            // InternalActivity.g:1563:5: ( ruleIID )
            {
            // InternalActivity.g:1563:5: ( ruleIID )
            // InternalActivity.g:1564:6: ruleIID
            {
            if ( state.backtracking==0 ) {

              						if (current==null) {
              							current = createModelElement(grammarAccess.getSimpleActionRule());
              						}
              					
            }
            if ( state.backtracking==0 ) {

              						newCompositeNode(grammarAccess.getSimpleActionAccess().getTypeActionTypeCrossReference_5_3_0());
              					
            }
            pushFollow(FOLLOW_31);
            ruleIID();

            state._fsp--;
            if (state.failed) return current;
            if ( state.backtracking==0 ) {

              						afterParserOrEnumRuleCall();
              					
            }

            }


            }


            }

            // InternalActivity.g:1579:3: ( (lv_schedulingType_11_0= ruleScheduling ) )?
            int alt21=2;
            int LA21_0 = input.LA(1);

            if ( ((LA21_0>=41 && LA21_0<=42)) ) {
                alt21=1;
            }
            switch (alt21) {
                case 1 :
                    // InternalActivity.g:1580:4: (lv_schedulingType_11_0= ruleScheduling )
                    {
                    // InternalActivity.g:1580:4: (lv_schedulingType_11_0= ruleScheduling )
                    // InternalActivity.g:1581:5: lv_schedulingType_11_0= ruleScheduling
                    {
                    if ( state.backtracking==0 ) {

                      					newCompositeNode(grammarAccess.getSimpleActionAccess().getSchedulingTypeSchedulingEnumRuleCall_6_0());
                      				
                    }
                    pushFollow(FOLLOW_22);
                    lv_schedulingType_11_0=ruleScheduling();

                    state._fsp--;
                    if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      					if (current==null) {
                      						current = createModelElementForParent(grammarAccess.getSimpleActionRule());
                      					}
                      					set(
                      						current,
                      						"schedulingType",
                      						lv_schedulingType_11_0,
                      						"org.eclipse.lsat.activity.teditor.Activity.Scheduling");
                      					afterParserOrEnumRuleCall();
                      				
                    }

                    }


                    }
                    break;

            }

            // InternalActivity.g:1598:3: ( ( (lv_exit_12_0= ruleTracePoint ) ) | ( ( (lv_exit_13_0= ruleTracePoint ) ) ( (lv_outerExit_14_0= ruleTracePoint ) ) ) )?
            int alt22=3;
            int LA22_0 = input.LA(1);

            if ( (LA22_0==32) ) {
                switch ( input.LA(2) ) {
                    case 33:
                        {
                        int LA22_3 = input.LA(3);

                        if ( (LA22_3==RULE_STRING) ) {
                            int LA22_4 = input.LA(4);

                            if ( (LA22_4==34) ) {
                                int LA22_6 = input.LA(5);

                                if ( (LA22_6==EOF||(LA22_6>=RULE_ID && LA22_6<=RULE_INT)||LA22_6==15) ) {
                                    alt22=1;
                                }
                                else if ( (LA22_6==32) ) {
                                    alt22=2;
                                }
                            }
                        }
                        else if ( (LA22_3==RULE_ID) ) {
                            int LA22_5 = input.LA(4);

                            if ( (LA22_5==34) ) {
                                int LA22_6 = input.LA(5);

                                if ( (LA22_6==EOF||(LA22_6>=RULE_ID && LA22_6<=RULE_INT)||LA22_6==15) ) {
                                    alt22=1;
                                }
                                else if ( (LA22_6==32) ) {
                                    alt22=2;
                                }
                            }
                        }
                        }
                        break;
                    case RULE_STRING:
                        {
                        int LA22_4 = input.LA(3);

                        if ( (LA22_4==34) ) {
                            int LA22_6 = input.LA(4);

                            if ( (LA22_6==EOF||(LA22_6>=RULE_ID && LA22_6<=RULE_INT)||LA22_6==15) ) {
                                alt22=1;
                            }
                            else if ( (LA22_6==32) ) {
                                alt22=2;
                            }
                        }
                        }
                        break;
                    case RULE_ID:
                        {
                        int LA22_5 = input.LA(3);

                        if ( (LA22_5==34) ) {
                            int LA22_6 = input.LA(4);

                            if ( (LA22_6==EOF||(LA22_6>=RULE_ID && LA22_6<=RULE_INT)||LA22_6==15) ) {
                                alt22=1;
                            }
                            else if ( (LA22_6==32) ) {
                                alt22=2;
                            }
                        }
                        }
                        break;
                }

            }
            switch (alt22) {
                case 1 :
                    // InternalActivity.g:1599:4: ( (lv_exit_12_0= ruleTracePoint ) )
                    {
                    // InternalActivity.g:1599:4: ( (lv_exit_12_0= ruleTracePoint ) )
                    // InternalActivity.g:1600:5: (lv_exit_12_0= ruleTracePoint )
                    {
                    // InternalActivity.g:1600:5: (lv_exit_12_0= ruleTracePoint )
                    // InternalActivity.g:1601:6: lv_exit_12_0= ruleTracePoint
                    {
                    if ( state.backtracking==0 ) {

                      						newCompositeNode(grammarAccess.getSimpleActionAccess().getExitTracePointParserRuleCall_7_0_0());
                      					
                    }
                    pushFollow(FOLLOW_2);
                    lv_exit_12_0=ruleTracePoint();

                    state._fsp--;
                    if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      						if (current==null) {
                      							current = createModelElementForParent(grammarAccess.getSimpleActionRule());
                      						}
                      						set(
                      							current,
                      							"exit",
                      							lv_exit_12_0,
                      							"org.eclipse.lsat.activity.teditor.Activity.TracePoint");
                      						afterParserOrEnumRuleCall();
                      					
                    }

                    }


                    }


                    }
                    break;
                case 2 :
                    // InternalActivity.g:1619:4: ( ( (lv_exit_13_0= ruleTracePoint ) ) ( (lv_outerExit_14_0= ruleTracePoint ) ) )
                    {
                    // InternalActivity.g:1619:4: ( ( (lv_exit_13_0= ruleTracePoint ) ) ( (lv_outerExit_14_0= ruleTracePoint ) ) )
                    // InternalActivity.g:1620:5: ( (lv_exit_13_0= ruleTracePoint ) ) ( (lv_outerExit_14_0= ruleTracePoint ) )
                    {
                    // InternalActivity.g:1620:5: ( (lv_exit_13_0= ruleTracePoint ) )
                    // InternalActivity.g:1621:6: (lv_exit_13_0= ruleTracePoint )
                    {
                    // InternalActivity.g:1621:6: (lv_exit_13_0= ruleTracePoint )
                    // InternalActivity.g:1622:7: lv_exit_13_0= ruleTracePoint
                    {
                    if ( state.backtracking==0 ) {

                      							newCompositeNode(grammarAccess.getSimpleActionAccess().getExitTracePointParserRuleCall_7_1_0_0());
                      						
                    }
                    pushFollow(FOLLOW_20);
                    lv_exit_13_0=ruleTracePoint();

                    state._fsp--;
                    if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      							if (current==null) {
                      								current = createModelElementForParent(grammarAccess.getSimpleActionRule());
                      							}
                      							set(
                      								current,
                      								"exit",
                      								lv_exit_13_0,
                      								"org.eclipse.lsat.activity.teditor.Activity.TracePoint");
                      							afterParserOrEnumRuleCall();
                      						
                    }

                    }


                    }

                    // InternalActivity.g:1639:5: ( (lv_outerExit_14_0= ruleTracePoint ) )
                    // InternalActivity.g:1640:6: (lv_outerExit_14_0= ruleTracePoint )
                    {
                    // InternalActivity.g:1640:6: (lv_outerExit_14_0= ruleTracePoint )
                    // InternalActivity.g:1641:7: lv_outerExit_14_0= ruleTracePoint
                    {
                    if ( state.backtracking==0 ) {

                      							newCompositeNode(grammarAccess.getSimpleActionAccess().getOuterExitTracePointParserRuleCall_7_1_1_0());
                      						
                    }
                    pushFollow(FOLLOW_2);
                    lv_outerExit_14_0=ruleTracePoint();

                    state._fsp--;
                    if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      							if (current==null) {
                      								current = createModelElementForParent(grammarAccess.getSimpleActionRule());
                      							}
                      							set(
                      								current,
                      								"outerExit",
                      								lv_outerExit_14_0,
                      								"org.eclipse.lsat.activity.teditor.Activity.TracePoint");
                      							afterParserOrEnumRuleCall();
                      						
                    }

                    }


                    }


                    }


                    }
                    break;

            }


            }


            }

            if ( state.backtracking==0 ) {

              	leaveRule();

            }
        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleSimpleAction"


    // $ANTLR start "entryRuleTracePoint"
    // InternalActivity.g:1664:1: entryRuleTracePoint returns [EObject current=null] : iv_ruleTracePoint= ruleTracePoint EOF ;
    public final EObject entryRuleTracePoint() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleTracePoint = null;


        try {
            // InternalActivity.g:1664:51: (iv_ruleTracePoint= ruleTracePoint EOF )
            // InternalActivity.g:1665:2: iv_ruleTracePoint= ruleTracePoint EOF
            {
            if ( state.backtracking==0 ) {
               newCompositeNode(grammarAccess.getTracePointRule()); 
            }
            pushFollow(FOLLOW_1);
            iv_ruleTracePoint=ruleTracePoint();

            state._fsp--;
            if (state.failed) return current;
            if ( state.backtracking==0 ) {
               current =iv_ruleTracePoint; 
            }
            match(input,EOF,FOLLOW_2); if (state.failed) return current;

            }

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleTracePoint"


    // $ANTLR start "ruleTracePoint"
    // InternalActivity.g:1671:1: ruleTracePoint returns [EObject current=null] : (otherlv_0= '[' ( (lv_regex_1_0= '~' ) )? ( (lv_value_2_0= ruleEString ) ) otherlv_3= ']' ) ;
    public final EObject ruleTracePoint() throws RecognitionException {
        EObject current = null;

        Token otherlv_0=null;
        Token lv_regex_1_0=null;
        Token otherlv_3=null;
        AntlrDatatypeRuleToken lv_value_2_0 = null;



        	enterRule();

        try {
            // InternalActivity.g:1677:2: ( (otherlv_0= '[' ( (lv_regex_1_0= '~' ) )? ( (lv_value_2_0= ruleEString ) ) otherlv_3= ']' ) )
            // InternalActivity.g:1678:2: (otherlv_0= '[' ( (lv_regex_1_0= '~' ) )? ( (lv_value_2_0= ruleEString ) ) otherlv_3= ']' )
            {
            // InternalActivity.g:1678:2: (otherlv_0= '[' ( (lv_regex_1_0= '~' ) )? ( (lv_value_2_0= ruleEString ) ) otherlv_3= ']' )
            // InternalActivity.g:1679:3: otherlv_0= '[' ( (lv_regex_1_0= '~' ) )? ( (lv_value_2_0= ruleEString ) ) otherlv_3= ']'
            {
            otherlv_0=(Token)match(input,32,FOLLOW_33); if (state.failed) return current;
            if ( state.backtracking==0 ) {

              			newLeafNode(otherlv_0, grammarAccess.getTracePointAccess().getLeftSquareBracketKeyword_0());
              		
            }
            // InternalActivity.g:1683:3: ( (lv_regex_1_0= '~' ) )?
            int alt23=2;
            int LA23_0 = input.LA(1);

            if ( (LA23_0==33) ) {
                alt23=1;
            }
            switch (alt23) {
                case 1 :
                    // InternalActivity.g:1684:4: (lv_regex_1_0= '~' )
                    {
                    // InternalActivity.g:1684:4: (lv_regex_1_0= '~' )
                    // InternalActivity.g:1685:5: lv_regex_1_0= '~'
                    {
                    lv_regex_1_0=(Token)match(input,33,FOLLOW_33); if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      					newLeafNode(lv_regex_1_0, grammarAccess.getTracePointAccess().getRegexTildeKeyword_1_0());
                      				
                    }
                    if ( state.backtracking==0 ) {

                      					if (current==null) {
                      						current = createModelElement(grammarAccess.getTracePointRule());
                      					}
                      					setWithLastConsumed(current, "regex", lv_regex_1_0 != null, "~");
                      				
                    }

                    }


                    }
                    break;

            }

            // InternalActivity.g:1697:3: ( (lv_value_2_0= ruleEString ) )
            // InternalActivity.g:1698:4: (lv_value_2_0= ruleEString )
            {
            // InternalActivity.g:1698:4: (lv_value_2_0= ruleEString )
            // InternalActivity.g:1699:5: lv_value_2_0= ruleEString
            {
            if ( state.backtracking==0 ) {

              					newCompositeNode(grammarAccess.getTracePointAccess().getValueEStringParserRuleCall_2_0());
              				
            }
            pushFollow(FOLLOW_34);
            lv_value_2_0=ruleEString();

            state._fsp--;
            if (state.failed) return current;
            if ( state.backtracking==0 ) {

              					if (current==null) {
              						current = createModelElementForParent(grammarAccess.getTracePointRule());
              					}
              					set(
              						current,
              						"value",
              						lv_value_2_0,
              						"org.eclipse.lsat.activity.teditor.Activity.EString");
              					afterParserOrEnumRuleCall();
              				
            }

            }


            }

            otherlv_3=(Token)match(input,34,FOLLOW_2); if (state.failed) return current;
            if ( state.backtracking==0 ) {

              			newLeafNode(otherlv_3, grammarAccess.getTracePointAccess().getRightSquareBracketKeyword_3());
              		
            }

            }


            }

            if ( state.backtracking==0 ) {

              	leaveRule();

            }
        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleTracePoint"


    // $ANTLR start "entryRuleEdges"
    // InternalActivity.g:1724:1: entryRuleEdges returns [EObject current=null] : iv_ruleEdges= ruleEdges EOF ;
    public final EObject entryRuleEdges() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleEdges = null;


        try {
            // InternalActivity.g:1724:46: (iv_ruleEdges= ruleEdges EOF )
            // InternalActivity.g:1725:2: iv_ruleEdges= ruleEdges EOF
            {
            if ( state.backtracking==0 ) {
               newCompositeNode(grammarAccess.getEdgesRule()); 
            }
            pushFollow(FOLLOW_1);
            iv_ruleEdges=ruleEdges();

            state._fsp--;
            if (state.failed) return current;
            if ( state.backtracking==0 ) {
               current =iv_ruleEdges; 
            }
            match(input,EOF,FOLLOW_2); if (state.failed) return current;

            }

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleEdges"


    // $ANTLR start "ruleEdges"
    // InternalActivity.g:1731:1: ruleEdges returns [EObject current=null] : this_Edge_0= ruleEdge ;
    public final EObject ruleEdges() throws RecognitionException {
        EObject current = null;

        EObject this_Edge_0 = null;



        	enterRule();

        try {
            // InternalActivity.g:1737:2: (this_Edge_0= ruleEdge )
            // InternalActivity.g:1738:2: this_Edge_0= ruleEdge
            {
            if ( state.backtracking==0 ) {

              		newCompositeNode(grammarAccess.getEdgesAccess().getEdgeParserRuleCall());
              	
            }
            pushFollow(FOLLOW_2);
            this_Edge_0=ruleEdge();

            state._fsp--;
            if (state.failed) return current;
            if ( state.backtracking==0 ) {

              		current = this_Edge_0;
              		afterParserOrEnumRuleCall();
              	
            }

            }

            if ( state.backtracking==0 ) {

              	leaveRule();

            }
        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleEdges"


    // $ANTLR start "entryRuleEdge"
    // InternalActivity.g:1749:1: entryRuleEdge returns [EObject current=null] : iv_ruleEdge= ruleEdge EOF ;
    public final EObject entryRuleEdge() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleEdge = null;


        try {
            // InternalActivity.g:1749:45: (iv_ruleEdge= ruleEdge EOF )
            // InternalActivity.g:1750:2: iv_ruleEdge= ruleEdge EOF
            {
            if ( state.backtracking==0 ) {
               newCompositeNode(grammarAccess.getEdgeRule()); 
            }
            pushFollow(FOLLOW_1);
            iv_ruleEdge=ruleEdge();

            state._fsp--;
            if (state.failed) return current;
            if ( state.backtracking==0 ) {
               current =iv_ruleEdge; 
            }
            match(input,EOF,FOLLOW_2); if (state.failed) return current;

            }

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleEdge"


    // $ANTLR start "ruleEdge"
    // InternalActivity.g:1756:1: ruleEdge returns [EObject current=null] : ( () ( (lv_source_1_0= ruleSourceReference ) ) otherlv_2= '->' ( (lv_target_3_0= ruleDependencyTarget ) ) ) ;
    public final EObject ruleEdge() throws RecognitionException {
        EObject current = null;

        Token otherlv_2=null;
        EObject lv_source_1_0 = null;

        EObject lv_target_3_0 = null;



        	enterRule();

        try {
            // InternalActivity.g:1762:2: ( ( () ( (lv_source_1_0= ruleSourceReference ) ) otherlv_2= '->' ( (lv_target_3_0= ruleDependencyTarget ) ) ) )
            // InternalActivity.g:1763:2: ( () ( (lv_source_1_0= ruleSourceReference ) ) otherlv_2= '->' ( (lv_target_3_0= ruleDependencyTarget ) ) )
            {
            // InternalActivity.g:1763:2: ( () ( (lv_source_1_0= ruleSourceReference ) ) otherlv_2= '->' ( (lv_target_3_0= ruleDependencyTarget ) ) )
            // InternalActivity.g:1764:3: () ( (lv_source_1_0= ruleSourceReference ) ) otherlv_2= '->' ( (lv_target_3_0= ruleDependencyTarget ) )
            {
            // InternalActivity.g:1764:3: ()
            // InternalActivity.g:1765:4: 
            {
            if ( state.backtracking==0 ) {

              				current = forceCreateModelElement(
              					grammarAccess.getEdgeAccess().getEdgeAction_0(),
              					current);
              			
            }

            }

            // InternalActivity.g:1771:3: ( (lv_source_1_0= ruleSourceReference ) )
            // InternalActivity.g:1772:4: (lv_source_1_0= ruleSourceReference )
            {
            // InternalActivity.g:1772:4: (lv_source_1_0= ruleSourceReference )
            // InternalActivity.g:1773:5: lv_source_1_0= ruleSourceReference
            {
            if ( state.backtracking==0 ) {

              					newCompositeNode(grammarAccess.getEdgeAccess().getSourceSourceReferenceParserRuleCall_1_0());
              				
            }
            pushFollow(FOLLOW_35);
            lv_source_1_0=ruleSourceReference();

            state._fsp--;
            if (state.failed) return current;
            if ( state.backtracking==0 ) {

              					if (current==null) {
              						current = createModelElementForParent(grammarAccess.getEdgeRule());
              					}
              					set(
              						current,
              						"source",
              						lv_source_1_0,
              						"org.eclipse.lsat.activity.teditor.Activity.SourceReference");
              					afterParserOrEnumRuleCall();
              				
            }

            }


            }

            otherlv_2=(Token)match(input,35,FOLLOW_36); if (state.failed) return current;
            if ( state.backtracking==0 ) {

              			newLeafNode(otherlv_2, grammarAccess.getEdgeAccess().getHyphenMinusGreaterThanSignKeyword_2());
              		
            }
            // InternalActivity.g:1794:3: ( (lv_target_3_0= ruleDependencyTarget ) )
            // InternalActivity.g:1795:4: (lv_target_3_0= ruleDependencyTarget )
            {
            // InternalActivity.g:1795:4: (lv_target_3_0= ruleDependencyTarget )
            // InternalActivity.g:1796:5: lv_target_3_0= ruleDependencyTarget
            {
            if ( state.backtracking==0 ) {

              					newCompositeNode(grammarAccess.getEdgeAccess().getTargetDependencyTargetParserRuleCall_3_0());
              				
            }
            pushFollow(FOLLOW_2);
            lv_target_3_0=ruleDependencyTarget();

            state._fsp--;
            if (state.failed) return current;
            if ( state.backtracking==0 ) {

              					if (current==null) {
              						current = createModelElementForParent(grammarAccess.getEdgeRule());
              					}
              					set(
              						current,
              						"target",
              						lv_target_3_0,
              						"org.eclipse.lsat.activity.teditor.Activity.DependencyTarget");
              					afterParserOrEnumRuleCall();
              				
            }

            }


            }


            }


            }

            if ( state.backtracking==0 ) {

              	leaveRule();

            }
        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleEdge"


    // $ANTLR start "entryRuleSourceReference"
    // InternalActivity.g:1817:1: entryRuleSourceReference returns [EObject current=null] : iv_ruleSourceReference= ruleSourceReference EOF ;
    public final EObject entryRuleSourceReference() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleSourceReference = null;


        try {
            // InternalActivity.g:1817:56: (iv_ruleSourceReference= ruleSourceReference EOF )
            // InternalActivity.g:1818:2: iv_ruleSourceReference= ruleSourceReference EOF
            {
            if ( state.backtracking==0 ) {
               newCompositeNode(grammarAccess.getSourceReferenceRule()); 
            }
            pushFollow(FOLLOW_1);
            iv_ruleSourceReference=ruleSourceReference();

            state._fsp--;
            if (state.failed) return current;
            if ( state.backtracking==0 ) {
               current =iv_ruleSourceReference; 
            }
            match(input,EOF,FOLLOW_2); if (state.failed) return current;

            }

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleSourceReference"


    // $ANTLR start "ruleSourceReference"
    // InternalActivity.g:1824:1: ruleSourceReference returns [EObject current=null] : ( () ( ( ( ruleIID ) ) | (otherlv_2= '|' ( ( ruleIID ) ) ) ) ) ;
    public final EObject ruleSourceReference() throws RecognitionException {
        EObject current = null;

        Token otherlv_2=null;


        	enterRule();

        try {
            // InternalActivity.g:1830:2: ( ( () ( ( ( ruleIID ) ) | (otherlv_2= '|' ( ( ruleIID ) ) ) ) ) )
            // InternalActivity.g:1831:2: ( () ( ( ( ruleIID ) ) | (otherlv_2= '|' ( ( ruleIID ) ) ) ) )
            {
            // InternalActivity.g:1831:2: ( () ( ( ( ruleIID ) ) | (otherlv_2= '|' ( ( ruleIID ) ) ) ) )
            // InternalActivity.g:1832:3: () ( ( ( ruleIID ) ) | (otherlv_2= '|' ( ( ruleIID ) ) ) )
            {
            // InternalActivity.g:1832:3: ()
            // InternalActivity.g:1833:4: 
            {
            if ( state.backtracking==0 ) {

              				current = forceCreateModelElement(
              					grammarAccess.getSourceReferenceAccess().getSourceReferenceAction_0(),
              					current);
              			
            }

            }

            // InternalActivity.g:1839:3: ( ( ( ruleIID ) ) | (otherlv_2= '|' ( ( ruleIID ) ) ) )
            int alt24=2;
            int LA24_0 = input.LA(1);

            if ( ((LA24_0>=RULE_ID && LA24_0<=RULE_INT)) ) {
                alt24=1;
            }
            else if ( (LA24_0==36) ) {
                alt24=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return current;}
                NoViableAltException nvae =
                    new NoViableAltException("", 24, 0, input);

                throw nvae;
            }
            switch (alt24) {
                case 1 :
                    // InternalActivity.g:1840:4: ( ( ruleIID ) )
                    {
                    // InternalActivity.g:1840:4: ( ( ruleIID ) )
                    // InternalActivity.g:1841:5: ( ruleIID )
                    {
                    // InternalActivity.g:1841:5: ( ruleIID )
                    // InternalActivity.g:1842:6: ruleIID
                    {
                    if ( state.backtracking==0 ) {

                      						if (current==null) {
                      							current = createModelElement(grammarAccess.getSourceReferenceRule());
                      						}
                      					
                    }
                    if ( state.backtracking==0 ) {

                      						newCompositeNode(grammarAccess.getSourceReferenceAccess().getNodeActionCrossReference_1_0_0());
                      					
                    }
                    pushFollow(FOLLOW_2);
                    ruleIID();

                    state._fsp--;
                    if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      						afterParserOrEnumRuleCall();
                      					
                    }

                    }


                    }


                    }
                    break;
                case 2 :
                    // InternalActivity.g:1857:4: (otherlv_2= '|' ( ( ruleIID ) ) )
                    {
                    // InternalActivity.g:1857:4: (otherlv_2= '|' ( ( ruleIID ) ) )
                    // InternalActivity.g:1858:5: otherlv_2= '|' ( ( ruleIID ) )
                    {
                    otherlv_2=(Token)match(input,36,FOLLOW_6); if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      					newLeafNode(otherlv_2, grammarAccess.getSourceReferenceAccess().getVerticalLineKeyword_1_1_0());
                      				
                    }
                    // InternalActivity.g:1862:5: ( ( ruleIID ) )
                    // InternalActivity.g:1863:6: ( ruleIID )
                    {
                    // InternalActivity.g:1863:6: ( ruleIID )
                    // InternalActivity.g:1864:7: ruleIID
                    {
                    if ( state.backtracking==0 ) {

                      							if (current==null) {
                      								current = createModelElement(grammarAccess.getSourceReferenceRule());
                      							}
                      						
                    }
                    if ( state.backtracking==0 ) {

                      							newCompositeNode(grammarAccess.getSourceReferenceAccess().getNodeSyncBarCrossReference_1_1_1_0());
                      						
                    }
                    pushFollow(FOLLOW_2);
                    ruleIID();

                    state._fsp--;
                    if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      							afterParserOrEnumRuleCall();
                      						
                    }

                    }


                    }


                    }


                    }
                    break;

            }


            }


            }

            if ( state.backtracking==0 ) {

              	leaveRule();

            }
        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleSourceReference"


    // $ANTLR start "entryRuleDependencyTarget"
    // InternalActivity.g:1884:1: entryRuleDependencyTarget returns [EObject current=null] : iv_ruleDependencyTarget= ruleDependencyTarget EOF ;
    public final EObject entryRuleDependencyTarget() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleDependencyTarget = null;


        try {
            // InternalActivity.g:1884:57: (iv_ruleDependencyTarget= ruleDependencyTarget EOF )
            // InternalActivity.g:1885:2: iv_ruleDependencyTarget= ruleDependencyTarget EOF
            {
            if ( state.backtracking==0 ) {
               newCompositeNode(grammarAccess.getDependencyTargetRule()); 
            }
            pushFollow(FOLLOW_1);
            iv_ruleDependencyTarget=ruleDependencyTarget();

            state._fsp--;
            if (state.failed) return current;
            if ( state.backtracking==0 ) {
               current =iv_ruleDependencyTarget; 
            }
            match(input,EOF,FOLLOW_2); if (state.failed) return current;

            }

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleDependencyTarget"


    // $ANTLR start "ruleDependencyTarget"
    // InternalActivity.g:1891:1: ruleDependencyTarget returns [EObject current=null] : (this_TargetReference_0= ruleTargetReference | this_Edge_1= ruleEdge ) ;
    public final EObject ruleDependencyTarget() throws RecognitionException {
        EObject current = null;

        EObject this_TargetReference_0 = null;

        EObject this_Edge_1 = null;



        	enterRule();

        try {
            // InternalActivity.g:1897:2: ( (this_TargetReference_0= ruleTargetReference | this_Edge_1= ruleEdge ) )
            // InternalActivity.g:1898:2: (this_TargetReference_0= ruleTargetReference | this_Edge_1= ruleEdge )
            {
            // InternalActivity.g:1898:2: (this_TargetReference_0= ruleTargetReference | this_Edge_1= ruleEdge )
            int alt25=2;
            switch ( input.LA(1) ) {
            case RULE_INT:
                {
                int LA25_1 = input.LA(2);

                if ( (LA25_1==EOF||(LA25_1>=RULE_ID && LA25_1<=RULE_INT)||LA25_1==15||LA25_1==36) ) {
                    alt25=1;
                }
                else if ( (LA25_1==35) ) {
                    alt25=2;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return current;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 25, 1, input);

                    throw nvae;
                }
                }
                break;
            case RULE_ID:
                {
                int LA25_2 = input.LA(2);

                if ( (LA25_2==EOF||(LA25_2>=RULE_ID && LA25_2<=RULE_INT)||LA25_2==15||LA25_2==36) ) {
                    alt25=1;
                }
                else if ( (LA25_2==35) ) {
                    alt25=2;
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return current;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 25, 2, input);

                    throw nvae;
                }
                }
                break;
            case 36:
                {
                int LA25_3 = input.LA(2);

                if ( (LA25_3==RULE_INT) ) {
                    int LA25_6 = input.LA(3);

                    if ( (LA25_6==EOF||(LA25_6>=RULE_ID && LA25_6<=RULE_INT)||LA25_6==15||LA25_6==36) ) {
                        alt25=1;
                    }
                    else if ( (LA25_6==35) ) {
                        alt25=2;
                    }
                    else {
                        if (state.backtracking>0) {state.failed=true; return current;}
                        NoViableAltException nvae =
                            new NoViableAltException("", 25, 6, input);

                        throw nvae;
                    }
                }
                else if ( (LA25_3==RULE_ID) ) {
                    int LA25_7 = input.LA(3);

                    if ( (LA25_7==EOF||(LA25_7>=RULE_ID && LA25_7<=RULE_INT)||LA25_7==15||LA25_7==36) ) {
                        alt25=1;
                    }
                    else if ( (LA25_7==35) ) {
                        alt25=2;
                    }
                    else {
                        if (state.backtracking>0) {state.failed=true; return current;}
                        NoViableAltException nvae =
                            new NoViableAltException("", 25, 7, input);

                        throw nvae;
                    }
                }
                else {
                    if (state.backtracking>0) {state.failed=true; return current;}
                    NoViableAltException nvae =
                        new NoViableAltException("", 25, 3, input);

                    throw nvae;
                }
                }
                break;
            default:
                if (state.backtracking>0) {state.failed=true; return current;}
                NoViableAltException nvae =
                    new NoViableAltException("", 25, 0, input);

                throw nvae;
            }

            switch (alt25) {
                case 1 :
                    // InternalActivity.g:1899:3: this_TargetReference_0= ruleTargetReference
                    {
                    if ( state.backtracking==0 ) {

                      			newCompositeNode(grammarAccess.getDependencyTargetAccess().getTargetReferenceParserRuleCall_0());
                      		
                    }
                    pushFollow(FOLLOW_2);
                    this_TargetReference_0=ruleTargetReference();

                    state._fsp--;
                    if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      			current = this_TargetReference_0;
                      			afterParserOrEnumRuleCall();
                      		
                    }

                    }
                    break;
                case 2 :
                    // InternalActivity.g:1908:3: this_Edge_1= ruleEdge
                    {
                    if ( state.backtracking==0 ) {

                      			newCompositeNode(grammarAccess.getDependencyTargetAccess().getEdgeParserRuleCall_1());
                      		
                    }
                    pushFollow(FOLLOW_2);
                    this_Edge_1=ruleEdge();

                    state._fsp--;
                    if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      			current = this_Edge_1;
                      			afterParserOrEnumRuleCall();
                      		
                    }

                    }
                    break;

            }


            }

            if ( state.backtracking==0 ) {

              	leaveRule();

            }
        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleDependencyTarget"


    // $ANTLR start "entryRuleTargetReference"
    // InternalActivity.g:1920:1: entryRuleTargetReference returns [EObject current=null] : iv_ruleTargetReference= ruleTargetReference EOF ;
    public final EObject entryRuleTargetReference() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleTargetReference = null;


        try {
            // InternalActivity.g:1920:56: (iv_ruleTargetReference= ruleTargetReference EOF )
            // InternalActivity.g:1921:2: iv_ruleTargetReference= ruleTargetReference EOF
            {
            if ( state.backtracking==0 ) {
               newCompositeNode(grammarAccess.getTargetReferenceRule()); 
            }
            pushFollow(FOLLOW_1);
            iv_ruleTargetReference=ruleTargetReference();

            state._fsp--;
            if (state.failed) return current;
            if ( state.backtracking==0 ) {
               current =iv_ruleTargetReference; 
            }
            match(input,EOF,FOLLOW_2); if (state.failed) return current;

            }

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleTargetReference"


    // $ANTLR start "ruleTargetReference"
    // InternalActivity.g:1927:1: ruleTargetReference returns [EObject current=null] : ( () ( ( ( ruleIID ) ) | (otherlv_2= '|' ( ( ruleIID ) ) ) ) ) ;
    public final EObject ruleTargetReference() throws RecognitionException {
        EObject current = null;

        Token otherlv_2=null;


        	enterRule();

        try {
            // InternalActivity.g:1933:2: ( ( () ( ( ( ruleIID ) ) | (otherlv_2= '|' ( ( ruleIID ) ) ) ) ) )
            // InternalActivity.g:1934:2: ( () ( ( ( ruleIID ) ) | (otherlv_2= '|' ( ( ruleIID ) ) ) ) )
            {
            // InternalActivity.g:1934:2: ( () ( ( ( ruleIID ) ) | (otherlv_2= '|' ( ( ruleIID ) ) ) ) )
            // InternalActivity.g:1935:3: () ( ( ( ruleIID ) ) | (otherlv_2= '|' ( ( ruleIID ) ) ) )
            {
            // InternalActivity.g:1935:3: ()
            // InternalActivity.g:1936:4: 
            {
            if ( state.backtracking==0 ) {

              				current = forceCreateModelElement(
              					grammarAccess.getTargetReferenceAccess().getTargetReferenceAction_0(),
              					current);
              			
            }

            }

            // InternalActivity.g:1942:3: ( ( ( ruleIID ) ) | (otherlv_2= '|' ( ( ruleIID ) ) ) )
            int alt26=2;
            int LA26_0 = input.LA(1);

            if ( ((LA26_0>=RULE_ID && LA26_0<=RULE_INT)) ) {
                alt26=1;
            }
            else if ( (LA26_0==36) ) {
                alt26=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return current;}
                NoViableAltException nvae =
                    new NoViableAltException("", 26, 0, input);

                throw nvae;
            }
            switch (alt26) {
                case 1 :
                    // InternalActivity.g:1943:4: ( ( ruleIID ) )
                    {
                    // InternalActivity.g:1943:4: ( ( ruleIID ) )
                    // InternalActivity.g:1944:5: ( ruleIID )
                    {
                    // InternalActivity.g:1944:5: ( ruleIID )
                    // InternalActivity.g:1945:6: ruleIID
                    {
                    if ( state.backtracking==0 ) {

                      						if (current==null) {
                      							current = createModelElement(grammarAccess.getTargetReferenceRule());
                      						}
                      					
                    }
                    if ( state.backtracking==0 ) {

                      						newCompositeNode(grammarAccess.getTargetReferenceAccess().getNodeActionCrossReference_1_0_0());
                      					
                    }
                    pushFollow(FOLLOW_2);
                    ruleIID();

                    state._fsp--;
                    if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      						afterParserOrEnumRuleCall();
                      					
                    }

                    }


                    }


                    }
                    break;
                case 2 :
                    // InternalActivity.g:1960:4: (otherlv_2= '|' ( ( ruleIID ) ) )
                    {
                    // InternalActivity.g:1960:4: (otherlv_2= '|' ( ( ruleIID ) ) )
                    // InternalActivity.g:1961:5: otherlv_2= '|' ( ( ruleIID ) )
                    {
                    otherlv_2=(Token)match(input,36,FOLLOW_6); if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      					newLeafNode(otherlv_2, grammarAccess.getTargetReferenceAccess().getVerticalLineKeyword_1_1_0());
                      				
                    }
                    // InternalActivity.g:1965:5: ( ( ruleIID ) )
                    // InternalActivity.g:1966:6: ( ruleIID )
                    {
                    // InternalActivity.g:1966:6: ( ruleIID )
                    // InternalActivity.g:1967:7: ruleIID
                    {
                    if ( state.backtracking==0 ) {

                      							if (current==null) {
                      								current = createModelElement(grammarAccess.getTargetReferenceRule());
                      							}
                      						
                    }
                    if ( state.backtracking==0 ) {

                      							newCompositeNode(grammarAccess.getTargetReferenceAccess().getNodeSyncBarCrossReference_1_1_1_0());
                      						
                    }
                    pushFollow(FOLLOW_2);
                    ruleIID();

                    state._fsp--;
                    if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      							afterParserOrEnumRuleCall();
                      						
                    }

                    }


                    }


                    }


                    }
                    break;

            }


            }


            }

            if ( state.backtracking==0 ) {

              	leaveRule();

            }
        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleTargetReference"


    // $ANTLR start "entryRuleEvent"
    // InternalActivity.g:1987:1: entryRuleEvent returns [EObject current=null] : iv_ruleEvent= ruleEvent EOF ;
    public final EObject entryRuleEvent() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleEvent = null;


        try {
            // InternalActivity.g:1987:46: (iv_ruleEvent= ruleEvent EOF )
            // InternalActivity.g:1988:2: iv_ruleEvent= ruleEvent EOF
            {
            if ( state.backtracking==0 ) {
               newCompositeNode(grammarAccess.getEventRule()); 
            }
            pushFollow(FOLLOW_1);
            iv_ruleEvent=ruleEvent();

            state._fsp--;
            if (state.failed) return current;
            if ( state.backtracking==0 ) {
               current =iv_ruleEvent; 
            }
            match(input,EOF,FOLLOW_2); if (state.failed) return current;

            }

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleEvent"


    // $ANTLR start "ruleEvent"
    // InternalActivity.g:1994:1: ruleEvent returns [EObject current=null] : (otherlv_0= 'event' ( (lv_name_1_0= RULE_ID ) ) (otherlv_2= '(' ( (lv_items_3_0= ruleEventItem ) ) (otherlv_4= ',' ( (lv_items_5_0= ruleEventItem ) ) )* otherlv_6= ')' )? ) ;
    public final EObject ruleEvent() throws RecognitionException {
        EObject current = null;

        Token otherlv_0=null;
        Token lv_name_1_0=null;
        Token otherlv_2=null;
        Token otherlv_4=null;
        Token otherlv_6=null;
        EObject lv_items_3_0 = null;

        EObject lv_items_5_0 = null;



        	enterRule();

        try {
            // InternalActivity.g:2000:2: ( (otherlv_0= 'event' ( (lv_name_1_0= RULE_ID ) ) (otherlv_2= '(' ( (lv_items_3_0= ruleEventItem ) ) (otherlv_4= ',' ( (lv_items_5_0= ruleEventItem ) ) )* otherlv_6= ')' )? ) )
            // InternalActivity.g:2001:2: (otherlv_0= 'event' ( (lv_name_1_0= RULE_ID ) ) (otherlv_2= '(' ( (lv_items_3_0= ruleEventItem ) ) (otherlv_4= ',' ( (lv_items_5_0= ruleEventItem ) ) )* otherlv_6= ')' )? )
            {
            // InternalActivity.g:2001:2: (otherlv_0= 'event' ( (lv_name_1_0= RULE_ID ) ) (otherlv_2= '(' ( (lv_items_3_0= ruleEventItem ) ) (otherlv_4= ',' ( (lv_items_5_0= ruleEventItem ) ) )* otherlv_6= ')' )? )
            // InternalActivity.g:2002:3: otherlv_0= 'event' ( (lv_name_1_0= RULE_ID ) ) (otherlv_2= '(' ( (lv_items_3_0= ruleEventItem ) ) (otherlv_4= ',' ( (lv_items_5_0= ruleEventItem ) ) )* otherlv_6= ')' )?
            {
            otherlv_0=(Token)match(input,37,FOLLOW_37); if (state.failed) return current;
            if ( state.backtracking==0 ) {

              			newLeafNode(otherlv_0, grammarAccess.getEventAccess().getEventKeyword_0());
              		
            }
            // InternalActivity.g:2006:3: ( (lv_name_1_0= RULE_ID ) )
            // InternalActivity.g:2007:4: (lv_name_1_0= RULE_ID )
            {
            // InternalActivity.g:2007:4: (lv_name_1_0= RULE_ID )
            // InternalActivity.g:2008:5: lv_name_1_0= RULE_ID
            {
            lv_name_1_0=(Token)match(input,RULE_ID,FOLLOW_38); if (state.failed) return current;
            if ( state.backtracking==0 ) {

              					newLeafNode(lv_name_1_0, grammarAccess.getEventAccess().getNameIDTerminalRuleCall_1_0());
              				
            }
            if ( state.backtracking==0 ) {

              					if (current==null) {
              						current = createModelElement(grammarAccess.getEventRule());
              					}
              					setWithLastConsumed(
              						current,
              						"name",
              						lv_name_1_0,
              						"org.eclipse.xtext.common.Terminals.ID");
              				
            }

            }


            }

            // InternalActivity.g:2024:3: (otherlv_2= '(' ( (lv_items_3_0= ruleEventItem ) ) (otherlv_4= ',' ( (lv_items_5_0= ruleEventItem ) ) )* otherlv_6= ')' )?
            int alt28=2;
            int LA28_0 = input.LA(1);

            if ( (LA28_0==38) ) {
                alt28=1;
            }
            switch (alt28) {
                case 1 :
                    // InternalActivity.g:2025:4: otherlv_2= '(' ( (lv_items_3_0= ruleEventItem ) ) (otherlv_4= ',' ( (lv_items_5_0= ruleEventItem ) ) )* otherlv_6= ')'
                    {
                    otherlv_2=(Token)match(input,38,FOLLOW_6); if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      				newLeafNode(otherlv_2, grammarAccess.getEventAccess().getLeftParenthesisKeyword_2_0());
                      			
                    }
                    // InternalActivity.g:2029:4: ( (lv_items_3_0= ruleEventItem ) )
                    // InternalActivity.g:2030:5: (lv_items_3_0= ruleEventItem )
                    {
                    // InternalActivity.g:2030:5: (lv_items_3_0= ruleEventItem )
                    // InternalActivity.g:2031:6: lv_items_3_0= ruleEventItem
                    {
                    if ( state.backtracking==0 ) {

                      						newCompositeNode(grammarAccess.getEventAccess().getItemsEventItemParserRuleCall_2_1_0());
                      					
                    }
                    pushFollow(FOLLOW_39);
                    lv_items_3_0=ruleEventItem();

                    state._fsp--;
                    if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      						if (current==null) {
                      							current = createModelElementForParent(grammarAccess.getEventRule());
                      						}
                      						add(
                      							current,
                      							"items",
                      							lv_items_3_0,
                      							"org.eclipse.lsat.activity.teditor.Activity.EventItem");
                      						afterParserOrEnumRuleCall();
                      					
                    }

                    }


                    }

                    // InternalActivity.g:2048:4: (otherlv_4= ',' ( (lv_items_5_0= ruleEventItem ) ) )*
                    loop27:
                    do {
                        int alt27=2;
                        int LA27_0 = input.LA(1);

                        if ( (LA27_0==39) ) {
                            alt27=1;
                        }


                        switch (alt27) {
                    	case 1 :
                    	    // InternalActivity.g:2049:5: otherlv_4= ',' ( (lv_items_5_0= ruleEventItem ) )
                    	    {
                    	    otherlv_4=(Token)match(input,39,FOLLOW_6); if (state.failed) return current;
                    	    if ( state.backtracking==0 ) {

                    	      					newLeafNode(otherlv_4, grammarAccess.getEventAccess().getCommaKeyword_2_2_0());
                    	      				
                    	    }
                    	    // InternalActivity.g:2053:5: ( (lv_items_5_0= ruleEventItem ) )
                    	    // InternalActivity.g:2054:6: (lv_items_5_0= ruleEventItem )
                    	    {
                    	    // InternalActivity.g:2054:6: (lv_items_5_0= ruleEventItem )
                    	    // InternalActivity.g:2055:7: lv_items_5_0= ruleEventItem
                    	    {
                    	    if ( state.backtracking==0 ) {

                    	      							newCompositeNode(grammarAccess.getEventAccess().getItemsEventItemParserRuleCall_2_2_1_0());
                    	      						
                    	    }
                    	    pushFollow(FOLLOW_39);
                    	    lv_items_5_0=ruleEventItem();

                    	    state._fsp--;
                    	    if (state.failed) return current;
                    	    if ( state.backtracking==0 ) {

                    	      							if (current==null) {
                    	      								current = createModelElementForParent(grammarAccess.getEventRule());
                    	      							}
                    	      							add(
                    	      								current,
                    	      								"items",
                    	      								lv_items_5_0,
                    	      								"org.eclipse.lsat.activity.teditor.Activity.EventItem");
                    	      							afterParserOrEnumRuleCall();
                    	      						
                    	    }

                    	    }


                    	    }


                    	    }
                    	    break;

                    	default :
                    	    break loop27;
                        }
                    } while (true);

                    otherlv_6=(Token)match(input,40,FOLLOW_2); if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      				newLeafNode(otherlv_6, grammarAccess.getEventAccess().getRightParenthesisKeyword_2_3());
                      			
                    }

                    }
                    break;

            }


            }


            }

            if ( state.backtracking==0 ) {

              	leaveRule();

            }
        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleEvent"


    // $ANTLR start "entryRuleEventItem"
    // InternalActivity.g:2082:1: entryRuleEventItem returns [EObject current=null] : iv_ruleEventItem= ruleEventItem EOF ;
    public final EObject entryRuleEventItem() throws RecognitionException {
        EObject current = null;

        EObject iv_ruleEventItem = null;


        try {
            // InternalActivity.g:2082:50: (iv_ruleEventItem= ruleEventItem EOF )
            // InternalActivity.g:2083:2: iv_ruleEventItem= ruleEventItem EOF
            {
            if ( state.backtracking==0 ) {
               newCompositeNode(grammarAccess.getEventItemRule()); 
            }
            pushFollow(FOLLOW_1);
            iv_ruleEventItem=ruleEventItem();

            state._fsp--;
            if (state.failed) return current;
            if ( state.backtracking==0 ) {
               current =iv_ruleEventItem; 
            }
            match(input,EOF,FOLLOW_2); if (state.failed) return current;

            }

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleEventItem"


    // $ANTLR start "ruleEventItem"
    // InternalActivity.g:2089:1: ruleEventItem returns [EObject current=null] : ( () ( (lv_name_1_0= ruleIID ) ) ) ;
    public final EObject ruleEventItem() throws RecognitionException {
        EObject current = null;

        AntlrDatatypeRuleToken lv_name_1_0 = null;



        	enterRule();

        try {
            // InternalActivity.g:2095:2: ( ( () ( (lv_name_1_0= ruleIID ) ) ) )
            // InternalActivity.g:2096:2: ( () ( (lv_name_1_0= ruleIID ) ) )
            {
            // InternalActivity.g:2096:2: ( () ( (lv_name_1_0= ruleIID ) ) )
            // InternalActivity.g:2097:3: () ( (lv_name_1_0= ruleIID ) )
            {
            // InternalActivity.g:2097:3: ()
            // InternalActivity.g:2098:4: 
            {
            if ( state.backtracking==0 ) {

              				current = forceCreateModelElement(
              					grammarAccess.getEventItemAccess().getEventItemAction_0(),
              					current);
              			
            }

            }

            // InternalActivity.g:2104:3: ( (lv_name_1_0= ruleIID ) )
            // InternalActivity.g:2105:4: (lv_name_1_0= ruleIID )
            {
            // InternalActivity.g:2105:4: (lv_name_1_0= ruleIID )
            // InternalActivity.g:2106:5: lv_name_1_0= ruleIID
            {
            if ( state.backtracking==0 ) {

              					newCompositeNode(grammarAccess.getEventItemAccess().getNameIIDParserRuleCall_1_0());
              				
            }
            pushFollow(FOLLOW_2);
            lv_name_1_0=ruleIID();

            state._fsp--;
            if (state.failed) return current;
            if ( state.backtracking==0 ) {

              					if (current==null) {
              						current = createModelElementForParent(grammarAccess.getEventItemRule());
              					}
              					set(
              						current,
              						"name",
              						lv_name_1_0,
              						"org.eclipse.lsat.activity.teditor.Activity.IID");
              					afterParserOrEnumRuleCall();
              				
            }

            }


            }


            }


            }

            if ( state.backtracking==0 ) {

              	leaveRule();

            }
        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleEventItem"


    // $ANTLR start "entryRuleIID"
    // InternalActivity.g:2127:1: entryRuleIID returns [String current=null] : iv_ruleIID= ruleIID EOF ;
    public final String entryRuleIID() throws RecognitionException {
        String current = null;

        AntlrDatatypeRuleToken iv_ruleIID = null;


        try {
            // InternalActivity.g:2127:43: (iv_ruleIID= ruleIID EOF )
            // InternalActivity.g:2128:2: iv_ruleIID= ruleIID EOF
            {
            if ( state.backtracking==0 ) {
               newCompositeNode(grammarAccess.getIIDRule()); 
            }
            pushFollow(FOLLOW_1);
            iv_ruleIID=ruleIID();

            state._fsp--;
            if (state.failed) return current;
            if ( state.backtracking==0 ) {
               current =iv_ruleIID.getText(); 
            }
            match(input,EOF,FOLLOW_2); if (state.failed) return current;

            }

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleIID"


    // $ANTLR start "ruleIID"
    // InternalActivity.g:2134:1: ruleIID returns [AntlrDatatypeRuleToken current=new AntlrDatatypeRuleToken()] : (this_INT_0= RULE_INT | this_ID_1= RULE_ID ) ;
    public final AntlrDatatypeRuleToken ruleIID() throws RecognitionException {
        AntlrDatatypeRuleToken current = new AntlrDatatypeRuleToken();

        Token this_INT_0=null;
        Token this_ID_1=null;


        	enterRule();

        try {
            // InternalActivity.g:2140:2: ( (this_INT_0= RULE_INT | this_ID_1= RULE_ID ) )
            // InternalActivity.g:2141:2: (this_INT_0= RULE_INT | this_ID_1= RULE_ID )
            {
            // InternalActivity.g:2141:2: (this_INT_0= RULE_INT | this_ID_1= RULE_ID )
            int alt29=2;
            int LA29_0 = input.LA(1);

            if ( (LA29_0==RULE_INT) ) {
                alt29=1;
            }
            else if ( (LA29_0==RULE_ID) ) {
                alt29=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return current;}
                NoViableAltException nvae =
                    new NoViableAltException("", 29, 0, input);

                throw nvae;
            }
            switch (alt29) {
                case 1 :
                    // InternalActivity.g:2142:3: this_INT_0= RULE_INT
                    {
                    this_INT_0=(Token)match(input,RULE_INT,FOLLOW_2); if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      			current.merge(this_INT_0);
                      		
                    }
                    if ( state.backtracking==0 ) {

                      			newLeafNode(this_INT_0, grammarAccess.getIIDAccess().getINTTerminalRuleCall_0());
                      		
                    }

                    }
                    break;
                case 2 :
                    // InternalActivity.g:2150:3: this_ID_1= RULE_ID
                    {
                    this_ID_1=(Token)match(input,RULE_ID,FOLLOW_2); if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      			current.merge(this_ID_1);
                      		
                    }
                    if ( state.backtracking==0 ) {

                      			newLeafNode(this_ID_1, grammarAccess.getIIDAccess().getIDTerminalRuleCall_1());
                      		
                    }

                    }
                    break;

            }


            }

            if ( state.backtracking==0 ) {

              	leaveRule();

            }
        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleIID"


    // $ANTLR start "entryRuleEString"
    // InternalActivity.g:2161:1: entryRuleEString returns [String current=null] : iv_ruleEString= ruleEString EOF ;
    public final String entryRuleEString() throws RecognitionException {
        String current = null;

        AntlrDatatypeRuleToken iv_ruleEString = null;


        try {
            // InternalActivity.g:2161:47: (iv_ruleEString= ruleEString EOF )
            // InternalActivity.g:2162:2: iv_ruleEString= ruleEString EOF
            {
            if ( state.backtracking==0 ) {
               newCompositeNode(grammarAccess.getEStringRule()); 
            }
            pushFollow(FOLLOW_1);
            iv_ruleEString=ruleEString();

            state._fsp--;
            if (state.failed) return current;
            if ( state.backtracking==0 ) {
               current =iv_ruleEString.getText(); 
            }
            match(input,EOF,FOLLOW_2); if (state.failed) return current;

            }

        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "entryRuleEString"


    // $ANTLR start "ruleEString"
    // InternalActivity.g:2168:1: ruleEString returns [AntlrDatatypeRuleToken current=new AntlrDatatypeRuleToken()] : (this_STRING_0= RULE_STRING | this_ID_1= RULE_ID ) ;
    public final AntlrDatatypeRuleToken ruleEString() throws RecognitionException {
        AntlrDatatypeRuleToken current = new AntlrDatatypeRuleToken();

        Token this_STRING_0=null;
        Token this_ID_1=null;


        	enterRule();

        try {
            // InternalActivity.g:2174:2: ( (this_STRING_0= RULE_STRING | this_ID_1= RULE_ID ) )
            // InternalActivity.g:2175:2: (this_STRING_0= RULE_STRING | this_ID_1= RULE_ID )
            {
            // InternalActivity.g:2175:2: (this_STRING_0= RULE_STRING | this_ID_1= RULE_ID )
            int alt30=2;
            int LA30_0 = input.LA(1);

            if ( (LA30_0==RULE_STRING) ) {
                alt30=1;
            }
            else if ( (LA30_0==RULE_ID) ) {
                alt30=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return current;}
                NoViableAltException nvae =
                    new NoViableAltException("", 30, 0, input);

                throw nvae;
            }
            switch (alt30) {
                case 1 :
                    // InternalActivity.g:2176:3: this_STRING_0= RULE_STRING
                    {
                    this_STRING_0=(Token)match(input,RULE_STRING,FOLLOW_2); if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      			current.merge(this_STRING_0);
                      		
                    }
                    if ( state.backtracking==0 ) {

                      			newLeafNode(this_STRING_0, grammarAccess.getEStringAccess().getSTRINGTerminalRuleCall_0());
                      		
                    }

                    }
                    break;
                case 2 :
                    // InternalActivity.g:2184:3: this_ID_1= RULE_ID
                    {
                    this_ID_1=(Token)match(input,RULE_ID,FOLLOW_2); if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      			current.merge(this_ID_1);
                      		
                    }
                    if ( state.backtracking==0 ) {

                      			newLeafNode(this_ID_1, grammarAccess.getEStringAccess().getIDTerminalRuleCall_1());
                      		
                    }

                    }
                    break;

            }


            }

            if ( state.backtracking==0 ) {

              	leaveRule();

            }
        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleEString"


    // $ANTLR start "ruleScheduling"
    // InternalActivity.g:2195:1: ruleScheduling returns [Enumerator current=null] : ( (enumLiteral_0= 'ASAP' ) | (enumLiteral_1= 'ALAP' ) ) ;
    public final Enumerator ruleScheduling() throws RecognitionException {
        Enumerator current = null;

        Token enumLiteral_0=null;
        Token enumLiteral_1=null;


        	enterRule();

        try {
            // InternalActivity.g:2201:2: ( ( (enumLiteral_0= 'ASAP' ) | (enumLiteral_1= 'ALAP' ) ) )
            // InternalActivity.g:2202:2: ( (enumLiteral_0= 'ASAP' ) | (enumLiteral_1= 'ALAP' ) )
            {
            // InternalActivity.g:2202:2: ( (enumLiteral_0= 'ASAP' ) | (enumLiteral_1= 'ALAP' ) )
            int alt31=2;
            int LA31_0 = input.LA(1);

            if ( (LA31_0==41) ) {
                alt31=1;
            }
            else if ( (LA31_0==42) ) {
                alt31=2;
            }
            else {
                if (state.backtracking>0) {state.failed=true; return current;}
                NoViableAltException nvae =
                    new NoViableAltException("", 31, 0, input);

                throw nvae;
            }
            switch (alt31) {
                case 1 :
                    // InternalActivity.g:2203:3: (enumLiteral_0= 'ASAP' )
                    {
                    // InternalActivity.g:2203:3: (enumLiteral_0= 'ASAP' )
                    // InternalActivity.g:2204:4: enumLiteral_0= 'ASAP'
                    {
                    enumLiteral_0=(Token)match(input,41,FOLLOW_2); if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      				current = grammarAccess.getSchedulingAccess().getASAPEnumLiteralDeclaration_0().getEnumLiteral().getInstance();
                      				newLeafNode(enumLiteral_0, grammarAccess.getSchedulingAccess().getASAPEnumLiteralDeclaration_0());
                      			
                    }

                    }


                    }
                    break;
                case 2 :
                    // InternalActivity.g:2211:3: (enumLiteral_1= 'ALAP' )
                    {
                    // InternalActivity.g:2211:3: (enumLiteral_1= 'ALAP' )
                    // InternalActivity.g:2212:4: enumLiteral_1= 'ALAP'
                    {
                    enumLiteral_1=(Token)match(input,42,FOLLOW_2); if (state.failed) return current;
                    if ( state.backtracking==0 ) {

                      				current = grammarAccess.getSchedulingAccess().getALAPEnumLiteralDeclaration_1().getEnumLiteral().getInstance();
                      				newLeafNode(enumLiteral_1, grammarAccess.getSchedulingAccess().getALAPEnumLiteralDeclaration_1());
                      			
                    }

                    }


                    }
                    break;

            }


            }

            if ( state.backtracking==0 ) {

              	leaveRule();

            }
        }

            catch (RecognitionException re) {
                recover(input,re);
                appendSkippedTokens();
            }
        finally {
        }
        return current;
    }
    // $ANTLR end "ruleScheduling"

    // Delegated rules


    protected DFA8 dfa8 = new DFA8(this);
    static final String dfa_1s = "\24\uffff";
    static final String dfa_2s = "\1\5\2\24\1\5\1\4\6\uffff\1\4\2\42\1\5\2\4\2\42\1\5";
    static final String dfa_3s = "\1\6\2\24\1\40\1\41\6\uffff\1\5\2\42\1\40\1\41\1\5\2\42\1\32";
    static final String dfa_4s = "\5\uffff\1\1\1\3\1\6\1\5\1\4\1\2\11\uffff";
    static final String dfa_5s = "\24\uffff}>";
    static final String[] dfa_6s = {
            "\1\2\1\1",
            "\1\3",
            "\1\3",
            "\2\6\16\uffff\2\5\1\12\1\7\1\10\1\11\5\uffff\1\4",
            "\1\14\1\15\33\uffff\1\13",
            "",
            "",
            "",
            "",
            "",
            "",
            "\1\14\1\15",
            "\1\16",
            "\1\16",
            "\2\6\16\uffff\2\5\1\12\2\uffff\1\11\5\uffff\1\17",
            "\1\21\1\22\33\uffff\1\20",
            "\1\21\1\22",
            "\1\23",
            "\1\23",
            "\2\6\16\uffff\2\5\1\12\2\uffff\1\11"
    };

    static final short[] dfa_1 = DFA.unpackEncodedString(dfa_1s);
    static final char[] dfa_2 = DFA.unpackEncodedStringToUnsignedChars(dfa_2s);
    static final char[] dfa_3 = DFA.unpackEncodedStringToUnsignedChars(dfa_3s);
    static final short[] dfa_4 = DFA.unpackEncodedString(dfa_4s);
    static final short[] dfa_5 = DFA.unpackEncodedString(dfa_5s);
    static final short[][] dfa_6 = unpackEncodedStringArray(dfa_6s);

    class DFA8 extends DFA {

        public DFA8(BaseRecognizer recognizer) {
            this.recognizer = recognizer;
            this.decisionNumber = 8;
            this.eot = dfa_1;
            this.eof = dfa_1;
            this.min = dfa_2;
            this.max = dfa_3;
            this.accept = dfa_4;
            this.special = dfa_5;
            this.transition = dfa_6;
        }
        public String getDescription() {
            return "480:2: (this_Claim_0= ruleClaim | this_Release_1= ruleRelease | this_SimpleAction_2= ruleSimpleAction | this_Move_3= ruleMove | this_RequireEvent_4= ruleRequireEvent | this_RaiseEvent_5= ruleRaiseEvent )";
        }
    }
 

    public static final BitSet FOLLOW_1 = new BitSet(new long[]{0x0000000000000000L});
    public static final BitSet FOLLOW_2 = new BitSet(new long[]{0x0000000000000002L});
    public static final BitSet FOLLOW_3 = new BitSet(new long[]{0x0000002000001802L});
    public static final BitSet FOLLOW_4 = new BitSet(new long[]{0x0000002000001002L});
    public static final BitSet FOLLOW_5 = new BitSet(new long[]{0x0000000000000010L});
    public static final BitSet FOLLOW_6 = new BitSet(new long[]{0x0000000000000060L});
    public static final BitSet FOLLOW_7 = new BitSet(new long[]{0x0000000000002000L});
    public static final BitSet FOLLOW_8 = new BitSet(new long[]{0x0000000000014000L});
    public static final BitSet FOLLOW_9 = new BitSet(new long[]{0x0000000000008060L});
    public static final BitSet FOLLOW_10 = new BitSet(new long[]{0x0000000000010000L});
    public static final BitSet FOLLOW_11 = new BitSet(new long[]{0x0000000000020000L});
    public static final BitSet FOLLOW_12 = new BitSet(new long[]{0x0000001000008060L});
    public static final BitSet FOLLOW_13 = new BitSet(new long[]{0x0000000000008000L});
    public static final BitSet FOLLOW_14 = new BitSet(new long[]{0x0000000000040002L});
    public static final BitSet FOLLOW_15 = new BitSet(new long[]{0x0000000000040000L});
    public static final BitSet FOLLOW_16 = new BitSet(new long[]{0x0000000000080000L});
    public static final BitSet FOLLOW_17 = new BitSet(new long[]{0x0000000000100000L});
    public static final BitSet FOLLOW_18 = new BitSet(new long[]{0x0000000100600000L});
    public static final BitSet FOLLOW_19 = new BitSet(new long[]{0x0000000000600000L});
    public static final BitSet FOLLOW_20 = new BitSet(new long[]{0x0000000100000000L});
    public static final BitSet FOLLOW_21 = new BitSet(new long[]{0x0000000000400000L});
    public static final BitSet FOLLOW_22 = new BitSet(new long[]{0x0000000100000002L});
    public static final BitSet FOLLOW_23 = new BitSet(new long[]{0x0000000100800000L});
    public static final BitSet FOLLOW_24 = new BitSet(new long[]{0x0000000000800000L});
    public static final BitSet FOLLOW_25 = new BitSet(new long[]{0x0000000001000000L});
    public static final BitSet FOLLOW_26 = new BitSet(new long[]{0x0000000002000000L});
    public static final BitSet FOLLOW_27 = new BitSet(new long[]{0x0000000104000000L});
    public static final BitSet FOLLOW_28 = new BitSet(new long[]{0x0000000004000000L});
    public static final BitSet FOLLOW_29 = new BitSet(new long[]{0x0000000078000000L});
    public static final BitSet FOLLOW_30 = new BitSet(new long[]{0x0000000080000000L});
    public static final BitSet FOLLOW_31 = new BitSet(new long[]{0x0000060100000002L});
    public static final BitSet FOLLOW_32 = new BitSet(new long[]{0x0000000100000060L});
    public static final BitSet FOLLOW_33 = new BitSet(new long[]{0x0000000200000030L});
    public static final BitSet FOLLOW_34 = new BitSet(new long[]{0x0000000400000000L});
    public static final BitSet FOLLOW_35 = new BitSet(new long[]{0x0000000800000000L});
    public static final BitSet FOLLOW_36 = new BitSet(new long[]{0x0000001000000060L});
    public static final BitSet FOLLOW_37 = new BitSet(new long[]{0x0000000000000020L});
    public static final BitSet FOLLOW_38 = new BitSet(new long[]{0x0000004000000002L});
    public static final BitSet FOLLOW_39 = new BitSet(new long[]{0x0000018000000000L});

}